<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];


//*** EMPRESA
// Devuelve datos de la empresa solicitada
if ($funcion=='get_empresa'){
	$id_empresa=$body['id_empresa'];	
	$condicion="WHERE id_empresa='".$id_empresa."';";	
	$columnas="id_empresa, rfc, nombre, calle, num_ext, num_int, colonia, municipio, estado, pais, cp, telefono, lema, foto, correo, id_regimen, regimen, tipo, almacen";
	$res=consultar("m_empresa", $columnas, $condicion);	
	echo responder($res);
}

//Actualiza datos de la empresa solicitada
if ($funcion=='upd_empresa'){		
	$id_empresa=$body['id_empresa'];
	$valores=$body['valores'];	
	$condicion="WHERE id_empresa='".$id_empresa."';";		
	$columnas="rfc|nombre|calle|num_ext|num_int|colonia|municipio|estado|pais|cp|telefono|lema|foto|correo|id_regimen|regimen|tipo|almacen";	
	$res=actualizar("m_empresa", $columnas, $valores, $condicion);	
	echo $res;
}



//*** RESPALDOS
// Devuelve lisa de configuraciones de respaldos automaticos
 if ($funcion=='get_respaldos'){		
	$columnas="id_respaldo, descripcion, ruta, periodo, activar";
	$res=consultar("m_respaldos", $columnas, ";");	
	echo responder($res);
}

if ($funcion=='add_respaldo'){		
	$valores=$body['valores'];	
	$columnas="descripcion|ruta|periodo|activar";	
	$res=insertar("m_respaldos", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_respaldo'){		
	$id_respaldo=$body['id_respaldo'];
	$valores=$body['valores'];	
	$condicion="WHERE id_respaldo='".$id_respaldo."';";		
	$columnas="descripcion|ruta|periodo|activar";	
	$res=actualizar("m_respaldos", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='del_respaldo'){		
	$id_respaldo=$body['id_respaldo'];	
	$condicion="WHERE id_respaldo='".$id_respaldo."';";		
	$res=eliminar("m_respaldos", $condicion);	
	echo $res;
}


//*** PERMISOS
if ($funcion=='get_permisosClasif'){	
	$clasificacion=$body['clasificacion'];	
	$columnas="descripcion, tipous";
	$condicion="WHERE clasificacion ='".$clasificacion."';";	
	$res=consultar("m_permisos", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_permisos'){	
	$buscado=$body['buscado'];	
	$columnas="id_permiso, descripcion, tipous, clasificacion";
	$condicion="WHERE descripcion like '%".$buscado."%';";	
	$res=consultar("m_permisos", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_listapermisos'){
	$columnas="id_permiso, descripcion, clasificacion";
	$res=consultar("m_listapermisos", $columnas, ";");	
	echo responder($res);
}

if ($funcion=='add_permiso'){		
	$valores=$body['valores'];	
	$columnas="descripcion|tipous|clasificacion";	
	$res=insertar("m_permisos", $columnas, $valores);	
	echo $res;
}

 if ($funcion=='getPermiso'){
	$tipous=$body['tipous'];
	$descripcion=$body['descripcion'];
	$condicion="WHERE tipous='".$tipous."' and descripcion='".$descripcion."';";	
	$res=consultar("m_permisos", "id_permiso", $condicion);	
	echo responder($res);
}

if ($funcion=='del_permiso'){		
	$id_permiso=$body['id_permiso'];	
	$condicion="WHERE id_permiso='".$id_permiso."';";		
	$res=eliminar("m_permisos", $condicion);	
	echo $res;
}


//*** FORMATOS

 if ($funcion=='get_formatos'){	
	$buscado=$body['buscado'];	
	$condicion="WHERE nombre like '%".$buscado."%';";	
	$columnas="id_formato, nombre, archivo";
	$res=consultar("m_formatos", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='add_formato'){		
	$valores=$body['valores'];	
	$columnas="nombre|archivo";	
	$res=insertar("m_formatos", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_formato'){		
	$id_formato=$body['id_formato'];
	$valores=$body['valores'];	
	$condicion="WHERE id_formato='".$id_formato."';";		
	$columnas="nombre|archivo";	
	$res=actualizar("m_formatos", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='del_formato'){		
	$id_formato=$body['id_formato'];	
	$condicion="WHERE id_formato='".$id_formato."';";		
	$res=eliminar("m_formatos", $condicion);	
	echo $res;
}


//*** CLASIFICACIONES

 if ($funcion=='get_clasificaciones'){	
	$buscado=$body['buscado'];	
	$condicion="WHERE descripcion like '%".$buscado."%';";	
	$columnas="id_clasificacion, descripcion, activa";
	$res=consultar("m_clasificaciones", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='add_clasificacion'){		
	$valores=$body['valores'];	
	$columnas="descripcion|activa";	
	$res=insertar("m_clasificaciones", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_clasificacion'){		
	$id_clasificacion=$body['id_clasificacion'];
	$valores=$body['valores'];	
	$condicion="WHERE id_clasificacion='".$id_clasificacion."';";		
	$columnas="descripcion|activa";	
	$res=actualizar("m_clasificaciones", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='del_clasificacion'){		
	$id_clasificacion=$body['id_clasificacion'];	
	$condicion="WHERE id_clasificacion='".$id_clasificacion."';";		
	$res=eliminar("m_clasificaciones", $condicion);	
	echo $res;
}




//*** MODULOS

 if ($funcion=='get_modulos'){	
	$condicion="WHERE activo='si' ORDER BY orden;";	
	$columnas="id_modulo, nombre, activo";
	$res=consultar("m_modulos", $columnas, $condicion);	
	echo responder($res);
 }
	
 if ($funcion=='get_modulosMovil'){	
 $condicion="WHERE activo='si' AND movil='SI' ORDER BY orden;";	
	$columnas="id_modulo, nombre, activo";
	$res=consultar("m_modulos", $columnas, $condicion);	
	echo responder($res);
 }
	
	
//*** VARIABLES 

 if ($funcion=='get_variables'){		
	$columnas="id_variable, descripcion";
	$res=consultar("m_variables", $columnas, ";");	
	echo responder($res);
 }
	





//*** AJUTSES GENERALES
 if ($funcion=='get_ajustes'){	
	$buscado=$body['buscado'];	
	$condicion="WHERE descripcion like '%".$buscado."%';";	
	$res=consultar("m_ajustes", "id_ajuste, descripcion, valor_ajuste, is_local",$condicion);	
	echo responder($res);
}

if ($funcion=='upd_ajuste'){
	$id_ajuste=$body['id_ajuste'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_ajuste='".$id_ajuste."';";	
	$columnas="descripcion|valor_ajuste|is_local";	
	$res=actualizar("m_ajustes", $columnas, $valores, $condicion);	
	echo $res;
}

 if ($funcion=='get_modo_facturacion'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='27';");	
	echo responder($res);
}

 if ($funcion=='get_modo_impcompras'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='16';");	
	echo responder($res);
}

if ($funcion=='get_modo_impventas'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='15';");	
	echo responder($res);
}

if ($funcion=='get_modo_descuento'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='22';");	
	echo responder($res);
}

if ($funcion=='get_reg_salida_gym'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='17';");	
	echo responder($res);
}

if ($funcion=='get_monitoreo_checZK'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='6';");	
	echo responder($res);
}

if ($funcion=='get_monitoreo_enrolZK'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='28';");	
	echo responder($res);
}

if ($funcion=='get_abrir_popupgym'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='18';");	
	echo responder($res);
}

if ($funcion=='get_tiempopuerta'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='23';");	
	echo responder($res);
}

if ($funcion=='get_conclavecierre'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='14';");	
	echo responder($res);
}

if ($funcion=='get_modoBuscador'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='11';");	
	echo responder($res);
}


if ($funcion=='get_verifupdate'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='12';");	
	echo responder($res);
}

if ($funcion=='get_regxpagina'){			
	$res=consultar("m_ajustes", "valor_ajuste","WHERE id_ajuste='34';");	
	echo responder($res);
}

if ($funcion=='get_tamIconosLanz'){			
	$res=consultar("m_ajustes", "valor_ajuste", "WHERE id_ajuste='21';");	
	echo responder($res);
}

if ($funcion=='get_versionMultipos'){			
	$res=consultar("m_ajustes", "valor_ajuste", "WHERE id_ajuste='35';");	
	echo responder($res);
}

if ($funcion=='get_inventarioNegativo'){			
	$res=consultar("m_ajustes", "valor_ajuste", "WHERE id_ajuste='13';");
	echo responder($res);
}

if ($funcion=='get_controlarLotes'){			
	$res=consultar("m_ajustes", "valor_ajuste", "WHERE id_ajuste='36';");	
	echo responder($res);
}

if ($funcion=='get_modoimpEtiquetas'){			
	$res=consultar("m_ajustes", "valor_ajuste", "WHERE id_ajuste='37';");	
	echo responder($res);
}
?>