<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** PEDIDOS 

if ($funcion=='get_pedidos'){	
	$condicion="ORDER BY tiempo desc;";	
	$columnas="id_pedido, id_vendedor, id_cliente, cant_prod, total, ganancia, tipo, estado, descuento, folio, tiempo";
	$res=consultar("m_pedidos", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='upd_edoPed'){
	$id_pedido=$body['id_pedido'];	
	$estado=$body['estado'];	
	$condicion="WHERE id_pedido='".$id_pedido."'";	
	$res=actualizar("m_pedidos","estado", $estado, $condicion);	
	echo $res;
}

if ($funcion=='upd_totalPed'){
	$id_pedido=$body['id_pedido'];	
	$total=$body['total'];	
	$condicion="WHERE id_pedido='".$id_pedido."'";	
	$res=actualizar("m_pedidos","total", $total, $condicion);	
	echo $res;
}


if ($funcion=='del_pedido'){		
	$id_pedido=$body['id_pedido'];	
	$condicion="WHERE id_pedido='".$id_pedido."';";		
	$res=eliminar("m_pedidos", $condicion);	
	echo $res;
}

if ($funcion=='add_pedidoPen'){		
	$valores=$body['valores'];	
	$columnas="id_vendedor|id_cliente|cant_prod|total|ganancia|tipo|estado|descuento|folio|tiempo";
	$res=insertar("m_pedidos", $columnas, $valores);	
	echo $res;
}

if ($funcion=='get_maxPedPend'){
	$id_cliente=$body['id_cliente'];
	$condicion="WHERE id_cliente='".$id_cliente."' and estado='Pendiente';";	
	$res=consultar("m_pedidos", "max(id_pedido)", $condicion);	
	echo responder($res);
}


// cuentas para selector
 if ($funcion=='get_estadosped'){
	$condicion="ORDER BY id_estado ASC;";	
	$columnas="id_estado, descripcion";
	$res=consultar("m_estadosped", $columnas, $condicion);	
	echo responder($res);
}




//***DETALLES PEDIDOS 

if ($funcion=='get_detallespedido'){
	$id_pedido=$body['id_pedido'];
	$id_cliente=$body['id_cliente'];
	$condicion="WHERE id_pedido='".$id_pedido."' and id_cliente='".$id_cliente."';";	
	$columnas="id_detalle, id_pedido, id_producto, id_cliente, descripcion, precio, cantidad, total, descuento, total_cdesc, tiempo";
	$res=consultar("m_detalle_pedido", $columnas, $condicion);	
	echo responder($res);
}


if ($funcion=='upd_detallePed'){
	$id_detalle=$body['id_detalle'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_detalle='".$id_detalle."'";	
	$columnas="precio|cantidad|total|descuento|total_cdesc";
	$res=actualizar("m_detalle_pedido",$columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='upd_detallesPed'){
	$id_pedido=$body['id_pedido'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_pedido='".$id_pedido."'";	
	$columnas="precio|cantidad|total|descuento|total_cdesc";
	$res=actualizar("m_detalle_pedido",$columnas, $valores, $condicion);	
	echo $res;
}


if ($funcion=='del_detallePed'){		
	$id_detalle=$body['id_detalle'];	
	$condicion="WHERE id_detalle='".$id_detalle."';";		
	$res=eliminar("m_detalle_pedido", $condicion);	
	echo $res;
}


if ($funcion=='del_detallesPed'){		
	$id_pedido=$body['id_pedido'];	
	$condicion="WHERE id_pedido='".$id_pedido."';";		
	$res=eliminar("m_detalle_pedido", $condicion);	
	echo $res;
}


if ($funcion=='add_detallePed'){		
	$valores=$body['valores'];	
	$columnas="id_pedido|id_producto|id_cliente|descripcion|precio|cantidad|total|descuento|total_cdesc|tiempo";
	$res=insertar("m_detalle_pedido", $columnas, $valores);	
	echo $res;
}


if ($funcion=='get_totalPed'){
	$id_pedido=$body['id_pedido'];
	$condicion="WHERE id_pedido='".$id_pedido."';";	
	$res=consultar("m_detalle_pedido", "sum(total)", $condicion);	
	echo responder($res);
}


?>