<?php
include_once "Cinventario.php";


date_default_timezone_set('America/Mexico_City');
$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];


//*** DEVOLUCIONES 

if ($funcion=='get_cantdev'){	
	$id_venta=$body['id_venta'];
	$id_usuario=$body['id_usuario'];	
	$id_detalle=$body['id_detalle'];			
	$condicion="WHERE id_detalle='".$id_detalle."' and id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";		
	$res=consultar("m_devoluciones", "sum(cantidad)", $condicion);	
	echo responder($res);
}

if ($funcion=='add_devolucion'){		
	$valores=$body['valores'];	
	$columnas="id_detalle|id_venta|id_usuario|id_cliente|id_vendedor|id_almacen|id_producto|descripcion|precio|cantidad|total_desc|ganancia|tiempo|metodo_pago|estado";	
	$res=insertar("m_devoluciones", $columnas, $valores);	
	echo $res;
}	

if ($funcion=='get_devoluciones'){	
	$condicion="WHERE estado='Pendiente' ORDER BY tiempo desc;";	
	$columnas="id_devolucion, id_detalle, id_venta, id_usuario, id_cliente, id_producto, descripcion, precio, cantidad, total_desc, ganancia, tiempo, metodo_pago, estado, id_almacen";
	$res=consultar("m_devoluciones", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='upd_devolucion'){		
	$estado=$body['estado'];
	$id_devolucion=$body['id_devolucion'];	
	$condicion="WHERE id_devolucion='".$id_devolucion."';";		
	$res=actualizar("m_devoluciones", "estado", $estado, $condicion);	
	echo $res;
}

if ($funcion=='del_devolucion'){		
	$id_devolucion=$body['id_devolucion'];		
	$condicion="WHERE id_devolucion='".$id_devolucion."';";			
	$res=eliminar("m_devoluciones", $condicion);	
	echo $res;
}















//APLICA DEVOLUCIONES PENDIENTES
if ($funcion=='aplicar_Devoluciones'){	
	$id_usuarioA=$body['id_usuario'];	
	
	
	$condicion="WHERE estado='Pendiente' ORDER BY tiempo desc;";	
	$columnas="id_devolucion, id_detalle, id_venta, id_usuario, id_cliente, id_producto, cantidad, total_desc, id_almacen";
	$ldevols=consultar("m_devoluciones", $columnas, $condicion);
	
	$cdev= new Cdevoluciones();
	$cinv= new Cinventario();
	$arrDevols= explode (">",$ldevols);		
	
	
	foreach ($arrDevols as $lindev){
		$arrVals=explode ("|",$lindev);			
		$id_devolucion=$arrVals[0];
		$id_detalleD=$arrVals[1];
		$id_venta=$arrVals[2];
		$id_usuario=$arrVals[3];
		$id_clienteD=$arrVals[4];
		$id_producto=$arrVals[5];
		$cantidad=$arrVals[6];
		$totalcdesc=$arrVals[7];
		$id_almacen=$arrVals[8];	

		
		$cdev->upd_edoDevol("Confirmada", $id_devolucion);
		$cinv->solicitar_entrada_almacen($id_producto, $id_almacen, $cantidad);
		$cdev->upd_movcli($id_usuario, $id_venta, $totalcdesc, $id_usuarioA, $id_clienteD);
		$cdev->devolver_lotes($id_usuario, $id_venta, $id_detalleD);
	}		
	echo responder("OK");
}






//MOTOR PRINCIPAL DE DEVOLUCIONES 
class Cdevoluciones{
	
	
	
	
	
	//actualizar devolucion
	public function upd_edoDevol($estado, $id_devolucion){
		$res=actualizar("m_devoluciones", "estado", $estado, "WHERE id_devolucion='".$id_devolucion."';");
		return $res;
	}
	
	
	
	
	
	//devolver cargos con abonos y devolver saldo
	public function upd_movcli($id_usuario, $id_venta, $totalcdesc, $id_usuarioA, $id_clienteD){
		$tipoventa=$this->get_tipoVenta($id_usuario, $id_venta);
		if ($tipoventa=="Credito"){//credito			
			//obtener cargo relacionado a la venta a credito
			$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";	
			$columnas="id_movcli, id_usuario, id_venta, id_cliente, descripcion, monto_total, monto_pagado, estado, tiempo";	
			$rmovcli=consultar("m_movclis", $columnas, $condicion);		
			
			$arrMovcli=explode ("|",$rmovcli);
			$id_movcli=$arrMovcli[0];
			$montototal=$arrMovcli[5];
			$montopagado=$arrMovcli[6];
			$id_cliente=$arrMovcli[3];
			$motivo= "Devolucion sobre cargo ".$id_movcli." de venta ".$id_venta;
			$montoxpagar=$montototal - $monto_pagado;
			$montodevol=$totalcdesc;
			$montoabonado=0;
			
			if ($montodevol>=$montoxpagar){
				//actualizar cargo sumando lo devuelto
				$estado="Pagado";
				$montoabonado=$montoxpagar;
				$nvomontopagado=$montopagado+$montoabonado;
				$this->upd_edomovcli($id_movcli, $nvomontopagado, $estado);
				
				//insertar condonacion creando un abono (detalle movcli)
				$metpag="Condonación";
				$ref="Dev";
				$tiempo=date('Y/m/d H:i:s');
				$this->add_detalleMovcli($id_movcli, $id_usuarioA, $id_venta, $id_cliente, $motivo, $metpag, $ref, 0, 0, $montoabonado, $montoabonado, 0, 0, $tiempo);				
				//actualizar saldo cleinte
				$this->upd_saldoCli($id_clienteD, $totalcdesc, $motivo);
			}else{
				//actualizar cargo sumando lo devuelto
				$montoabonado=$montodevol;
				$nvomontopagado=$montopagado+$montoabonado;
				$this->upd_edomovcli($id_movcli, $nvomontopagado, $estado);
				//insertar condonacion creando un abono (detalle movcli)
				$metpag="Condonación";
				$ref="Dev";
				$tiempo=date('Y/m/d H:i:s');
				$this->add_detalleMovcli($id_movcli, $id_usuarioA, $id_venta, $id_cliente, $motivo, $metpag, $ref, 0, 0, $montoabonado, $montoabonado, 0, 0, $tiempo);				
				//actualizar saldo cleinte
				$this->upd_saldoCli($id_clienteD, $totalcdesc, $motivo);	
			}
		}else{ //Contado
			$motivo= "Devolucion sobre venta ".$id_venta;
			//insertar condonacion creando un abono (detalle movcli)
			$metpag="Condonación";
			$ref="Dev";
			$tiempo=date('Y/m/d H:i:s');
			$this->add_detalleMovcli(0, $id_usuarioA, $id_venta, $id_clienteD, $motivo, $metpag, $ref, 0, 0, $totalcdesc, $totalcdesc, 0, 0, $tiempo);
			//actualizar saldo cleinte
			$this->upd_saldoCli($id_clienteD, $totalcdesc, $motivo);
		}		
		return "OK";
	}
	
		
	
	public function get_tipoVenta($id_usuario, $id_venta){
		$res=consultar("m_ventas", "tipo", "Where id_venta='".$id_venta."' and id_usuario='".$id_usuario."'");
		return $res;
	}
	
	public function upd_edomovcli($id_movcli, $montopagado, $estado){
		$condicion="WHERE id_movcli='".$id_movcli."';";	
		$columnas="monto_pagado|estado";
		$valores="".$montopagado."|".$estado;
		$res=actualizar("m_movclis", $columnas, $valores, $condicion);
		return $res;
	}
	
	public function add_detalleMovcli($id_movcli, $id_usuario, $id_venta, $id_cliente, $motivo, $metpag, $ref, $recibido, $cambio, $subtotal, $total, $retenciones, $traslados, $tiempo){
		$valores="".$id_movcli."|".$id_usuario."|".$id_venta."|".$id_cliente."|".$motivo."|".$metpag."|".$ref."|".$recibido."|".$cambio."|".$subtotal."|".$total."|".$retenciones."|".$traslados."|".$tiempo;
		$columnas="id_movcli|id_usuario|id_venta|id_cliente|motivo_mov|metodo_pago|transaccion|recibido|cambio|subtotal|total|retenciones|traslados|tiempo";	
		$res=insertar("m_detalle_movcli", $columnas, $valores);	
		return $res;		
	}
	
	
	public function upd_saldoCli($id_cliente, $totaldevol, $motivo){
		$saldoant=$this->get_saldoCli($id_cliente);
		$saldonvo=$saldoant-$totaldevol;
		$resSal=$this->set_saldoCli($saldonvo, $id_cliente);
		$nombrecli=$this->get_nombreCli($id_cliente);
		$resHist=$this->reg_HistorCli($id_cliente, $nombrecli, $motivo, $saldoant, $saldonvo);
		return $resHist;
	}
	
	public function get_saldoCli($id_cliente){		
		$res=consultar("m_clientes", "saldo", "WHERE id_cliente='".$id_cliente."';");
		return $res;
	}
	
	public function set_saldoCli($nvosaldo, $id_cliente){					
		$res=actualizar("m_clientes", "saldo", $nvosaldo, "WHERE id_cliente='".$id_cliente."';");	
		return $res;
	}
	
	
	public function get_nombreCli($id_cliente){		
		$res=consultar("m_clientes", "nombre", "WHERE id_cliente='".$id_cliente."';");
		return $res;
	}
	
	
	public function reg_HistorCli($id_cliente, $nombrecli, $motivo, $saldoant, $saldonvo){
		$tipo="Ingreso";
		$variacion=$saldonvo-$saldoant;
		if ($saldoant < $saldonvo){
			$tipo="Egreso";
		}
		if ($variacion <=0){
			$variacion=$variacion * (-1);
		}
		$tiempo=date('Y/m/d H:i:s');
		$valores=$id_cliente."|".$nombrecli."|".$motivo."|".$tipo."|".$saldoant."|".$monto."|".$saldonvo."|".$tiempo;	
		$columnas="id_cliente|nombre|movimiento|tipo|saldo_inicial|monto|saldo_final|tiempo";	
		$res=insertar("m_historial_cliente", $columnas, $valores);	
		return $res;		
	}
	
	
	
	
	
	
	
	//DEVOLVER LOTES
	public function devolver_lotes($id_usuario, $id_venta, $id_detalleD){		
		$columnas="id_detalle, isservicio, id_lote, cantidad, almacen";		
		$ldetalles=consultar("m_detalle_venta", $columnas, "WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';");
		
		$arrDetalles= explode (">",$ldetalles);	
		foreach ($arrDetalles as $lindet){
			$arrValsd=explode ("|",$lindet);
			$id_detalle=$arrValsd[0];
			$isservicio=$arrValsd[1];
			$id_lote=$arrValsd[2];
			$cantidadDV=$arrValsd[3];
			$id_almacenDV=$arrValsd[4];
			if ($id_detalle==$id_detalleD){
				$this->devolver_lote($id_lote, $isservicio, $cantidadDV, $id_almacenDV);
				break;
			}
		}		
	}
	
	
	public function devolver_lote($id_lote, $isservicio, $cantidadDV, $id_almacen){
		if($id_lote>0){
			if ($isservicio=="NO"){				
				$consumoL=$this->get_consumoLote($id_lote, $id_almacen);				
				$nvoconsumo=$consumoL-$cantidadDV;							
				$res=actualizar("m_lotes", "consumo", $nvoconsumo, "WHERE id_lote='".$id_lote."' and id_almacen='".$id_almacen."';");
			}
		}		
	}
	
	public function get_consumoLote($id_lote, $id_almacen){			
		$res=consultar("m_lotes", "consumo", "WHERE id_lote='".$id_lote."' and id_almacen='".$id_almacen."';");	
		return $res;
	}
	
}





?>