<?php
require "MConsultas.php";
require "MInit.php";
require "MDeleter.php";
require "MActualizer.php";
require "MInserter.php";


$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

// Devuelve lista de folios de facturas hechas
 if ($funcion=='get_facturas'){	
	$condicion="ORDER BY folio DESC limit 100;";	
	$columnas="folio";
	$res=consultar("m_facturas", $columnas, $condicion);	
	echo responder($res);
}

//Devulve datos de una factura
 if ($funcion=='get_factura'){	
	$folio=$body['folio'];
	$condicion="WHERE folio='".$folio."';";	
 $columnas="folio, serie, fecha, tipo_factura, nombre_tipofac, rfc_emisor, id_venta, id_usuario, regimen_fiscal, nombre_regimen, cadena_original, id_cliente, nombrecli, forma_pago, nombrefp, metodo_pago, nombremp, cp_emisor, moneda, nombre_moneda, tipo_cambio, estado, uso_factura, nombre_usofac, condiciones, folio_fiscal, fecha_certificacion, sello_digital_cfdi, cert_sello_digital, cert_sello_sat, sello_digital_sat, subtotal, traslados, retenciones, descuentos, total, saldo, nombre_emisor, rfc_receptor";
	$res=consultar("m_facturas", $columnas, $condicion);	
	echo responder($res);
}

//Verifica venta facturada
 if ($funcion=='verif_ventafac'){
	$id_venta=$body['id_venta'];
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_venta='".$id_venta."' and id_usuario='".$id_usuario."';";	
	$res=consultar("m_facturas", 'folio', $condicion);	
	echo responder($res);
}

// Borrar prefactura
	if ($funcion=='del_factura'){		
	$folio=$body['folio'];	
	$condicion="WHERE folio='".$folio."' and estado='Pendiente';";		
	$res=eliminar("m_facturas", $condicion);	
	echo $res;
}

// Actualiza los datos de una factura
if ($funcion=='upd_factura'){
	$folio=$body['folio'];
	$valores=$body['valores'];	
	$condicion="WHERE folio='".$folio."';";	
	$columnas="cadena_original|folio_fiscal|fecha_certificacion|sello_digital_cfdi|cert_sello_digital|cert_sello_sat|sello_digital_sat|subtotal|traslados|retenciones|descuentos|total|estado|saldo";	
	$res=actualizar("m_facturas", $columnas, $valores, $condicion);	
	echo $res;
}

//Agregar factura
if ($funcion=='add_factura'){		
	$valores=$body['valores'];	
	$columnas="serie|fecha|tipo_factura|nombre_tipofac|id_venta|id_usuario|regimen_fiscal|nombre_regimen|id_cliente|rfc_receptor|nombrecli|forma_pago|nombrefp|metodo_pago|nombremp|estado|moneda|nombre_moneda|cp_emisor|tipo_cambio|uso_factura|nombre_usofac|condiciones|rfc_emisor|nombre_emisor";	
	$res=insertar("m_facturas", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_edofact'){
	$folio=$body['folio'];
	$valores=$body['valores'];	
	$condicion="WHERE folio='".$folio."';";		
	$res=actualizar("m_facturas", "estado", $valores, $condicion);	
	echo $res;
}




	//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> FACTURAS RELACIONADAS
if ($funcion=='get_facturasrel'){	
	$folio=$body['folio'];
	$condicion="WHERE folio='".$folio."';";	
	$columnas="id_relacion, tiporel, uuid";
	$res=consultar("m_cfdirel", $columnas, $condicion);	
	echo responder($res);
}


if ($funcion=='get_tiposrel'){	
	$condicion="ORDER BY id_tipo ASC;";	
	$columnas="id_tipo, descripcion";
	$res=consultar("m_tiposrelfact", $columnas,$condicion);	
	echo responder($res);
}

 if ($funcion=='get_uuidrel'){
	$uuid=$body['uuid'];
	$folio=$body['folio'];
	$condicion="WHERE uuid='".$uuid."' and folio='".$folio."';";	
	$res=consultar("m_cfdirel", 'uuid', $condicion);	
	echo responder($res);
}

if ($funcion=='add_relacion'){		
	$valores=$body['valores'];	
	$columnas="folio|uuid|tiporel";	
	$res=insertar("m_cfdirel", $columnas, $valores);	
	echo $res;
}

if ($funcion=='add_relacion2'){		
	$folio=$body['folio'];
	$uuid=$body['uuid'];
	$tiporel=$body['tiporel'];
	$condicion="WHERE uuid='".$uuid."';";	
	$res=consultar("m_cfdirel", 'uuid', $condicion);	
	if($res==''){
		$valores=$folio."|".$uuid."|".$tiporel;	
		$columnas="folio|uuid|tiporel";	
		$ret=insertar("m_cfdirel", $columnas, $valores);
		echo $ret;
	}else{
		echo responder('No se puede agregar factura porque ya esta relacionada con otra');
	}		
	
}

if ($funcion=='del_relacion'){		
	$uuid=$body['uuid'];
	$folio=$body['folio'];
	$condicion="WHERE folio='".$folio."' and uuid='".$uuid."';";		
	$res=eliminar("m_cfdirel", $condicion);	
	echo $res;
}




	//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> REGIMENES DE TRIBUTACION SAT
	
if ($funcion=='get_regimenes'){	
	$tipo=$body['tipo'];	
	$condicion="WHERE tipo_persona='".$tipo."' ORDER BY descripcion asc;";	
	$columnas="num_reg, descripcion";
	$res=consultar("m_regimenes", $columnas, $condicion);	
	echo responder($res);
}
	
	
	//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> MONEDAS
	
if ($funcion=='get_monedas'){	
	$condicion="ORDER BY nombre asc;";	
	$columnas="id_moneda, nombre";
	$res=consultar("m_monedas", $columnas, $condicion);	
	echo responder($res);
}


//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> USO FACTURA
	
if ($funcion=='get_usosfactura'){	
	$condicion="ORDER BY descripcion asc;";	
	$columnas="clave, descripcion";
	$res=consultar("m_usofactura", $columnas, $condicion);	
	echo responder($res);
}


?>