<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];
      

//***MOVIMIENTOS DE PRTODUCTOS

 if ($funcion=='add_movprod'){		
	$valores=$body['valores'];
	$columnas="id_usuario|descripcion|al_entrada|al_salida|motivo|cantidad|costo|total|tiempo|estado|id_producto|alm_enttipo|alm_saltipo|id_lote|id_lotesal|alm_entsuc|alm_salsuc";	
	$res=insertar("m_movprods", $columnas, $valores);
	echo $res;
}	            

if ($funcion=='get_movprodspend'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Pendiente' ORDER BY tiempo desc LIMIT 100;";	
	$columnas="id_movprod, id_usuario, id_producto, descripcion, al_entrada, al_salida, motivo, cantidad, costo, total, tiempo, estado, alm_enttipo, alm_saltipo, id_lote, id_lotesal, alm_entsuc, alm_salsuc";	
	$res=consultar("m_movprods", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='del_movprod'){		
	$id_usuario=$body['id_usuario'];
	$id_movprod=$body['id_movprod'];	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_movprod='".$id_movprod."';";		
	$res=eliminar("m_movprods", $condicion);	
	echo $res;
}

if ($funcion=='upd_movprod'){		
	$estado=$body['estado'];
	$id_movprod=$body['id_movprod'];	
	$condicion="WHERE id_movprod='".$id_movprod."';";		
	$res=actualizar("m_movprods", "estado", $estado, $condicion);	
	echo $res;
}

//*** MOTIVOS

 if ($funcion=='get_motivosmov'){
	$tipo=$body['tipo'];	
	$condicion="WHERE tipo='".$tipo."' ORDER BY id_motivo asc;";		
	$columnas="id_motivo, descripcion, tipo";
	$res=consultar("m_motivosmov", $columnas,$condicion);	
	echo responder($res);
}


//***INGRESO DE LOTES

if ($funcion=='get_lote'){
	$id_lote=$body['id_lote'];	
	$id_almacen=$body['id_almacen'];	
	$columnas="id_lote, id_producto, id_usuario, descripcion, motivo, consumo, cantidad, lote, serie, caducidad, estado, tiempo, id_almacen";
	$condicion="WHERE id_lote='".$id_lote."' and id_almacen='".$id_almacen."';";		
	$res=consultar("m_lotes", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_idlote'){		
	$id_lote=$body['id_lote'];	
	$columnas="id_lote";
	$id_almacen=$body['id_almacen'];	
	$condicion="WHERE id_lote='".$id_lote."' and id_almacen='".$id_almacen."';";		
	$res=consultar("m_lotes", $columnas, $condicion);		
	echo $res;
}


if ($funcion=='get_consumoLote'){		
	$id_lote=$body['id_lote'];		
	$id_almacen=$body['id_almacen'];	
	$condicion="WHERE id_lote='".$id_lote."' and id_almacen='".$id_almacen."';";		
	$res=consultar("m_lotes", "consumo", $condicion);		
	echo responder($res);
}




 if ($funcion=='add_lote'){		
	$valores=$body['valores'];
	$columnas="id_lote|id_producto|cantidad|lote|serie|caducidad|estado|tiempo|consumo|descripcion|id_usuario|motivo|id_almacen";	
	$res=insertar("m_lotes", $columnas, $valores);
	echo $res;
}	 

if ($funcion=='del_lote'){		
	$id_lote=$body['id_lote'];
	$id_almacen=$body['id_almacen'];	
	$condicion="WHERE id_lote='".$id_lote."' and id_almacen='".$id_almacen."';";		
	$res=eliminar("m_lotes", $condicion);	
	echo $res;
}

if ($funcion=='upd_edolote'){		
	$estado=$body['estado'];
	$id_lote=$body['id_lote'];
	$id_almacen=$body['id_almacen'];	
	$condicion="WHERE id_lote='".$id_lote."' and id_almacen='".$id_almacen."';";		
	$res=actualizar("m_lotes", "estado", $estado, $condicion);	
	echo $res;
}



//** EGRESO DE LOTES
		
if ($funcion=='get_lotesDispo'){
	$id_producto=$body['id_producto'];
	$id_almacen=$body['id_almacen'];
	$columnas="id_lote, id_producto, id_usuario, descripcion, consumo, cantidad,  lote, serie, caducidad, estado, tiempo, motivo, id_almacen";
	$condicion="WHERE id_producto='".$id_producto."' and id_almacen='".$id_almacen."' and consumo<>cantidad and estado='Confirmado' order by tiempo ASC;";		
	$res=consultar("m_lotes", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='upd_consumoLote'){		
	$consumo=$body['consumo'];		
	$id_lote=$body['id_lote'];	
	$id_almacen=$body['id_almacen'];
	$condicion="WHERE id_lote='".$id_lote."' and id_almacen='".$id_almacen."';";	
	$res=actualizar("m_lotes", "consumo", $consumo, $condicion);	
	echo $res;
} 

?>