<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];


// >* DASHBOASRD

if ($funcion=='getIndicadores'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$ctab= new Ctablero();
		
	$contVentEfe=$ctab->get_contVentascontado($id_usuario, $tini, $tfin);	//conteo ventas
	$sumaVentEfe=$ctab->get_sumaVentascontado($id_usuario, $tini, $tfin);	//suma ventas
	$contCompEfe=$ctab->get_contComprascontado($id_usuario, $tini, $tfin);	//conteo compras
	$sumaCompEfe=$ctab->get_sumaComprascontado($id_usuario, $tini, $tfin);	//suma compras
	$contIngreBan=$ctab->get_contIngresos($id_usuario, $tini, $tfin);		//conteo ingreos
	$sumaIngreBan=$ctab->get_sumaIngresos($id_usuario, $tini, $tfin);		//suma ingresos
	$contEgreBan=$ctab->get_contEgresos($id_usuario, $tini, $tfin);			//conteo egresos
	$sumaEgreBan=$ctab->get_sumaEgresos($id_usuario, $tini, $tfin);			//suma egresos
	$contDevVent=$ctab->get_contDevventas($id_usuario, $tini, $tfin);		//conteo devol ventas
	$sumaDevVent=$ctab->get_sumaDevventas($id_usuario, $tini, $tfin);		//suma devol ventas
	$contPagCli=$ctab->get_contMovclis($id_usuario, $tini, $tfin);			//conteo pago clientes
	$sumaPagCli=$ctab->get_sumaMovclis($id_usuario, $tini, $tfin);			//suma pagos clientes
	
	echo responder($contVentEfe."|".$sumaVentEfe."|".$contCompEfe."|".$sumaCompEfe."|".$contIngreBan."|".$sumaIngreBan."|".$contEgreBan."|".$sumaEgreBan."|".$contDevVent."|".$sumaDevVent."|".$contPagCli."|".$sumaPagCli);
}



class Ctablero{
	
	//**VENTAS
	//conteo ventas efectivo
	public function get_contVentascontado($id_usuario, $tini, $tfin){
		$columnas="count(id_venta)";
		$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' 
		and formapago1='01' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_ventas", $columnas, $condicion);	
		return $res;		
	}
	
	//suma de ventas en efectivo
	public function get_sumaVentascontado($id_usuario, $tini, $tfin){
		$columnas="sum(total)";
		$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta'
		and formapago1='01' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_ventas", $columnas, $condicion);	
		return $res;
	}
	
	
	
	//**COMPRAS
	//conteo compras efectivo
	public function get_contComprascontado($id_usuario, $tini, $tfin){
		$columnas="count(id_compra)";
		$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta'
		and metodo_pago='Efectivo' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_compras", $columnas, $condicion);	
		return $res;		
	}
	
	//suma de compras en efectivo
	public function get_sumaComprascontado($id_usuario, $tini, $tfin){
		$columnas="sum(total)";
		$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta'
		and metodo_pago='Efectivo' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_compras", $columnas, $condicion);	
		return $res;
	}
	
	
	
	
	
	//**BANCOS
	//>>>Ingresos
	//conteo ingresos en cuentas bancarias
	public function get_contIngresos($id_usuario, $tini, $tfin){
		$columnas="count(id_detalle)";
		$condicion="WHERE id_usuario='".$id_usuario."' and tipo='INGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_detalletranscue", $columnas, $condicion);
		return $res;		
	}
	
	//suma ingresos en cuentas bancarias
	public function get_sumaIngresos($id_usuario, $tini, $tfin){
		$columnas="sum(monto)";
		$condicion="WHERE id_usuario='".$id_usuario."' and tipo='INGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_detalletranscue", $columnas, $condicion);	
		return $res;
	}
	
	
	
	
	//**BANCOS
	//>>>Egresos
	//conteo egresos en ceuntas bancarias
	public function get_contEgresos($id_usuario, $tini, $tfin){
		$columnas="count(id_detalle)";
		$condicion="WHERE id_usuario='".$id_usuario."' and tipo='EGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_detalletranscue", $columnas, $condicion);	
		return $res;		
	}
	
	//Suma egresos en cuentas bancarias
	public function get_sumaEgresos($id_usuario, $tini, $tfin){
		$columnas="sum(monto)";
		$condicion="WHERE id_usuario='".$id_usuario."' and tipo='EGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_detalletranscue", $columnas, $condicion);	
		return $res;
	}
	
	
	
	
	
	//**DEVOLUCIONES
	//>>>Ventas
	//conteo devoluciones ventas efectivo
	public function get_contDevventas($id_usuario, $tini, $tfin){
		$columnas="count(id_devolucion)";
		$condicion="WHERE id_usuario='".$id_usuario."' and estado='Confirmada' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_devoluciones", $columnas, $condicion);
		return $res;		
	}
	
	//suma de devoluciones ventas efectivo
	public function get_sumaDevventas($id_usuario, $tini, $tfin){
		$columnas="sum(total_desc)";
		$condicion="WHERE id_usuario='".$id_usuario."' and estado='Confirmada' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_devoluciones", $columnas, $condicion);	
		return $res;
	}
	
	
	
	
	
	//**PAGOS
	//>>>Clientes
	//conteo pagos de clientes 
	public function get_contMovclis($id_usuario, $tini, $tfin){
		$columnas="count(id_detalle)";
		$condicion="WHERE id_usuario='".$id_usuario."' and metodo_pago='Efectivo' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_detalle_movcli", $columnas, $condicion);
		return $res;		
	}
	
	//suma de pagos de clientes
	public function get_sumaMovclis($id_usuario, $tini, $tfin){
		$columnas="sum(total)";
		$condicion="WHERE id_usuario='".$id_usuario."' and metodo_pago='Efectivo' and (tiempo between '".$tini."' and '".$tfin."');";		
		$res=consultar("m_detalle_movcli", $columnas, $condicion);	
		return $res;
	}	
	
}







?>