<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** VENTAS 

 if ($funcion=='get_allventas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$condicion="WHERE estado<>'Pendiente' and (tiempo between '".$tini."' and '".$tfin."') ORDER BY tiempo desc;";	
	$columnas="id_usuario, id_venta, id_cliente, total, tipo, nombrecli";
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}


 if ($funcion=='get_allventasFact'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$condicion="WHERE estado<>'Pendiente' and (tiempo between '".$tini."' and '".$tfin."') ORDER BY tiempo desc;";	
	$columnas="id_usuario, id_venta, id_cliente, total, tipo, nombrecli, metodopago, nombremp, formapago1, nombrefp1";
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='get_allventasUS'){	
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE estado<>'Pendiente' and id_usuario='".$id_usuario."' ORDER BY id_venta desc limit 1000;";	
	$columnas="id_venta, nombrecli, total, tipo, tiempo";
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}


if ($funcion=='get_venta'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$columnas="id_venta, id_usuario, id_vendedor, nombreven, id_cliente, nombrecli, tiempo, metodopago, nombremp, formapago1, nombrefp1, descuento, total, ganancia, productos, tipo, estado,  formapago2, pago1, pago2, transaccion, tiempo_fin, subtotal, t_traslados, t_retenciones, recibido, cambio";
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta ='".$id_venta."';";		
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_ventaspend'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."' and estado ='Pendiente' ORDER BY id_venta DESC limit 15;";		
	$res=consultar("m_ventas", "id_venta", $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxventa'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."';";		
	$res=consultar("m_ventas", "max(id_venta)", $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxventapend'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Pendiente';";		
	$res=consultar("m_ventas", "max(id_venta)", $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxventapendmesa'){
	$id_usuario=$body['id_usuario'];
	$id_mesa=$body['id_mesa'];
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Pendiente' and id_mesa='".$id_mesa."';";		
	$res=consultar("m_ventas", "max(id_venta)", $condicion);	
	echo responder($res);
}
	
if ($funcion=='get_clienteventa'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";		
	$res=consultar("m_ventas", "id_cliente", $condicion);	
	echo responder($res);
}	

if ($funcion=='get_vendedorventa'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";		
	$res=consultar("m_ventas", "id_vendedor", $condicion);	
	echo responder($res);
}	

if ($funcion=='add_venta'){		
	$valores=$body['valores'];	
	$columnas="id_venta|id_usuario|estado|tiempo|id_mesa|id_vendedor|id_cliente";	
	$res=insertar("m_ventas", $columnas, $valores);	
	echo $res;
}	

if ($funcion=='del_venta'){		
	$id_venta=$body['id_venta'];
	$id_usuario=$body['id_usuario'];	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";			
	$res=eliminar("m_ventas", $condicion);	
	echo $res;
}

if ($funcion=='upd_venta'){		
	$id_venta=$body['id_venta'];
	$id_usuario=$body['id_usuario'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";	
	$columnas="id_vendedor|nombreven|id_cliente|nombrecli|productos|total|ganancia|tipo|estado|formapago1|formapago2|nombrefp1|nombrefp2|transaccion|tiempo|descuento|pago1|pago2|subtotal|t_traslados|t_retenciones|recibido|cambio|metodopago|nombremp";	
	$res=actualizar("m_ventas", $columnas, $valores, $condicion);	
	echo $res;
}
       
if ($funcion=='upd_clienteventa'){	
	$id_cliente=$body['id_cliente'];
	$nombrecli=$body['nombrecli'];
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE id_venta='".$id_venta."' and id_usuario='".$id_usuario."';";	
	$res=actualizar("m_ventas", "id_cliente|nombrecli", $id_cliente."|".$nombrecli, $condicion);	
	echo $res;
}   


//***DETALLES DE VENTA
 
 if ($funcion=='add_detventa'){		
	$valores=$body['valores'];
	$columnas="id_detalle|id_usuario|id_venta|id_producto|descripcion|precio_venta|costo|cantidad|total|total_simp|ganancia|descuento|total_desc|almacen|tiempo_ini|tiempo_fin|comentario|clave|unidad|estado|id_cuenta|tiempo|id_lote|isservicio|claveunidad|impuestos|fotoprod";	
	$res=insertar("m_detalle_venta", $columnas, $valores);
	echo $res;
}	

if ($funcion=='upd_detventa'){	
	$valores=$body['valores'];
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";	
	$columnas="total|total_desc|ganancia|cantidad|descuento|total_simp|precio_venta";	
	$res=actualizar("m_detalle_venta", $columnas, $valores, $condicion);	
	echo $res;
}     

if ($funcion=='upd_clientedet'){	
	$id_cliente=$body['id_cliente'];
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE id_venta='".$id_venta."' and id_usuario='".$id_usuario."';";	
	$res=actualizar("m_detalle_venta", "id_cliente", $id_cliente, $condicion);	
	echo $res;
}   

if ($funcion=='get_detallesventa'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."' limit 100;";	
	$columnas="id_producto, precio_venta, cantidad, total_desc, total, id_detalle, descripcion, descuento, unidad, almacen, total_simp, ganancia, impresion, id_cuenta, comentario, id_cliente, clave, isservicio, claveunidad, id_lote, impuestos, costo, fotoprod";	
	$res=consultar("m_detalle_venta", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_totaldescventa'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";		
	$res=consultar("m_detalle_venta", "sum(total_desc)", $condicion);	
	echo responder($res);
}	

if ($funcion=='get_maxdetventa'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";		
	$res=consultar("m_detalle_venta", "max(id_detalle)", $condicion);	
	echo responder($res);
}	

if ($funcion=='del_detventa'){		
	$id_detalle=$body['id_detalle'];
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];	
	$condicion="WHERE id_detalle='".$id_detalle."' and id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";		
	$res=eliminar("m_detalle_venta", $condicion);	
	echo $res;
}

if ($funcion=='del_detsventa'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";		
	$res=eliminar("m_detalle_venta", $condicion);	
	echo $res;
}

//***IMPUESTOS DETALLES DE VENTA
//agregar impuesto de detalle de venta
 if ($funcion=='add_impdetalle'){		
	$valores=$body['valores'];
	$columnas="imd_tipo|imd_base|imd_imd|imd_factor|imd_vfactor|imd_importe|imd_usuario|imd_venta|imd_prod|imd_detalle";	
	$res=insertar("m_impdetalle", $columnas, $valores);
	echo $res;
}	 

//eliminar un impuesto de detalle de venta
if ($funcion=='del_impdetventa'){		
	$id_detalle=$body['id_detalle'];
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE imd_detalle='".$id_detalle."' and imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."';";		
	$res=eliminar("m_impdetalle", $condicion);	
	echo $res;
}

//eliminar todos los impuestos de una venta
if ($funcion=='del_impsdetventa'){		
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."';";		
	$res=eliminar("m_impdetalle", $condicion);	
	echo $res;
}

//obtener la suma de impuestos  de un tipo de una venta
if ($funcion=='get_sumimp'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$tipo=$body['tipo'];
	$condicion="WHERE imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."' and imd_tipo='".$tipo."';";		
	$res=consultar("m_impdetalle", "sum(imd_importe)", $condicion);	
	echo responder($res);
}	

//obtener impuestos de una venta
if ($funcion=='get_impuestos_detven'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$condicion="WHERE imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."';";	
	$columnas="imd_id, imd_tipo, imd_base, imd_imd, imd_factor, imd_vfactor, imd_importe, imd_usuario, imd_venta, imd_prod, imd_detalle";	
	$res=consultar("m_impdetalle", $columnas, $condicion);	
	echo responder($res);
}

//obtener sumas de impuestos agrupados por impuesto y factor
if ($funcion=='get_imps_detven_group'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];
	$tipo=$body['tipo'];
	$condicion="WHERE imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."' and imd_tipo='Traslado'  group by imd_imd, imd_factor;";	
	$columnas="imd_imd, sum(imd_importe), imd_base, imd_vfactor, imd_factor";	
	$res=consultar("m_impdetalle", $columnas, $condicion);	
	echo responder($res);
}


?>