<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** CLIENTES 
  
 if ($funcion=='get_clientes'){
	$buscado=$body['buscado'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$condicion="WHERE id_cliente like '%".$buscado."%' or nombre like '%".$buscado."%' ORDER BY nombre ASC LIMIT ".$inicio.",".$cantidad.";";	
	$columnas="foto, id_cliente, nombre, saldo, activo";
	$res=consultar("m_clientes", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_clientesgrupo'){
	$id_grupo=$body['id_grupo'];
	$buscado=$body['buscado'];
	$condicion="WHERE id_grupo ='".$id_grupo."' and nombre like '%".$buscado."%' ORDER BY nombre ASC;";	
	$columnas="id_cliente, nombre";
	$res=consultar("m_clientes", $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='get_allclientes'){	
	$condicion="ORDER BY nombre ASC;";	
	$columnas="id_cliente, nombre";
	$res=consultar("m_clientes", $columnas,$condicion);	
	echo responder($res);
}

if ($funcion=='get_clientesconhuella9'){	
	$condicion="WHERE activo='SI' and huella9<>'';";	
	$columnas="id_cliente, huella9";
	$res=consultar("m_clientes", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_cliente'){
	$id_cliente=$body['id_cliente'];
	$condicion="WHERE id_cliente='".$id_cliente."';";	
	$columnas="nombre, rfc, telefono, correo, limite_credito, fecha_nac, sexo, saldo, activo, calle, numext, colonia, municipio, estado, pais, codpos, foto, extra1, libre, id_grupo, id_enrol, huella9, huella10, id_cliente";
	$res=consultar("m_clientes", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_nombre'){
	$id_cliente=$body['id_cliente'];
	$condicion="WHERE id_cliente='".$id_cliente."';";	
	$res=consultar("m_clientes", "nombre", $condicion);	
	echo responder($res);
}

if ($funcion=='get_saldo'){
	$id_cliente=$body['id_cliente'];
	$condicion="WHERE id_cliente='".$id_cliente."';";	
	$res=consultar("m_clientes", "saldo", $condicion);	
	echo responder($res);
}

if ($funcion=='get_existecli'){
	$id_cliente=$body['id_cliente'];	
	$condicion="WHERE id_cliente='".$id_cliente."';";	
	$columnas="id_cliente";
	$res=consultar("m_clientes", $columnas, $condicion);	
	echo responder($res);	
}

if ($funcion=='add_cliente'){		
	$valores=$body['valores'];	
	$columnas="id_cliente|nombre|rfc|telefono|correo|limite_credito|fecha_nac|sexo|activo|calle|numext|colonia|municipio|estado|pais|codpos|foto|extra1|libre|id_grupo";	
	$res=insertar("m_clientes", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_cliente'){		
	$id_cliente=$body['id_cliente'];
	$valores=$body['valores'];	
	$condicion="WHERE id_cliente='".$id_cliente."';";	
	$columnas="nombre|rfc|telefono|correo|limite_credito|fecha_nac|sexo|activo|calle|numext|colonia|municipio|estado|pais|codpos|foto|extra1|libre|id_grupo";	
	$res=actualizar("m_clientes", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='upd_saldo'){		
	$id_cliente=$body['id_cliente'];
	$saldo=$body['saldo'];	
	$condicion="WHERE id_cliente='".$id_cliente."';";		
	$res=actualizar("m_clientes", "saldo", $saldo, $condicion);	
	echo $res;
}

if ($funcion=='del_cliente'){		
	$id_cliente=$body['id_cliente'];	
	$condicion="WHERE id_cliente='".$id_cliente."';";		
	$res=eliminar("m_clientes", $condicion);	
	echo $res;
}

// ** HUELLAS DE CLIENTES

if ($funcion=='get_idclientexenrol'){
	$id_enrol=$body['id_enrol'];
	$condicion="WHERE id_enrol='".$id_enrol."';";	
	$res=consultar("m_clientes", "id_cliente", $condicion);	
	echo responder($res);
}

if ($funcion=='set_huellascli'){		
	$id_cliente=$body['id_cliente'];	
	$valores=$body['valores'];
	$columnas="huella9|huella10|id_enrol";	
	$condicion="WHERE id_cliente='".$id_cliente."';";		
	$res=actualizar("m_clientes", $columnas, $valores, $condicion);	
	echo $res;
}

 if ($funcion=='get_huellas10Clientes'){	
	$condicion="where id_enrol>0 ORDER BY id_enrol ASC;";	
	$columnas="id_enrol, huella10";
	$res=consultar("m_clientes", $columnas, $condicion);	
	echo responder($res);
}


if ($funcion=='get_maxIdenrol'){	
	$res=consultar("m_clientes", "MAX(id_enrol)", ";");	
	echo responder($res);
}


 
// CLIENTES GRUPO 
 
if ($funcion=='upd_grupocliente'){		
	$id_cliente=$body['id_cliente'];
	$valores=$body['valores'];	
	$condicion="WHERE id_cliente='".$id_cliente."';";		
	$res=actualizar("m_clientes", "id_grupo", $valores, $condicion);	
	echo $res;
}

if ($funcion=='upd_clientesgrupo'){		
	$id_grupo=$body['id_grupo'];	
	$condicion="WHERE id_grupo='".$id_grupo."';";		
	$res=actualizar("m_clientes", "id_grupo", "0", $condicion);	
	echo $res;
}

if ($funcion=='get_contcligrupo'){
	$id_grupo=$body['id_grupo'];	
	$condicion="WHERE id_grupo='".$id_grupo."';";	
	$columnas="count(id_cliente)";
	$res=consultar("m_clientes", $columnas, $condicion);	
	echo responder($res);	
}


//*** TABLA DE GRUPOS DE CLIENTES 

 if ($funcion=='get_gruposcli'){
	$buscado=$body['buscado'];
	$condicion="WHERE nombre like '%".$buscado."%' ORDER BY nombre ASC LIMIT 50;";	
	$columnas="id_grupo, nombre, activo";
	$res=consultar("m_gruposcli", $columnas,$condicion);	
	echo responder($res);
}

if ($funcion=='add_grupocli'){		
	$valores=$body['valores'];	
	$columnas="nombre|activo";	
	$res=insertar("m_gruposcli", $columnas, $valores);	
	echo $res;
}

if ($funcion=='del_grupocli'){		
	$id_grupo=$body['id_grupo'];	
	$condicion="WHERE id_grupo='".$id_grupo."';";		
	$res=eliminar("m_gruposcli", $condicion);	
	echo $res;
}

if ($funcion=='get_existegrupo'){
	$nombre=$body['nombre'];	
	$condicion="WHERE nombre='".$nombre."';";	
	$res=consultar("m_gruposcli", "id_grupo", $condicion);	
	echo responder($res);	
}
?>