<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** COMPRAS 

if ($funcion=='get_compra'){
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$columnas="id_compra, id_usuario, id_proveedor, id_almacen, total, productos, tipo, estado, metodo_pago, metodo_pago2, pago1, pago2, transaccion, tiempo, descuentos, subtotal, traslados, retenciones, recibido, cambio";
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra ='".$id_compra."';";		
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_compraspend'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."' and estado ='Pendiente' ORDER BY id_compra DESC limit 15;";		
	$res=consultar("m_compras", "id_compra", $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxcompra'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."';";		
	$res=consultar("m_compras", "max(id_compra)", $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxcomprapend'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Pendiente';";		
	$res=consultar("m_compras", "max(id_compra)", $condicion);	
	echo responder($res);
}

if ($funcion=='add_compra'){		
	$valores=$body['valores'];	
	$columnas="id_compra|id_usuario|estado|tiempo|id_proveedor|id_almacen";	
	$res=insertar("m_compras", $columnas, $valores);	
	echo $res;
}	

if ($funcion=='del_compra'){		
	$id_compra=$body['id_compra'];
	$id_usuario=$body['id_usuario'];	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."';";			
	$res=eliminar("m_compras", $condicion);	
	echo $res;
}
      
if ($funcion=='upd_compra'){		
	$id_compra=$body['id_compra'];
	$id_usuario=$body['id_usuario'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."';";	
	$columnas="id_proveedor|id_almacen|productos|total|tipo|estado|metodo_pago|metodo_pago2|transaccion|tiempo|descuentos|pago1|pago2|subtotal|traslados|retenciones|recibido|cambio";	
	$res=actualizar("m_compras", $columnas, $valores, $condicion);	
	echo $res;
}
	   

//***DETALLES DE COMPRA
 
 if ($funcion=='add_detcompra'){		
	$valores=$body['valores'];
	$columnas="id_detalle|id_usuario|id_compra|id_producto|id_proveedor|costo|cantidad|total|id_almacen|tiempo|lote|serie|caducidad|unitario|impuestos|descripcion|unidad|descuento|clave|total_desc|total_simp";	
	$res=insertar("m_detalle_compra", $columnas, $valores);
	echo $res;
}	            

if ($funcion=='get_detallescompra'){
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."' limit 100;";	
	$columnas="id_producto, costo, cantidad, total, id_detalle, descripcion, descuento, unidad, id_almacen, total_simp, impuestos";	
	$res=consultar("m_detalle_compra", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxdetcompra'){
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."';";		
	$res=consultar("m_detalle_compra", "max(id_detalle)", $condicion);	
	echo responder($res);
}	

if ($funcion=='del_detcompra'){		
	$id_detalle=$body['id_detalle'];
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];	
	$condicion="WHERE id_detalle='".$id_detalle."' and id_usuario='".$id_usuario."' and id_compra='".$id_compra."';";		
	$res=eliminar("m_detalle_compra", $condicion);	
	echo $res;
}

if ($funcion=='upd_detallecompra'){		
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];	
	$valores=$body['valores'];	
	$columnas="id_proveedor|id_almacen";	
	$condicion="WHERE id_compra='".$id_compra."' and id_usuario='".$id_usuario."';";	
	$res=actualizar("m_detalle_compra", $columnas, $valores, $condicion);	
	echo $res;
}   

		//Extraccion Fifo
if ($funcion=='get_detallesCompDispo'){
	$id_producto=$body['id_producto'];
	$columnas="id_detalle, id_usuario, id_compra, id_producto, consumo, cantidad, caducidad, lote, serie, tiempo, descripcion";
	$condicion="WHERE id_producto='".$id_producto."' and consumo<>cantidad order by tiempo ASC;";		
	$res=consultar("m_detalle_compra", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='upd_consumoDetcom'){		
	$consumo=$body['consumo'];
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];	
	$id_detalle=$body['id_detalle'];	
	$condicion="WHERE id_compra='".$id_compra."' and id_usuario='".$id_usuario."' and id_detalle='".$id_detalle."';";	
	$res=actualizar("m_detalle_compra", "consumo", $consumo, $condicion);	
	echo $res;
} 

if ($funcion=='get_consumoDetcom'){
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];	
	$id_detalle=$body['id_detalle'];	
	$condicion="WHERE id_compra='".$id_compra."' and id_usuario='".$id_usuario."' and id_detalle='".$id_detalle."';";			
	$res=consultar("m_detalle_compra", "consumo", $condicion);	
	echo responder($res);
}



//***IMPUESTOS DETALLES DE COMPRA
 if ($funcion=='add_impdetcomp'){		
	$valores=$body['valores'];
	$columnas="imd_tipo|imd_base|imd_imd|imd_factor|imd_vfactor|imd_importe|imd_usuario|imd_compra|imd_prod|imd_detalle";	
	$res=insertar("m_impdetalle_comp", $columnas, $valores);
	echo $res;
}	 

if ($funcion=='del_impdetcompra'){		
	$id_detalle=$body['id_detalle'];
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$condicion="WHERE imd_detalle='".$id_detalle."' and imd_usuario='".$id_usuario."' and imd_compra='".$id_compra."';";		
	$res=eliminar("m_impdetalle_comp", $condicion);	
	echo $res;
}





//***EXTRACCION FIFO
 if ($funcion=='add_fifo'){		
	$valores=$body['valores'];
	$columnas="id_detven|id_venta|id_usven|id_detcom|id_compra|id_uscom|cantidad|id_producto";	
	$res=insertar("m_fifo", $columnas, $valores);
	echo $res;
}	 

if ($funcion=='get_regFifo'){
	$id_detven=$body['id_detven'];
	$id_usven=$body['id_usven'];
	$id_venta=$body['id_venta'];
	$columnas="id_fifo, id_detven, id_venta, id_usven, id_detcom, id_compra, id_uscom, cantidad, id_producto";
	$condicion="WHERE id_detven='".$id_detven."' and  id_usven='".$id_usven."' and  id_venta='".$id_venta."';";		
	$res=consultar("m_fifo", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='del_fifo'){		
	$id_fifo=$body['id_fifo'];	
	$condicion="WHERE id_fifo='".$id_fifo."';";		
	$res=eliminar("m_fifo", $condicion);	
	echo $res;
}


?>