<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** PRODUCTOS 

if ($funcion=='get_productosMod'){
	$buscado=$body['buscado'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$tablas="m_productos";
	$condicion="WHERE id_producto like '%".$buscado."%' or descripcion like '%".$buscado."%' ORDER BY descripcion ASC LIMIT ".$inicio.",".$cantidad.";";	
	$columnas="fotopri, id_producto, descripcion, clasificacion, isservicio, activo";
	$res=consultar($tablas, $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_producto'){
	$id_producto=$body['id_producto'];
	$condicion="WHERE id_producto='".$id_producto."';";	
	$columnas="id_producto, descripcion, perecedero, compuesto, activo, bascula, prescripcion, ubicacion, detalle, insumo, clave, unidad, clasificacion, isservicio, tipo, duracion, unidaddur, claveunidad, etiquetas, calificacion";
	$res=consultar("m_productos", $columnas,$condicion);	
	echo responder($res);
}

 if ($funcion=='get_productos'){
	$condicion=$body['condicion'];	
	$columnas="m_productos.id_producto, m_productos.descripcion, m_preciosprod.valor, m_almacenesprod.existencia";
	$tablas="m_productos, m_preciosprod, m_almacenesprod";
	$res=consultar($tablas, $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='get_productosSel'){
 	$buscado=$body['buscado'];
	$condicion="WHERE descripcion like '%".$buscado."%' or id_producto like '%".$buscado."%' order by descripcion asc;";
	$columnas="id_producto, descripcion, activo";
	$res=consultar("m_productos", $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='get_prodclasif'){
	$buscado=$body['buscado'];
	$clasificacion=$body['clasificacion'];
	$liminf=$body['liminf'];
	$cantidad=$body['cantidad'];
	$condicion="WHERE descripcion like '%".$buscado."%' and  activo ='SI' and clasificacion like '%".$clasificacion."%' and insumo='NO' LIMIT ".$liminf.", ".$cantidad.";";	
	$columnas="id_producto, descripcion";
	$res=consultar("m_productos", $columnas,$condicion);	
	echo responder($res);
}


if ($funcion=='get_fotoprodpri'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."' and principal='1';";	
	$columnas="nombre";
	$res=consultar("m_fotosprod", $columnas, $condicion);	
	echo responder($res);	
}

if ($funcion=='get_existeprod'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";		
	$res=consultar("m_productos", "id_producto", $condicion);	
	echo responder($res);	
}

if ($funcion=='get_basculaprod'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";	
	$res=consultar("m_productos", "bascula", $condicion);	
	echo responder($res);	
}

if ($funcion=='get_iscompuesto'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";	
	$res=consultar("m_productos", "compuesto", $condicion);	
	echo responder($res);	
}

if ($funcion=='get_isservicio'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";	
	$res=consultar("m_productos", "isservicio", $condicion);	
	echo responder($res);	
}


if ($funcion=='get_isprescipprod'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";	
	$res=consultar("m_productos", "prescripcion", $condicion);	
	echo responder($res);	
}

if ($funcion=='get_descripcionprod'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";	
	$res=consultar("m_productos", "descripcion", $condicion);	
	echo responder($res);	
}

if ($funcion=='get_claveprod'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";	
	$res=consultar("m_productos", "clave", $condicion);	
	echo responder($res);	
}

if ($funcion=='get_unidadprod'){
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";	
	$res=consultar("m_productos", "unidad", $condicion);	
	echo responder($res);	
}


if ($funcion=='add_producto'){		
	$valores=$body['valores'];	
	$columnas="id_producto|descripcion|perecedero|compuesto|activo|bascula|prescripcion|ubicacion|detalle|insumo|clave|unidad|clasificacion|isservicio|tipo|duracion|unidaddur|claveunidad|etiquetas|fregistro";	
	$res=insertar("m_productos", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_producto'){		
	$id_producto=$body['id_producto'];
	$valores=$body['valores'];	
	$condicion="WHERE id_producto='".$id_producto."';";		
	$columnas="descripcion|perecedero|compuesto|activo|bascula|prescripcion|ubicacion|detalle|insumo|clave|unidad|clasificacion|isservicio|tipo|duracion|unidaddur|claveunidad|etiquetas";	
	$res=actualizar("m_productos", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='upd_fotopri'){		
	$id_producto=$body['id_producto'];
	$fotopri=$body['fotopri'];	
	$condicion="WHERE id_producto='".$id_producto."';";			
	$res=actualizar("m_productos", "fotopri", $fotopri, $condicion);	
	echo $res;
}


if ($funcion=='del_producto'){		
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";		
	$res=eliminar("m_productos", $condicion);	
	echo $res;
}
  
//***PRECIOS PRODUCTO
  
 if ($funcion=='get_preciosprod'){
	$id_producto=$body['id_producto'];
	$condicion="WHERE id_producto='".$id_producto."';";	
	$columnas="id_precio, nombre, valor";
	$res=consultar("m_preciosprod", $columnas,$condicion);	
	echo responder($res);
}


 if ($funcion=='get_precioprod'){
	$id_producto=$body['id_producto'];
	$nombre=$body['nombre'];
	$condicion="WHERE id_producto='".$id_producto."' and nombre='".$nombre."';";	
	$res=consultar("m_preciosprod", "valor",$condicion);	
	echo responder($res);
}

if ($funcion=='upd_precioprod'){		
	$id_precio=$body['id_precio'];
	$valor=$body['valor'];	
	$condicion="WHERE id_precio='".$id_precio."';";			
	$res=actualizar("m_preciosprod", "valor", $valor, $condicion);	
	echo $res;
}
  
 if ($funcion=='add_precioprod'){		
	$valores=$body['valores'];	
	$columnas="nombre|valor|id_producto";	
	$res=insertar("m_preciosprod", $columnas, $valores);	
	echo $res;
}

if ($funcion=='del_precioprod'){		
	$id_precio=$body['id_precio'];	
	$condicion="WHERE id_precio='".$id_precio."';";		
	$res=eliminar("m_preciosprod", $condicion);	
	echo $res;
}

if ($funcion=='del_preciosprod'){		
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";		
	$res=eliminar("m_preciosprod", $condicion);	
	echo $res;
}


//***IMPUESTOS PRODUCTO

 if ($funcion=='get_impsprod'){
	$id_producto=$body['id_producto'];
	$condicion="WHERE imp_prd='".$id_producto."';";	
	$columnas="imp_id, imp_tipo, imp_imp, imp_factor, imp_val";
	$res=consultar("m_impuestosprod", $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='add_impprod'){		
	$valores=$body['valores'];	
	$columnas="imp_prd|imp_imp|imp_factor|imp_tipo|imp_val";	
	$res=insertar("m_impuestosprod", $columnas, $valores);	
	echo $res;
}

 if ($funcion=='get_impprod'){
	$id_producto=$body['id_producto'];
	$nombre=$body['nombre'];
	$factor=$body['factor'];
	$tipo=$body['tipo'];
	$valor=$body['valor'];
	$condicion="WHERE imp_prd='".$id_producto."' and imp_imp='".$nombre."' and imp_factor='".$factor."' and imp_tipo='".$tipo."' and imp_val='".$valor."';";	
	$res=consultar("m_impuestosprod", "imp_val", $condicion);	
	echo responder($res);
}

if ($funcion=='del_impprod'){		
	$imp_id=$body['imp_id'];	
	$condicion="WHERE imp_id='".$imp_id."';";		
	$res=eliminar("m_impuestosprod", $condicion);	
	echo $res;
}

if ($funcion=='del_impuestosprod'){		
	$id_producto=$body['id_producto'];	
	$condicion="WHERE imp_prd='".$id_producto."';";		
	$res=eliminar("m_impuestosprod", $condicion);	
	echo $res;
}



//***IMPUESTOS 

 if ($funcion=='get_impuestos'){
	$condicion="ORDER BY id_impuesto ASC;";	
	$columnas="id_impuesto, tipo, nombre, factor, valor";
	$res=consultar("m_impuestos", $columnas, $condicion);		
	echo responder($res);
}

 if ($funcion=='add_impuesto'){		
	$valores=$body['valores'];	
	$columnas="nombre|factor|tipo|valor";	
	$res=insertar("m_impuestos", $columnas, $valores);	
	echo $res;
}

 if ($funcion=='get_impuesto'){	
	$nombre=$body['nombre'];
	$factor=$body['factor'];
	$tipo=$body['tipo'];
	$valor=$body['valor'];
	$condicion="WHERE nombre='".$nombre."' and factor='".$factor."' and tipo='".$tipo."' and valor='".$valor."';";	
	$res=consultar("m_impuestos", "valor", $condicion);	
	echo responder($res);
}

if ($funcion=='del_impuesto'){		
	$id_impuesto=$body['id_impuesto'];	
	$condicion="WHERE id_impuesto='".$id_impuesto."';";		
	$res=eliminar("m_impuestos", $condicion);	
	echo $res;
}


//***ALMACENES PRODUCTO
 if ($funcion=='get_almacenesprod'){
	$id_producto=$body['id_producto'];
	$condicion="WHERE id_producto='".$id_producto."';";	
	$columnas="id_almacen, nombre, existencia";
	$res=consultar("m_almacenesprod", $columnas,$condicion);	
	echo responder($res);
}

 if ($funcion=='get_nivelprod'){
	$id_producto=$body['id_producto'];
	$almacen=$body['almacen'];
	$condicion="WHERE id_producto='".$id_producto."' and nombre='".$almacen."';";	
	$res=consultar("m_almacenesprod", "existencia", $condicion);	
	echo responder($res);
}

if ($funcion=='upd_almacenprod'){		
	$id_producto=$body['id_producto'];
	$existencia=$body['existencia'];	
	$almacen=$body['almacen'];
	$condicion="WHERE id_producto='".$id_producto."' and nombre='".$almacen."';";			
	$res=actualizar("m_almacenesprod", "existencia", $existencia, $condicion);	
	echo $res;
}
  
   if ($funcion=='add_almacenprod'){		
	$valores=$body['valores'];	
	$columnas="nombre|existencia|id_producto";	
	$res=insertar("m_almacenesprod", $columnas, $valores);	
	echo $res;
}

if ($funcion=='del_alamcenesprod'){		
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";		
	$res=eliminar("m_almacenesprod", $condicion);	
	echo $res;
}


//***ALMACENES
 if ($funcion=='get_almacen'){
	$nalmacen=$body['nalmacen'];
	$tipo=$body['tipo'];
	$condicion="WHERE descripcion='".$nalmacen."' and tipo ='".$tipo."';";		
	$columnas="id_almacen, descripcion, sucursal, tipo, activo";
	$res=consultar("m_almacenes", $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='get_almacenes'){
	$condicion="WHERE tipo='Local' ORDER BY id_almacen asc;";		
	$columnas="id_almacen, descripcion, sucursal, tipo, activo";
	$res=consultar("m_almacenes", $columnas,$condicion);	
	echo responder($res);
}

 if ($funcion=='get_allalmacenes'){	
	$tipo=$body['tipo'];
	$condicion="WHERE activo='SI' and tipo like'%".$tipo."%';";	
	$columnas="id_almacen, descripcion, tipo, sucursal";
	$res=consultar("m_almacenes", $columnas,$condicion);	
	echo responder($res);
}

if ($funcion=='upd_almacen'){	
	$id_almacen=$body['id_almacen'];
	$valores=$body['valores'];
	$columnas="descripcion|activo|sucursal|tipo";	
	$condicion="WHERE id_almacen='".$id_almacen."';";			
	$res=actualizar("m_almacenes", $columnas, $valores, $condicion);	
	echo $res;
}
  
   if ($funcion=='add_almacen'){		
	$valores=$body['valores'];	
	$columnas="descripcion|activo|sucursal|tipo";	
	$res=insertar("m_almacenes", $columnas, $valores);	
	echo $res;
}

if ($funcion=='del_alamcen'){		
	$id_almacen=$body['id_almacen'];	
	$condicion="WHERE id_almacen='".$id_almacen."';";		
	$res=eliminar("m_almacenes", $condicion);	
	echo $res;
}




//***PRECIOS 
 if ($funcion=='get_precios'){	
	$condicion="order by id_precio asc;";	
	$columnas="id_precio, descripcion, activo";
	$res=consultar("m_precios", $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='get_allprecios'){	
	$condicion="WHERE activo='SI';";	
	$columnas="id_precio, descripcion";
	$res=consultar("m_precios", $columnas,$condicion);	
	echo responder($res);
}

if ($funcion=='upd_precio'){		
	$id_precio=$body['id_precio'];
	$valores=$body['valores'];	
	$columnas ="descripcion|activo";
	$condicion="WHERE id_precio='".$id_precio."';";			
	$res=actualizar("m_precios", $columnas, $valores, $condicion);	
	echo $res;
}
  
 if ($funcion=='add_precio'){		
	$valores=$body['valores'];	
	$columnas="descripcion|activo";	
	$res=insertar("m_precios", $columnas, $valores);	
	echo $res;
}

if ($funcion=='del_precio'){		
	$id_precio=$body['id_precio'];	
	$condicion="WHERE id_precio='".$id_precio."';";		
	$res=eliminar("m_precios", $condicion);	
	echo $res;
}




//***CALVE SAT

if ($funcion=='get_divisionSAT'){
	$esservicio=$body['esservicio'];
	$condicion="WHERE id_clave REGEXP '^[0123456][0123456789]000000' ORDER BY descripcion asc;";		
	if ($esservicio=='SI'){
		$condicion="WHERE id_clave REGEXP '^[789][0123456789]000000' ORDER BY descripcion asc;";		
	}			
	$columnas="id_clave, descripcion";
	$res=consultar("m_clavesat", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_grupoSAT'){
	$iniciacon=$body['iniciacon'];
	$condicion="WHERE id_clave REGEXP '^".$iniciacon."[123456789][0123456789]0000' ORDER BY descripcion asc;";			
	$columnas="id_clave, descripcion";
	$res=consultar("m_clavesat", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_claseSAT'){
	$iniciacon=$body['iniciacon'];
	$condicion="WHERE id_clave REGEXP '^".$iniciacon."[123456789][0123456789]00' ORDER BY descripcion asc;";			
	$columnas="id_clave, descripcion";
	$res=consultar("m_clavesat", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_clproductoSAT'){
	$iniciacon=$body['iniciacon'];
	$condicion="WHERE id_clave REGEXP '^".$iniciacon."[123456789][0123456789]' ORDER BY descripcion asc;";			
	$columnas="id_clave, descripcion";
	$res=consultar("m_clavesat", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='verif_claveSAT'){
	$clave=$body['clave'];
	$condicion="WHERE id_clave='".$clave."';";		
	$res=consultar("m_clavesat", "descripcion", $condicion);	
	echo responder($res);
}



//***FOTOS PRODUCTO GALERIA 
 if ($funcion=='get_fotosProd'){
	$id_producto=$body['id_producto'];	 
	$condicion="where id_producto='".$id_producto."' order by id_foto asc;";	
	$columnas="id_foto, nombre, id_producto";	
	$res=consultar("m_fotosprod", $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='add_fotoProd'){		
	$valores=$body['valores'];	
	$columnas="nombre|id_producto";	
	$res=insertar("m_fotosprod", $columnas, $valores);	
	echo $res;
}

if ($funcion=='del_fotosProd'){		
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";		
	$res=eliminar("m_fotosprod", $condicion);	
	echo $res;
}

if ($funcion=='upd_fotoProd'){		
	$id_foto=$body['id_foto'];
	$nombre=$body['nombre'];
	$condicion="WHERE id_foto='".$id_foto."';";			
	$res=actualizar("m_fotosprod", "nombre", $nombre, $condicion);	
	echo $res;
}


//***UNIDADES DE MEDIDA
 if ($funcion=='get_unidades'){	
	$condicion="order by relevancia asc;";	
	$columnas="id_unidad, unidad";
	$res=consultar("m_unidades", $columnas, $condicion);	
	echo responder($res);
}



?>