<?php
require "MConsultas.php";
require "MInit.php";
require "MDeleter.php";
require "MActualizer.php";
require "MInserter.php";


$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

// Permite autenticar un usuario
if ($funcion=='autenticar'){
	$us=$body['us'];
	$pas=$body['pas'];
	$condicion="WHERE aliasus='".$us."' and clave='".$pas."';";	
	$res=consultar("m_usuarios", "id_usuario",$condicion);	
	echo responder($res);
}
// Devuelve los nombres cortos de los usuarios
if ($funcion=='get_alias'){
	$res=consultar("m_usuarios", "aliasus",";");	
	echo responder($res);
}

// Obteine usuarios con huella9
if ($funcion=='get_usuariosconhuella9'){	
	$condicion="WHERE huella9<>'';";	
	$res=consultar("m_usuarios", "id_usuario", $condicion);	
	echo responder($res);
}

// Devuelve el tipo de usuario 
if ($funcion=='get_aliasus'){
	$id_usuario=$body['id_usuario'];	
	$condicion="WHERE id_usuario='".$id_usuario."';";	
	$res=consultar("m_usuarios", "aliasus", $condicion);	
	echo responder($res);
}

// Devuelve el tipo de usuario 
if ($funcion=='get_tipous'){
	$id_usuario=$body['id_usuario'];	
	$condicion="WHERE id_usuario='".$id_usuario."';";	
	$res=consultar("m_usuarios", "tipo", $condicion);	
	echo responder($res);
}

// Devuelve el tipo de usuario 
if ($funcion=='is_admin'){
	$id_usuario=$body['id_usuario'];	
	$condicion="WHERE id_usuario='".$id_usuario."';";	
	$res=consultar("m_usuarios", "tipo", $condicion);	
	echo responder($res);
}

// Cuenta el numero de administradores
if ($funcion=='count_admins'){		
	$condicion="WHERE tipo='Administrador';";	
	$res=consultar("m_usuarios", "count(id_usuario)", $condicion);	
	echo responder($res);
}

// Devuelve todos los usaurios
 if ($funcion=='get_usuariosALL'){	
	$condicion="ORDER BY nombre ASC;";	
	$columnas="id_usuario, nombre, aliasus, clave, tipo, foto, id_enrol, huella9, huella10";
	$res=consultar("m_usuarios", $columnas, $condicion);	
	echo responder($res);
}

// Devuelve datos del usuario
 if ($funcion=='get_usuario'){
	$id_usuario=$body['id_usuario'];	
	$condicion="WHERE id_usuario='".$id_usuario."';";	
	$columnas="id_usuario, nombre, aliasus, clave, tipo, foto, id_enrol, huella9, huella10";
	$res=consultar("m_usuarios", $columnas, $condicion);	
	echo responder($res);
}




// ** HUELLAS DE USUAIROS

//MAXIMO ID ENROL DE USUARIO
if ($funcion=='get_idusuarioxenrol'){
	$id_enrol=$body['id_enrol'];
	$condicion="WHERE id_enrol='".$id_enrol."';";	
	$res=consultar("m_usuarios", "id_usuario", $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxIdenrol'){	
	$res=consultar("m_usuarios", "MAX(id_enrol)", ";");	
	echo responder($res);
}

 if ($funcion=='get_huellas10Usuarios'){	
	$condicion="where id_enrol>0 ORDER BY id_enrol ASC;";	
	$columnas="id_enrol, huella10";
	$res=consultar("m_usuarios", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='set_huellasus'){		
	$id_usuario=$body['id_usuario'];	
	$valores=$body['valores'];
	$columnas="huella9|huella10|id_enrol";	
	$condicion="WHERE id_usuario='".$id_usuario."';";		
	$res=actualizar("m_usuarios", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='get_iduspa'){	
	$id_enrol=$body['id_enrol'];	
	$condicion="WHERE id_enrol='".$id_enrol."';";	
	$columnas="aliasus, clave";	
	$res=consultar("m_usuarios", $columnas, $condicion);	
	echo responder($res);
}




//** USUARIOS

// Actualiza los datos de un usuario
if ($funcion=='upd_usuario'){
	$id_usuario=$body['id_usuario'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_usuario='".$id_usuario."';";	
	$columnas="nombre|aliasus|clave|tipo|foto";	
	$res=actualizar("m_usuarios", $columnas, $valores, $condicion);	
	echo $res;
}
  
  // Inserta un usuario
  if ($funcion=='add_usuario'){		
	$valores=$body['valores'];	
	$columnas="nombre|aliasus|clave|tipo|foto";	
	$res=insertar("m_usuarios", $columnas, $valores);	
	echo $res;
  }
	
  // Borrar usuario
	if ($funcion=='del_usuario'){		
	$id_usuario=$body['id_usuario'];	
	$condicion="WHERE id_usuario='".$id_usuario."';";		
	$res=eliminar("m_usuarios", $condicion);	
	echo $res;
}


if ($funcion=='set_huella9'){
	$id_usuario=$body['id_usuario'];	
	$valor=$body['valor'];
	$condicion="WHERE id_usuario='".$id_usuario."';";	
	$columnas="huella9";	
	$res=actualizar("m_usuarios", $columnas, $valor, $condicion);	
	echo $res;
}


	
?>