<?php
require "MConsultas.php";
require "MInit.php";
require "MDeleter.php";
require "MActualizer.php";
require "MInserter.php";


$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

// Devuelve todos los caracteristicas
 if ($funcion=='get_caracteristicas'){	
	$condicion="ORDER BY descripcion ASC;";	
	$columnas="id_caracteristica, descripcion, activa";
	$res=consultar("m_caracteristicas", $columnas, $condicion);	
	echo responder($res);
}

/* Devuelve datos del caracteristicas
 if ($funcion=='get_caracteristicas'){
	$id_caracteristicas=$body['id_caracteristicas'];	
	$condicion="WHERE id_caracteristicas='".$id_caracteristicas."';";	
	$columnas="id_caracteristicas, nombre, alias, clave, tipo, foto, id_huella";
	$res=consultar("m_caracteristicass", $columnas, $condicion);	
	echo responder($res);
}*/

// Actualiza los datos de un caracteristicas
if ($funcion=='upd_caracteristica'){
	$id_caracteristica=$body['id_caracteristica'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_caracteristica='".$id_caracteristica."';";	
	$columnas="descripcion|activa";	
	$res=actualizar("m_caracteristicas", $columnas, $valores, $condicion);	
	echo $res;
}
  
  // Inserta un caracteristicas
  if ($funcion=='add_caracteristica'){		
	$valores=$body['valores'];	
	$columnas="descripcion|activa";		
	$res=insertar("m_caracteristicas", $columnas, $valores);	
	echo $res;
  }
	
  // Borrar caracteristicas
	if ($funcion=='del_caracteristica'){		
	$id_caracteristica=$body['id_caracteristica'];	
	$condicion="WHERE id_caracteristica='".$id_caracteristica."';";		
	$res=eliminar("m_caracteristicas", $condicion);	
	echo $res;
}
	
	//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> OPCIONES_CAR
	
	// Devuelve todos los OPCIONES DE CARACTERISTICA 
 if ($funcion=='get_opciones'){	
	$id_caracteristica=$body['id_caracteristica'];	
	$condicion="WHERE id_caracteristica='".$id_caracteristica."' ORDER BY descripcion ASC;";	
	$columnas="id_opcion, id_caracteristica, descripcion";
	$res=consultar("m_opcionescar", $columnas, $condicion);	
	echo responder($res);
}
	
	
	  // Inserta una opcion de caracteristica 
  if ($funcion=='add_opcion'){		
	$valores=$body['valores'];	
	$columnas="id_caracteristica|descripcion";		
	$res=insertar("m_opcionescar", $columnas, $valores);	
	echo $res;
  }
	
	
	  // Borrar opcion de caracteristica
	if ($funcion=='del_opcion'){
	$id_opcion=$body['id_opcion'];		
	$id_caracteristica=$body['id_caracteristica'];	
	$condicion="WHERE id_caracteristica='".$id_caracteristica."' and id_opcion='".$id_opcion."';";		
	$res=eliminar("m_opcionescar", $condicion);	
	echo $res;
}


//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> CAR_PRODUCTOS
 if ($funcion=='get_carprods'){	
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."' ORDER BY caracteristica ASC;";	
	$columnas="id_carprod, id_producto, caracteristica, valor";
	$res=consultar("m_carproductos", $columnas, $condicion);	
	echo responder($res);
}

  // Inserta una caracteristica de producto 
  if ($funcion=='add_carprod'){		
	$valores=$body['valores'];	
	$columnas="id_producto|caracteristica|valor";		
	$res=insertar("m_carproductos", $columnas, $valores);	
	echo $res;
  }
  
   // Borrar opcion de caracteristica de producto
	if ($funcion=='del_carprod'){	
	$id_carprod=$body['id_carprod'];	
	$condicion="WHERE id_carprod='".$id_carprod."';";		
	$res=eliminar("m_carproductos", $condicion);	
	echo $res;
}

 // Borrar opcion de caracteristica de productopor id_producto
	if ($funcion=='del_carprodID'){	
	$id_producto=$body['id_producto'];	
	$condicion="WHERE id_producto='".$id_producto."';";		
	$res=eliminar("m_carproductos", $condicion);	
	echo $res;
}

?>