<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** Restaurante 

// * MESAS 
  
 if ($funcion=='get_mesas'){
	$area=$body['area'];
	$condicion="WHERE area='".$area."' ORDER BY id_mesa ASC LIMIT 50;";	
	$columnas="id_mesa, estado, activa, area, mesero";
	$res=consultar("m_mesas", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='upd_mesa'){	
	$valores=$body['valores'];		
	$id_mesa=$body['id_mesa'];	
	$condicion="WHERE id_mesa='".$id_mesa."';";	
	$columnas="estado|mesero";	
	$res=actualizar("m_mesas", $columnas, $valores, $condicion);	
	echo $res;
}

// * VENDEDORES MESEROS

 if ($funcion=='get_allvendedores'){
	$condicion="WHERE id_vendedor ORDER BY nombre ASC;";	
	$columnas="id_vendedor, nombre";
	$res=consultar("m_vendedores", $columnas,$condicion);	
	echo responder($res);
}

if ($funcion=='get_vendedor'){
	$id_vendedor=$body['id_vendedor'];
	$condicion="WHERE id_vendedor='".$id_vendedor."';";	
	$columnas="nombre, telefono, correo, comision, fecha_nac, sexo, activo, calle, numext, colonia, municipio, estado, pais, codpos, foto, extra1";
	$res=consultar("m_vendedores", $columnas,$condicion);	
	echo responder($res);
}

if ($funcion=='get_existeven'){
	$id_vendedor=$body['id_vendedor'];	
	$condicion="WHERE id_vendedor='".$id_vendedor."';";	
	$columnas="id_vendedor";
	$res=consultar("m_vendedores", $columnas, $condicion);	
	echo responder($res);	
}

if ($funcion=='add_vendedor'){		
	$valores=$body['valores'];	
	$columnas="id_vendedor|nombre|telefono|correo|comision|fecha_nac|sexo|activo|calle|numext|colonia|municipio|estado|pais|codpos|foto|extra1";	
	$res=insertar("m_vendedores", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_vendedor'){		
	$id_vendedor=$body['id_vendedor'];
	$valores=$body['valores'];	
	$condicion="WHERE id_vendedor='".$id_vendedor."';";	
	$columnas="nombre|telefono|correo|comision|fecha_nac|sexo|activo|calle|numext|colonia|municipio|estado|pais|codpos|foto|extra1";	
	$res=actualizar("m_vendedores", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='del_vendedor'){		
	$id_vendedor=$body['id_vendedor'];	
	$condicion="WHERE id_vendedor='".$id_vendedor."';";		
	$res=eliminar("m_vendedores", $condicion);	
	echo $res;
}


//*** Areas del Restaurante 
 if ($funcion=='get_areasrest'){		
	$condicion="ORDER BY id_area ASC LIMIT 10;";	
	$columnas="id_area, descripcion, cant_mesas, activa";
	$res=consultar("m_areasrest", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='add_arearest'){		
	$valores=$body['valores'];	
	$columnas="descripcion|cant_mesas|activa";	
	$res=insertar("m_areasrest", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_arearest'){		
	$id_area=$body['id_area'];
	$valores=$body['valores'];	
	$condicion="WHERE id_area='".$id_area."';";	
	$columnas="descripcion|cant_mesas|activa";	
	$res=actualizar("m_areasrest", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='del_arearest'){		
	$id_area=$body['id_area'];	
	$condicion="WHERE id_area='".$id_area."';";		
	$res=eliminar("m_areasrest", $condicion);	
	echo $res;
}


//*** CANCELACIONES RESTAURANTE 
 if ($funcion=='add_cancelrest'){		
	$valores=$body['valores'];	
	$columnas="id_producto|id_usuario|id_mesa|id_mesero|cantidad|tiempo|descripcion";	
	$res=insertar("m_cancelrest", $columnas, $valores);	
	echo $res;
}



//*** IMPRESIONES REMOTAS COMANDAS
 if ($funcion=='add_impcomanda'){		
	$valores=$body['valores'];	
	$columnas="id_venta|id_cuenta|id_mesa|mesero|impreso|id_usuario";	
	$res=insertar("m_impresiones", $columnas, $valores);	
	echo $res;
}

if ($funcion=='get_impcomanda'){		
	$condicion="WHERE impreso=0 ORDER BY id_impresion ASC LIMIT 5;";	
	$columnas="id_impresion, id_venta, id_cuenta, id_mesa, mesero, impreso, id_usuario";
	$res=consultar("m_impresiones", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='upd_impcomanda'){		
	$id_impresion=$body['id_impresion'];	
	$condicion="WHERE id_impresion='".$id_impresion."';";		
	$res=actualizar("m_impresiones", "impreso","1", $condicion);	
	echo $res;
}

 
?>