<?php 
	include_once 'csesion.php';
	$cs= new Csesion();
	$id_cliente= $cs->getCliente();		
?> 
<!DOCTYPE html>
<!--
	ustora by freshdesignweb.com
	Twitter: https://twitter.com/freshdesignweb
	URL: https://www.freshdesignweb.com/ustora/
-->
<html lang="esMX">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
     
	 <?php
		include_once 'ccomponentes.php';
		$cc = new Ccomponentes();
		$nombreSitio=$cc->getNombreSitio();		
		echo " <title>..:: ".$nombreSitio." ::..</title>";
	?>
    
    <!-- Google Fonts -->
    <link href='http://fonts.googleapis.com/css?family=Titillium+Web:400,200,300,700,600' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700,300' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Raleway:400,100' rel='stylesheet' type='text/css'>
    
    <!-- Bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    
    <!-- Font Awesome -->
    <link rel="stylesheet" href="css/font-awesome.min.css">
    
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/owl.carousel.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
   
    <div class="header-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="user-menu">
                        <ul>
                            <li><a href="acuenta.php"><i class="fa fa-user"></i>Mi cuenta</a></li>
                            <li><a href="#"><i class="fa fa-heart"></i>Favoritos</a></li>
                            <li><a href="carrito.php"><i class="fa fa-user"></i> Carrito</a></li>
                            <li><a href="contacto.php"><i class="fa fa-user"></i> Contacto</a></li>
                            <?php 
								$cs->mostrar_acceso();			
							?> 	
                        </ul>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="header-right">
                        <ul class="list-unstyled list-inline">
                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Moneda :</span><span class="value">MXN </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">USD</a></li>
                                    <li><a href="#">MXN</a></li>
                                </ul>
                            </li>

                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Lenguaje :</span><span class="value">Español </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">English</a></li>
                                    <li><a href="#">Español</a></li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End header area -->
    
    <div class="site-branding-area">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="logo">
                       
					    <?php
							$logoSitio=$cc->getLogoSitio();	
							echo "<h1><a href='#'><img src='mrecursos/imagenes/".$logoSitio."'></a></h1>";
						?> 
					   
                    </div>
                </div>
                
                <div class="col-sm-6">
                    <div class="shopping-item">
					<?php
						include_once 'ccarrito.php';						
						$car= new Carrito();
						$car->mostrar_carrito($id_cliente);
					?>
					</div>
                </div>
            </div>
        </div>
    </div> <!-- End site branding area -->
    
    <div class="mainmenu-area">
        <div class="container">
            <div class="row">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Barra de navegacion</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div> 
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li><a href="index.php">Inicio</a></li>
                        <li><a href="tienda.php">Tienda</a></li>
                        <li><a href="tienda.php">Producto</a></li>
                        <li><a href="carrito.php">Carrito</a></li>
						<li><a href="pedidos.php">Pedidos</a></li>						
                        <li><a href="categorias.php">Categorias</a></li>                        
                        <li class="active"><a href="contacto.php">Contacto</a></li>
                    </ul>
                </div>  
            </div>
        </div>
    </div> <!-- End mainmenu area -->
    
    <div class="product-big-title-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="product-bit-title text-center">
                        <h2>Hoja de contacto</h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    
    <div class="single-product-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
                
                <div class="col-md-8">
                    <div class="product-content-right">
                        <div class="woocommerce">  


							<h1>Contactanos</h1>
                                                     
                            <form enctype="multipart/form-data" action="ccontacto.php"  method="post"">

                                <div id="customer_details" class="col2-set">
                                    <div class="col-1">
                                        <div class="woocommerce-billing-fields">
										
											<?php											
											$whatsaap=$cc->getWhatsaap();
											$telefonos=$cc->getTelefonos();
											$facebook=$cc->getVinculoFacebook();
											$correo=$cc->getCorreo();
											//$youtube=$cc->getYoutube();
																						
											
											echo "<b><h3 style='color:#085DB0'>Telefono: ".$telefonos."</h3></b>";
											echo "<b><h3 style='color:#085DB0'>Whatsaap: ".$whatsaap."</h3></b>";
											echo "<font size=4><b style='color:#085DB0'>".$correo."</b></font> </br></br>";
											
											
											echo "<a href='https://web.whatsapp.com'><img src='img/whatsaap.png'></a>";
											echo "<a href='".$facebook."'><img src='img/facebook.png'></a>";
											echo "<a href='https://www.gmail.com'><img src='img/gamil.png'></a>";
											echo "<a href='https://www.youtube.com/channel/UCvNxQ2aN1VXSgkRLejpFKvQ'><img src='img/youtube.png'></a>";
											echo "</br></br>";
											?>
											
											
											
											
											

											</br>
											<h2>Escribenos</h2>

                                            <p id="billing_first_name_field" class="form-row form-row-first validate-required">
                                                <label class="" for="billing_first_name">Nombre y apellidos: <abbr title="required" class="required">*</abbr>
                                                </label>
                                                <input type="text" value="" placeholder="" name="cnombre" class="input-text ">
                                            </p>


                                            <p id="billing_email_field" class="form-row form-row-first validate-required validate-email">
                                                <label class="" for="billing_email">Correo electronico: <abbr title="required" class="required">*</abbr>
                                                </label>
                                                <input type="text" value="" placeholder=""  name="ccorreo" class="input-text ">
                                            </p>

                                            <p id="billing_phone_field" class="form-row form-row-last validate-required validate-phone">
                                                <label class="" for="billing_phone">Telefono: <abbr title="required" class="required">*</abbr>
                                                </label>
                                                <input type="text" value="" placeholder=""  name="ctelefono" class="input-text ">
                                            </p>
											
											   <p id="order_comments_field" class="form-row notes">
                                                <label class="" for="order_comments">Mensaje:</label>
                                                <textarea cols="5" rows="2" placeholder="" class="input-text " name="cmensaje"></textarea>
                                            </p>
											
                                            <div class="clear"></div>
											
											
                                            <input type="submit" data-value="Place order" value="Enviar" id="place_order" name="woocommerce_checkout_place_order" class="button alt">
                                        </div>
                                    </div>
                                </div> </br></br>                              
								
                            </form>
							
							
							
							<h2>Visitanos</h2>
							<?php							
							$direccion=$cc->getDireccionFisica();
							$maps=$cc->getDireccionMaps();
							
							echo "<h4>Estamos en ".$direccion."</h4>";
							echo "<iframe src='".$maps."' width='350' height='350' frameborder='0' style='border:0;'
							allowfullscreen='' aria-hidden='false' tabindex='0'></iframe>";
							?>	
						</div>                       
                    </div>                    
                </div>
				
				
				
				<div class="col-md-4">

					  <div class="single-sidebar">                    
						 <h3 class="sidebar-title">Buscar Productos</h3>
							<form action="cbuscaprod.php" method="GET">
								<input type="text" placeholder="Buscar productos..." name="buscado">
								<input id="" name="orden" type="hidden" value="destac">                
								<input type="submit" value="Buscar">
							</form>             
					 </div> 

					 <div class="single-sidebar">
							<h2 class="sidebar-title">Categorias</h2>
							<ul>
							   <?php								
									$arrCategorias=$cc->getCategorias();
									foreach($arrCategorias as $fila=>$valor){
										$arrCategoria= explode("|",$valor);
										$descripcion=$arrCategoria[1];
										$foto=$arrCategoria[2];		
										$etiquetas=$arrCategoria[3];
										echo "<img src='mrecursos/categorias/".$foto."' class='recent-thumb' alt=''>";
										echo "<li><a href='ctienda.php?orden=destac&buscado=".$etiquetas."&op=2'>".$descripcion."</a></li>";
									}
								?>		
							</ul>
					 </div>

					 <div class="single-sidebar">
							<h2 class="sidebar-title">Marcas</h2>
							<ul>
								<?php								
									$arrMarcas=$cc->getMarcas();
									foreach($arrMarcas as $fila=>$valor){
										$arrMarca= explode("|",$valor);
										$descripcion=$arrMarca[1];
										$foto=$arrMarca[2];
									echo "
									<a title='".$descripcion."' href='ctienda.php?orden=destac&buscado=".$descripcion."'> <img src='mrecursos/marcas/".$foto."' class='recent-thumb' alt=''></a>
									<p>.</p>";	
									}
								?>
							</ul>
					 </div>


                </div>
				
            </div>
        </div>
    </div>


    <div class="footer-top-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <div class="footer-about-us">
                        <?
							$nombreSitio=$cc->getNombreSitio();
							$descripcionSitio=$cc->getDescripcionSitio();
							$facebook=$cc->getVinculoFacebook();
							$youtube=$cc->getVinculoYoutube();
							echo "<h2><span>".$nombreSitio."</span></h2>";
							echo "<p>".$descripcionSitio."</p>";	

							echo 
							"<div class='footer-social'>
								<a href='".$facebook."' target='_blank'><i class='fa fa-facebook'></i></a>
								<a href='#' target='_blank'><i class='fa fa-twitter'></i></a>
								<a href='".$youtube."' target='_blank'><i class='fa fa-youtube'></i></a>
								<a href='#' target='_blank'><i class='fa fa-linkedin'></i></a>
							</div>";							
						?>
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Navegacion </h2>
                        <ul>
                            <li><a href="acuenta.php">Mi cuenta</a></li>
                            <li><a href="pedidos.php">Mis pedidos</a></li>
                            <li><a href="carrito.php">Ver Carrito</a></li>
                            <li><a href="contacto.php">Contacto</a></li>
                            <li><a href="index.php">Inicio</a></li>
                        </ul>                          
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Categorias</h2>
                        <ul>
							<?php								
								$arrCategorias=$cc->getCategorias();
								foreach($arrCategorias as $fila=>$valor){
									$arrCategoria= explode("|",$valor);
									$descripcion=$arrCategoria[1];
									$foto=$arrCategoria[2];		
									$etiquetas=$arrCategoria[3];
									echo "<li><a href='ctienda.php?orden=destac&buscado=".$etiquetas."&op=2'>".$descripcion."</a></li>";
								}
							?>	
                        </ul>                          
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-newsletter">
                        <h2 class="footer-wid-title">Promociones</h2>
                        <p>Registrate y suscribete a nuestras promociones para que te enteres de todo lo nuevo que tenemos para ti</p>
                        <div class="newsletter-form">
                            <form action="#">
                                <input type="email" placeholder="Ingresa tu correo">
                                <input type="submit" value="Subscribir">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-bottom-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="copyright">
                       <p>&copy; 2021 Sitiseg eCommerce. All Rights Reserved. <a href="https://www.sitisegtecnologias.com" target="_blank">Sitisegtecnologias.com</a></p>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="footer-card-icon">
                        <i class="fa fa-cc-discover"></i>
                        <i class="fa fa-cc-mastercard"></i>
                        <i class="fa fa-cc-paypal"></i>
                        <i class="fa fa-cc-visa"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
   
    <!-- Latest jQuery form server -->
    <script src="https://code.jquery.com/jquery.min.js"></script>
    
    <!-- Bootstrap JS form CDN -->
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    
    <!-- jQuery sticky menu -->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/jquery.sticky.js"></script>
    
    <!-- jQuery easing -->
    <script src="js/jquery.easing.1.3.min.js"></script>
    
    <!-- Main Script -->
    <script src="js/main.js"></script>
  </body>
</html>