<?php 
	include_once 'csesion.php';
	$cs= new Csesion();
	$id_cliente= $cs->getCliente();	
?>

<!DOCTYPE html>
<!--
	ustora by freshdesignweb.com
	Twitter: https://twitter.com/freshdesignweb
	URL: https://www.freshdesignweb.com/ustora/
-->
<html lang="esMX">
  <head>
	<link rel="icon" type="image/ico" href="img/favicon.ico" />
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	
	<?php
		include_once 'ccomponentes.php';
		$cc = new Ccomponentes();
		$nombreSitio=$cc->getNombreSitio();	
		$nprecio=$cc->getprecioSitio();		
		echo " <title>..:: ".$nombreSitio." ::..</title>";
	?>
   
	
    
    <!-- Google Fonts -->
    <link href='http://fonts.googleapis.com/css?family=Titillium+Web:400,200,300,700,600' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700,300' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Raleway:400,100' rel='stylesheet' type='text/css'>
    
    <!-- Bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    
    <!-- Font Awesome -->
    <link rel="stylesheet" href="css/font-awesome.min.css">
    
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/owl.carousel.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
   
    <div class="header-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="user-menu">
                        <ul>
                            <li><a href="acuenta.php"><i class="fa fa-user"></i> Mi Cuenta</a></li>							
                            <li><a href="#"><i class="fa fa-heart"></i> Favoritos</a></li>
                            <li><a href="carrito.php"><i class="fa fa-user"></i> Carrito</a></li>
                            <li><a href="contacto.php"><i class="fa fa-user"></i> Contacto</a></li>
								<?php 							
									$cs->mostrar_acceso();	
								?> 						
                        </ul>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="header-right">						
                        <ul class="list-unstyled list-inline">
                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Moneda :</span><span class="value">MXN </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">MXN</a></li>
                                    <li><a href="#">USD</a></li>                                    
                                </ul>
                            </li>

                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Lenguaje :</span><span class="value">Español </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">English</a></li>
                                    <li><a href="#">Español</a></li>                                   
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End header area -->
    
    <div class="site-branding-area">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="logo">
					
						<?php
							$logoSitio=$cc->getLogoSitio();	
							echo "<h1><a href='#'><img src='mrecursos/imagenes/".$logoSitio."'></a></h1>";
						?>   
						
                    </div>
                </div>
                
                <div class="col-sm-6">
                    <div class="shopping-item">
                        <?php
							include_once 'ccarrito.php';						
							$car= new Carrito();
							$car->mostrar_carrito($id_cliente);
						?>
					</div>
                </div>
            </div>
        </div>
    </div> <!-- End site branding area -->
    
	
	
    <div class="mainmenu-area">
        <div class="container">
            <div class="row">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Barra de navegacion</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div> 
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li class="active"><a href="index.php">Inicio</a></li>
                        <li><a href="tienda.php">Tienda</a></li>
                        <li><a href="tienda.php">Producto</a></li>
                        <li><a href="carrito.php">Carrito</a></li>
                        <li><a href="pedidos.php">Pedidos</a></li>
                        <li><a href="categorias.php">Categorias</a></li>                     
                        <li><a href="contacto.php">Contacto</a></li>
                    </ul>
                </div>  
            </div>
        </div>
    </div> <!-- End mainmenu area -->
	
	
    
    <div class="slider-area">
        	<!-- Slider -->
			<div class="block-slider block-slider4">
				<ul class="" id="bxslider-home4">
				
					<?php						
						$arrSliders=$cc->getSliders();
						foreach($arrSliders as $fila=>$valor){
							$arrSlider= explode("|",$valor);
							$descripcion=$arrSlider[1];
							$foto=$arrSlider[2];
							
							echo 
							"<li>
							<img src='mrecursos/sliders/".$foto."' alt='Slide'>
							<div class='caption-group'>	
								<a class='caption button-radius' href='#'><span class='icon'></span>Mas info</a>
							</div>
							</li>";
						}
					?>
				
				</ul>
			</div>
			<!-- ./Slider -->
    </div> <!-- End slider area -->
    
    <div class="promo-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
			
			<a href='https://sitisegtecnologias.com/Multipos'> <img src='img/paginampos3.png' alt='' class=''></a>
			
                
            </div>
        </div>
    </div> <!-- End promo area -->
    
	
	
	
	
	
	
	
	
	
	
	<!-- AREA DE PRODUCTOS DESTACADOS-->
    <div class="maincontent-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="latest-product">
                        <h2 class="section-title">Productos destacados</h2>
                        <a href="ctienda.php?orden=destac" class="wid-view-more">Ver todo</a>
                        <div class="product-carousel">
						
							<?php
								include_once 'cbloques.php';
								$cb = new Cbloques();
								$arrFilas=$cb->getProdsDestacados();								
								foreach($arrFilas as $fila=>$valor){							
									$arrCols= explode("|",$valor);
									$id_producto=$arrCols[0];							
									if ($id_producto<>"00"){								
										$descripcion=$arrCols[1];										
										$precio=$cb->getPrecio($nprecio, $id_producto);	
										$existencias=$cb->getExistencia('Almacen1', $id_producto);
										
										
										echo  
										"<div class='single-product'>
											<div class='product-f-image'>
												<img src='mrecursos/productos/".$id_producto."_1.jpg' alt=''>
												<div class='product-hover'>
													<a href='addprod.php?id_producto=".$id_producto."&cantidad=1' class='add-to-cart-link'><i class='fa fa-shopping-cart'></i>Al carrito</a>
													<a href='producto.php?id_producto=".$id_producto."' class='view-details-link'><i class='fa fa-link'></i>Ver detalles</a>
												</div>
											</div>
											<h2><a href='producto.php?id_producto=".$id_producto."'>".$descripcion."</a></h2>
											<div class='product-carousel-price'><ins style='color:#D85C0B'>Precio: $ ".$precio."</ins></div> 
											<div class='product-wid-price'><ins style='color:#35B710'>Disponibles: ".$existencias."</ins></div> 
										</div>";																					
									}
								}
							?>
							
							
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End main content area -->
    
	
	
	
	
	
	
	
	<!-- AREA DE MARCAS-->
    <div class="brands-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="brand-wrapper">
                        <div class="brand-list">
							<?php								
								$arrMarcas=$cc->getMarcas();
								foreach($arrMarcas as $fila=>$valor){
									$arrMarca= explode("|",$valor);
									$descripcion=$arrMarca[1];
									$foto=$arrMarca[2];
									
									echo "<a href='ctienda.php?orden=destac&buscado=".$descripcion."'> 
									<img src='mrecursos/marcas/".$foto."' alt=''> </a>";
								}
							?>						
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End brands area -->
    


    
	
	
	
	
	

    <div class="product-widget-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">


                <!--  MAS VENDIDOS -->
                <div class="col-md-4">
                    <div class="single-product-widget">
                        <h2 class="product-wid-title">Mas vendidos</h2>
                        <a href="ctienda.php?orden=masven" class="wid-view-more">Ver todo</a>
						
                        <?php						
						$arrFilas=$cb->getProdsVendidos();					
						foreach($arrFilas as $fila=>$valor){							
							$arrCols= explode("|",$valor);
							$id_producto=$arrCols[0];							
							if ($id_producto<>"00"){								
								$descripcion=$arrCols[1];
								$calificacion=$cb->cCalif($arrCols[2]);
								$precio=$cb->getPrecio($nprecio, $id_producto);	
								$existencias=$cb->getExistencia('Almacen1', $id_producto);
								
								
								echo  "<div class='single-wid-product'>
								 <a href='producto.php?id_producto=".$id_producto."'>
								 <img src='mrecursos/productos/".$id_producto."_1.jpg' alt='' class='product-thumb'></a>
								 <h2><a href='producto.php?id_producto=".$id_producto."'>".$descripcion."</a></h2>
								 <img src='img/cal".$calificacion.".png' alt='' class=''>
								 <div class='product-wid-price'><ins style='color:#D85C0B'>Precio: $ ".$precio."</ins></div>  
								 <div class='product-wid-price'><ins style='color:#35B710'>Disponibles: ".$existencias."</ins></div>  
								 </div>";
							}
						}
						?>
						
                    </div>
                </div>



                <!--  MAS RECIENTES -->
                <div class="col-md-4">
                    <div class="single-product-widget">
                        <h2 class="product-wid-title">Recientes</h2>
                        <a href="ctienda.php?orden=vistos" class="wid-view-more">Ver todo</a>
												
						<?php						
						$arrFilas=$cb->getProdsVistos();
						foreach($arrFilas as $fila=>$valor){							
							$arrCols= explode("|",$valor);
							$id_producto=$arrCols[0];							
							if ($id_producto<>"00"){								
								$descripcion=$arrCols[1];
								$calificacion=$cb->cCalif($arrCols[2]);
								$precio=$cb->getPrecio($nprecio, $id_producto);	
								$existencias=$cb->getExistencia('Almacen1', $id_producto);
								
								
								echo  "<div class='single-wid-product'>
								 <a href='producto.php?id_producto=".$id_producto."'>
								 <img src='mrecursos/productos/".$id_producto."_1.jpg' alt='' class='product-thumb'></a>
								 <h2><a href='producto.php?id_producto=".$id_producto."'>".$descripcion."</a></h2>
								 <img src='img/cal".$calificacion.".png' alt='' class=''>
								 <div class='product-wid-price'><ins style='color:#D85C0B'>Precio: $ ".$precio."</ins></div>  
								 <div class='product-wid-price'><ins style='color:#35B710'>Disponibles: ".$existencias."</ins></div>  
								 </div>";
							}
						}
						?>
                        						
                    </div>
                </div>
				
				
                <!--  MAS NUEVOS -->
                <div class="col-md-4">
                    <div class="single-product-widget">
                        <h2 class="product-wid-title">Nuevos</h2>
                        <a href="ctienda.php?orden=nuevos" class="wid-view-more">Ver todo</a>
						
						<?php	
						$arrFilas=$cb->getProdsNuevos();
						foreach($arrFilas as $fila=>$valor){							
							$arrCols= explode("|",$valor);
							$id_producto=$arrCols[0];							
							if ($id_producto<>"00"){								
								$descripcion=$arrCols[1];
								$calificacion=$cb->cCalif($arrCols[2]);
								$precio=$cb->getPrecio($nprecio, $id_producto);	
								$existencias=$cb->getExistencia('Almacen1', $id_producto);
								
								
								echo  "<div class='single-wid-product'>
								 <a href='producto.php?id_producto=".$id_producto."'>
								 <img src='mrecursos/productos/".$id_producto."_1.jpg' alt='' class='product-thumb'></a>
								 <h2><a href='producto.php?id_producto=".$id_producto."'>".$descripcion."</a></h2>
								 <img src='img/cal".$calificacion.".png' alt='' class=''>
								 <div class='product-wid-price'><ins style='color:#D85C0B'>Precio: $ ".$precio."</ins></div>  
								 <div class='product-wid-price'><ins style='color:#35B710'>Disponibles: ".$existencias."</ins></div>  
								 </div>";
							}
						}
						?>
                       
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End product widget area -->
    
    <div class="footer-top-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <div class="footer-about-us">
					
						<?
							$nombreSitio=$cc->getNombreSitio();
							$descripcionSitio=$cc->getDescripcionSitio();
							$facebook=$cc->getVinculoFacebook();
							$youtube=$cc->getVinculoYoutube();
							echo "<h2><span>".$nombreSitio."</span></h2>";
							echo "<p>".$descripcionSitio."</p>";	

							echo 
							"<div class='footer-social'>
								<a href='".$facebook."' target='_blank'><i class='fa fa-facebook'></i></a>
								<a href='#' target='_blank'><i class='fa fa-twitter'></i></a>
								<a href='".$youtube."' target='_blank'><i class='fa fa-youtube'></i></a>
								<a href='#' target='_blank'><i class='fa fa-linkedin'></i></a>
							</div>";							
						?>
			
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Navegacion </h2>
                        <ul>
                            <li><a href="acuenta.php">Mi cuenta</a></li>
                            <li><a href="pedidos.php">Mis pedidos</a></li>
                            <li><a href="carrito.php">Ver Carrito</a></li>
                            <li><a href="contacto.php">Contacto</a></li>
                            <li><a href="index.php">Inicio</a></li>
                        </ul>                        
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Categorias</h2>
                        <ul>
							<?php								
								$arrCategorias=$cc->getCategorias();
								foreach($arrCategorias as $fila=>$valor){
									$arrCategoria= explode("|",$valor);
									$descripcion=$arrCategoria[1];
									$foto=$arrCategoria[2];		
									$etiquetas=$arrCategoria[3];
									echo "<li><a href='ctienda.php?orden=destac&buscado=".$etiquetas."&op=2'>".$descripcion."</a></li>";
								}
							?>	
                        </ul>                        
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-newsletter">
                        <h2 class="footer-wid-title">Promociones</h2>
                        <p>Registrate y suscribete a nuestras promociones para que te enteres de todo lo nuevo que tenemos para ti</p>
                        <div class="newsletter-form">
                            <form action="#">
                                <input type="email" placeholder="Ingresa tu correo">
                                <input type="submit" value="Subscribir">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End footer top area -->
    
    <div class="footer-bottom-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="copyright">
                       <p>&copy; 2021 Sitiseg eCommerce. All Rights Reserved. <a href="https://www.sitisegtecnologias.com" target="_blank">Sitisegtecnologias.com</a></p>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="footer-card-icon">
                        <i class="fa fa-cc-discover"></i>
                        <i class="fa fa-cc-mastercard"></i>
                        <i class="fa fa-cc-paypal"></i>
                        <i class="fa fa-cc-visa"></i>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End footer bottom area -->
   
    <!-- Latest jQuery form server -->
    <script src="https://code.jquery.com/jquery.min.js"></script>
    
    <!-- Bootstrap JS form CDN -->
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    
    <!-- jQuery sticky menu -->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/jquery.sticky.js"></script>
    
    <!-- jQuery easing -->
    <script src="js/jquery.easing.1.3.min.js"></script>
    
    <!-- Main Script -->
    <script src="js/main.js"></script>
    
    <!-- Slider -->
    <script type="text/javascript" src="js/bxslider.min.js"></script>
	<script type="text/javascript" src="js/script.slider.js"></script>
  </body>
</html>