<?php 
	include_once 'csesion.php';
	$cs= new Csesion();
	$id_cliente= $cs->getCliente();		
?> 
<!DOCTYPE html>
<!--
	ustora by freshdesignweb.com
	Twitter: https://twitter.com/freshdesignweb
	URL: https://www.freshdesignweb.com/ustora/
-->
<html lang="esMX">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	
    <?php
		include_once 'ccomponentes.php';
		$cc = new Ccomponentes();
		$nombreSitio=$cc->getNombreSitio();
		$nprecio=$cc->getprecioSitio();
		echo " <title>..:: ".$nombreSitio." ::..</title>";
	?>
    
    
    <!-- Google Fonts -->
    <link href='http://fonts.googleapis.com/css?family=Titillium+Web:400,200,300,700,600' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700,300' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Raleway:400,100' rel='stylesheet' type='text/css'>
    
    <!-- Bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    
    <!-- Font Awesome -->
    <link rel="stylesheet" href="css/font-awesome.min.css">
    
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/owl.carousel.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
   
    <div class="header-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="user-menu">
                        <ul>
                            <li><a href="#"><i class="fa fa-user"></i> Mi cuenta</a></li>
                            <li><a href="#"><i class="fa fa-heart"></i> Favoritos</a></li>
                            <li><a href="carrito.php"><i class="fa fa-user"></i> Carrito</a></li>
                            <li><a href="contacto.php"><i class="fa fa-user"></i> Contacto</a></li>
                             <?php 
								$cs->mostrar_acceso();				
							?> 	
                        </ul>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="header-right">
                        <ul class="list-unstyled list-inline">
                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key"> Moneda:</span><span class="value">MXN</span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">USD</a></li>
                                    <li><a href="#">MXN</a></li>                                    
                                </ul>
                            </li>

                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Lenguaje:</span><span class="value">Espaol </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">English</a></li>
                                    <li><a href="#">Espaol</a></li>                                   
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End header area -->
    
    <div class="site-branding-area">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="logo">
                        						
						<?php
							$logoSitio=$cc->getLogoSitio();	
							echo "<h1><a href='#'><img src='mrecursos/imagenes/".$logoSitio."'></a></h1>";
						?> 
						
                    </div>
                </div>
                
                <div class="col-sm-6">
                    <div class="shopping-item">
                      <?php
						include_once 'ccarrito.php';						
						$car= new Carrito();
						$car->mostrar_carrito($id_cliente);
					 ?>
					  </div>
                </div>
            </div>
        </div>
    </div> <!-- End site branding area -->
    
    <div class="mainmenu-area">
        <div class="container">
            <div class="row">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div> 
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li><a href="index.php">Inicio</a></li>
                        <li><a href="tienda.php">Tienda</a></li>
                        <li class="active"><a href="tienda.php">Producto</a></li>
                        <li><a href="carrito.php">Carrito</a></li>
                        <li><a href="pedidos.php">Pedidos</a></li>
                        <li><a href="categorias.php">Categorias</a></li>                       
                        <li><a href="contacto.php">Contacto</a></li>
                    </ul>
                </div>  
            </div>
        </div>
    </div> <!-- End mainmenu area -->
    
    <div class="product-big-title-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="product-bit-title text-center">
                        <h2>Descripcion del producto</h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
	
	<?php
		//aumentar vistas producto
		include_once 'cbloques.php';
		$cb= new Cbloques();
		$id_producto=$_GET['id_producto'];		
		if (isset($id_producto)){
			$num=$cb->getContVisitas($id_producto);
			$num=$num+1;
			$res=$cb->setContVisitas($id_producto, $num);
		}
	?>
	
	
	
	
    
    <div class="single-product-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
			
                <div class="col-md-4">

                   <div class="single-sidebar">                    
                     <h3 class="sidebar-title">Buscar Productos</h3>
                        <form action="cbuscaprod.php" method="GET">
                            <input type="text" placeholder="Buscar productos..." name="buscado">
                            <input id="" name="orden" type="hidden" value="destac">                
                            <input type="submit" value="Buscar">
                        </form>             
                 </div> 

                 <div class="single-sidebar">
                        <h2 class="sidebar-title">Categorias</h2>
                        <ul>
                           <?php								
								$arrCategorias=$cc->getCategorias();
								foreach($arrCategorias as $fila=>$valor){
									$arrCategoria= explode("|",$valor);
									$descripcion=$arrCategoria[1];
									$foto=$arrCategoria[2];		
									$etiquetas=$arrCategoria[3];
									echo "<img src='mrecursos/categorias/".$foto."' class='recent-thumb' alt=''>";
									echo "<li><a href='ctienda.php?orden=destac&buscado=".$etiquetas."&op=2'>".$descripcion."</a></li>";
								}
							?>		
                        </ul>
                    </div>

                    <div class="single-sidebar">
                        <h2 class="sidebar-title">Marcas</h2>
                        <ul>
                            <?php								
								$arrMarcas=$cc->getMarcas();
								foreach($arrMarcas as $fila=>$valor){
									$arrMarca= explode("|",$valor);
									$descripcion=$arrMarca[1];
									$foto=$arrMarca[2];
								echo "<a title='".$descripcion."' href='ctienda.php?orden=destac&buscado=".$descripcion."'> <img src='mrecursos/marcas/".$foto."' class='recent-thumb' alt=''></a>";	
								}
							?>
                        </ul>
                    </div>


                </div>
                
				
				
				
                <div class="col-md-8">
                    <div class="product-content-right">
                        <div class="product-breadcroumb">
                            <a href="">Inicio</a>
                            <a href="">CCTV</a>
                            <a href="">DVRs</a>
                        </div>
                        						
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="product-images">
                                    
									<?php									
									$id_producto=$_GET['id_producto'];	
									
									echo "<div class='product-main-img'><img src=mrecursos/productos/".$id_producto."_1.jpg alt=''></div>
                                    
                                    <div class='product-gallery'>
                                        <img src=mrecursos/productos/".$id_producto."_2.jpg alt=''>
                                        <img src=mrecursos/productos/".$id_producto."_3.jpg alt=''>
                                        <img src=mrecursos/productos/".$id_producto."_4.jpg alt=''>
                                    </div>";
									
									?>
                                </div>
                            </div>
							
							
							
							
                            
                            <div class="col-sm-6">
                                <div class="product-inner">
								
								
								<?php 
									include_once "cproducto.php";									
									if (isset($id_producto)){
										$cprod= new Cproducto();
										$descripcion=$cprod->getDescripcion($id_producto);
										$detalle=$cprod->getDescripcionLarga($id_producto);
										$precio=$cprod->getPrecio($nprecio, $id_producto);										
										$existencia=$cprod->getExistencia("Almacen1", $id_producto);
										$precioant= $precio*1.20;
										
										echo "<h2 class='product-name'>".$descripcion."</h2>";
										echo "<h4><div class='product-inner-price'><ins style='color:#D85C0B'>PRECIO:  $".$precio."</ins> <del style='color:#D85C0B'>$".$precioant."</del></div><h4>";
										echo "<h4><div class='product-inner-price'><ins style='color:#35B710'>DISPONIBLES:  ".$existencia."</ins></div></h4>";
									}
														
																	
                                                                        
                                    echo "<form action='addprod.php?cantidad&id_producto' class='cart' method='GET'>
                                        <div class='quantity'>
                                            <input type='number' size='4' class='input-text qty text' title='Qty' value='1' name='cantidad' min='1' step='1'>
											<input type='hidden' id='custId' name='id_producto' value='".$id_producto."'>
                                        </div>
                                        <button class='add_to_cart_button' type='submit'>Agregar al carrito</button>
                                    </form>";
                                    
									?>	
									
									<!--
                                    <div class="product-inner-category">
                                        <p>Category: <a href="">Summer</a>. Tags: <a href="">awesome</a>, <a href="">best</a>, <a href="">sale</a>, <a href="">shoes</a>. </p>
                                    </div> 
									-->
									
                                    
                                    <div role="tabpanel">
                                        <ul class="product-tab" role="tablist">
                                            <li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab">Descripcion</a></li>
                                           
											
										   <li role="presentation"><a href="#profile" aria-controls="profile" role="tab" data-toggle="tab">Opiniones</a></li>
											

									   </ul>
										
										
                                        <div class="tab-content">
                                            <div role="tabpanel" class="tab-pane fade in active" id="home">
                                                <h2>Descripcion del producto</h2>  
												
												<?php																							
												 echo  "<p>".$detalle."</p>";
												?> 
												
											</div>
											
											
											
											
                                            <div role="tabpanel" class="tab-pane fade" id="profile">
                                                <h2>Opiniones</h2>
                                                <div class="submit-review">
                                                    <p><label for="name">Name</label> <input name="name" type="text"></p>
                                                    <p><label for="email">Email</label> <input name="email" type="email"></p>
                                                    <div class="rating-chooser">
                                                        <p>Your rating</p>

                                                        <div class="rating-wrap-post">
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                        </div>
                                                    </div>
                                                    <p><label for="review">Your review</label> <textarea name="review" id="" cols="30" rows="10"></textarea></p>
                                                    <p><input type="submit" value="Submit"></p>
                                                </div>
                                            </div>
											
											
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                        
                        
                        <div class="related-products-wrapper">
                            <h2 class="related-products-title">Productos relacionados</h2>
                            <div class="related-products-carousel">
							
							
								<?php 																	
									if (isset($id_producto)){
										$cp= new Cproducto();
										$arrRelaci=$cp->getProductosRel($id_producto);
										if ($arrRelaci[0]!=""){											
											foreach($arrRelaci as $fila=>$valor){
												$arrProd= explode("|",$valor);
												$id_prodrel=$arrProd[0];
												$descripcion=$arrProd[1];
												$foto=$arrProd[2];
												$precio=$cp->getPrecio($nprecio, $id_prodrel);	
												$existencia=$cp->getExistencia("Almacen1", $id_prodrel);
												$precioa=$precio*1.2;
												
												echo 
												"<div class='single-product'>
													<div class='product-f-image'>
														<img src='mrecursos/productos/".$foto."' alt=''>
														<div class='product-hover'>
															<a href='addprod.php?id_producto=".$id_prodrel."&cantidad=1' class='add-to-cart-link'><i class='fa fa-shopping-cart'></i> Al carrito</a>
															<a href='producto.php?id_producto=".$id_prodrel."' class='view-details-link'><i class='fa fa-link'></i> Ver detalles</a>
														</div>												
													</div>
													<h2><a href='producto.php?id_producto=".$id_prodrel."'>".$descripcion."</a></h2>
													<div class='product-carousel-price'>
														<ins>$".$precio."</ins> <del>$".$precioa."</del>													
													</div> 												
													<h5>".$existencia." Disponibles </h5>																								
												</div>";
											}
										}
									}										
								?>                          
                            </div>
                        </div>
                    </div>                    
                </div>
            </div>
        </div>
    </div>


    <div class="footer-top-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <div class="footer-about-us">
                        <?
							$nombreSitio=$cc->getNombreSitio();
							$descripcionSitio=$cc->getDescripcionSitio();
							$facebook=$cc->getVinculoFacebook();
							$youtube=$cc->getVinculoYoutube();
							echo "<h2><span>".$nombreSitio."</span></h2>";
							echo "<p>".$descripcionSitio."</p>";	

							echo 
							"<div class='footer-social'>
								<a href='".$facebook."' target='_blank'><i class='fa fa-facebook'></i></a>
								<a href='#' target='_blank'><i class='fa fa-twitter'></i></a>
								<a href='".$youtube."' target='_blank'><i class='fa fa-youtube'></i></a>
								<a href='#' target='_blank'><i class='fa fa-linkedin'></i></a>
							</div>";							
						?>
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Navegacion </h2>
                        <ul>
                            <li><a href="acuenta.php">Mi cuenta</a></li>
                            <li><a href="pedidos.php">Mis pedidos</a></li>
                            <li><a href="carrito.php">Ver Carrito</a></li>
                            <li><a href="contacto.php">Contacto</a></li>
                            <li><a href="index.php">Inicio</a></li>
                        </ul>                        
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Categorias</h2>
                        <ul>
							<?php								
								$arrCategorias=$cc->getCategorias();
								foreach($arrCategorias as $fila=>$valor){
									$arrCategoria= explode("|",$valor);
									$descripcion=$arrCategoria[1];
									$foto=$arrCategoria[2];		
									$etiquetas=$arrCategoria[3];
									echo "<li><a href='ctienda.php?orden=destac&buscado=".$etiquetas."&op=2'>".$descripcion."</a></li>";
								}
							?>	
                        </ul>                      
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-newsletter">
                        <h2 class="footer-wid-title">Promociones</h2>
                        <p>Registrate y suscribete a nuestras promociones para que te enteres de todo lo nuevo que tenemos para ti</p>
                        <div class="newsletter-form">
                            <form action="#">
                                <input type="email" placeholder="Ingresa tu correo">
                                <input type="submit" value="Subscribir">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-bottom-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="copyright">
                       <p>&copy; 2021 Sitiseg eCommerce. All Rights Reserved. <a href="https://www.sitisegtecnologias.com" target="_blank">Sitisegtecnologias.com</a></p>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="footer-card-icon">
                        <i class="fa fa-cc-discover"></i>
                        <i class="fa fa-cc-mastercard"></i>
                        <i class="fa fa-cc-paypal"></i>
                        <i class="fa fa-cc-visa"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
   
    <!-- Latest jQuery form server -->
    <script src="https://code.jquery.com/jquery.min.js"></script>
    
    <!-- Bootstrap JS form CDN -->
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    
    <!-- jQuery sticky menu -->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/jquery.sticky.js"></script>
    
    <!-- jQuery easing -->
    <script src="js/jquery.easing.1.3.min.js"></script>
    
    <!-- Main Script -->
    <script src="js/main.js"></script>
  </body>
</html>