<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** CLINICA HOSPITAL 

// * CAMAS 
  
 if ($funcion=='get_camas'){
	$area=$body['area'];
	$condicion="WHERE area='".$area."' ORDER BY id_cama ASC LIMIT 50;";	
	$columnas="id_cama, estado, activa, area, id_cliente, id_doctor";
	$res=consultar("m_camas", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='upd_cama'){	
	$valores=$body['valores'];		
	$id_cama=$body['id_cama'];	
	$condicion="WHERE id_cama='".$id_cama."';";	
	$columnas="estado|id_cliente|id_doctor";	
	$res=actualizar("m_camas", $columnas, $valores, $condicion);	
	echo $res;
}






// * DOCTORES

 if ($funcion=='get_alldoctores'){
	$condicion="WHERE id_doctor ORDER BY nombre ASC;";	
	$columnas="id_doctor, nombre";
	$res=consultar("m_doctores", $columnas, $condicion);	
	echo responder($res);
}

 if ($funcion=='get_doctoresMod'){
	$buscado=$body['buscado'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$condicion="WHERE id_doctor like '%".$buscado."%' or nombre like '%".$buscado."%' ORDER BY nombre ASC LIMIT ".$inicio.",".$cantidad.";";	
	$columnas="id_doctor, nombre, especialidad, consultorio, foto, activo";
	$res=consultar("m_doctores", $columnas,$condicion);	
	echo responder($res);
}

if ($funcion=='get_doctor'){
	$id_doctor=$body['id_doctor'];
	$condicion="WHERE id_doctor='".$id_doctor."';";	
	$columnas="nombre, especialidad, consultorio, horario, telefono, correo, detalles, activo, foto";
	$res=consultar("m_doctores", $columnas,$condicion);	
	echo responder($res);
}

if ($funcion=='get_existedoc'){
	$id_doctor=$body['id_doctor'];	
	$condicion="WHERE id_doctor='".$id_doctor."';";	
	$columnas="id_doctor";
	$res=consultar("m_doctores", $columnas, $condicion);	
	echo responder($res);	
}

if ($funcion=='add_doctor'){		
	$valores=$body['valores'];	
	$columnas="id_doctor|nombre|especialidad|consultorio|horario|telefono|correo|detalles|activo|foto";	
	$res=insertar("m_doctores", $columnas, $valores);	
	echo $res;
}

if ($funcion=='upd_doctor'){		
	$id_doctor=$body['id_doctor'];
	$valores=$body['valores'];	
	$condicion="WHERE id_doctor='".$id_doctor."';";	
	$columnas="nombre|especialidad|consultorio|horario|telefono|correo|detalles|activo|foto";	
	$res=actualizar("m_doctores", $columnas, $valores, $condicion);	
	echo $res;
}

if ($funcion=='del_doctor'){		
	$id_doctor=$body['id_doctor'];	
	$condicion="WHERE id_doctor='".$id_doctor."';";		
	$res=eliminar("m_doctores", $condicion);	
	echo $res;
}






//*** DETALLES DE CAMA
 if ($funcion=='get_detallescama'){	
	$id_cama=$body['id_cama'];	 
	$condicion="where id_cama='".$id_cama."' and estado='Pendiente' ORDER BY descripcion ASC;";	
	$columnas="id_detalle, id_producto, descripcion, nombreasis, cantidad, tiempo, precio, almacen, id_lote, paciente, doctor";
	$res=consultar("m_detalle_cama", $columnas, $condicion);	
	echo responder($res);
}


if ($funcion=='add_detallecama'){		
	$valores=$body['valores'];	
	$columnas="id_cama|id_asistente|nombreasis|id_producto|descripcion|cantidad|tiempo|estado|precio|almacen|id_lote|paciente|doctor";	
	$res=insertar("m_detalle_cama", $columnas, $valores);	
	echo $res;
}

if ($funcion=='cancelarDetCama'){		
	$id_cama=$body['id_cama'];	
	$condicion="WHERE id_cama='".$id_cama."';";	
	$res=actualizar("m_detalle_cama", "estado", "Cancelada", $condicion);	
	echo $res;
}


if ($funcion=='limpiarDetallesCama'){		
	$id_cama=$body['id_cama'];	
	$condicion="WHERE id_cama='".$id_cama."';";	
	$res=actualizar("m_detalle_cama", "estado", "Pagada", $condicion);	
	echo $res;
}





//*** OBSERVACIONES CAMA
 if ($funcion=='add_obsCama'){		
	$valores=$body['valores'];	
	$columnas="id_cama|id_asistente|nombreasis|observacion|tiempo|estado|paciente|doctor";	
	$res=insertar("m_infocama", $columnas, $valores);	
	echo $res;
}

if ($funcion=='get_infocama'){	
	$id_cama=$body['id_cama'];		
	$condicion="where id_cama='".$id_cama."' and estado='Activa' ORDER BY tiempo DESC;";	
	$columnas="id_info, nombreasis, observacion, tiempo, paciente, doctor";
	$res=consultar("m_infocama", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='del_infocama'){		
	$id_info=$body['id_info'];	
	$condicion="WHERE id_info='".$id_info."';";	
	$res=actualizar("m_infocama", "estado", "Inactiva", $condicion);	
	echo $res;
}

if ($funcion=='limpiarObsCama'){		
	$id_cama=$body['id_cama'];	
	$condicion="WHERE id_cama='".$id_cama."';";	
	$res=actualizar("m_infocama", "estado", "Inactiva", $condicion);	
	echo $res;
}

?>