<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** COMPRAS 

if ($funcion=='get_allcomprasUS'){	
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE estado<>'Pendiente' and id_usuario='".$id_usuario."' ORDER BY id_compra desc limit 1000;";	
	$columnas="id_compra, tipo, total, metodo_pago, tiempo";
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}


if ($funcion=='get_compra'){
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$columnas="id_compra, id_usuario, id_proveedor, id_almacen, total, productos, tipo, estado, metodo_pago, metodo_pago2, pago1, pago2, transaccion, tiempo, descuentos, subtotal, traslados, retenciones, recibido, cambio";
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra ='".$id_compra."';";		
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_compraspend'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."' and estado ='Pendiente' ORDER BY id_compra DESC limit 15;";		
	$res=consultar("m_compras", "id_compra", $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxcompra'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."';";		
	$res=consultar("m_compras", "max(id_compra)", $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxcomprapend'){
	$id_usuario=$body['id_usuario'];
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Pendiente';";		
	$res=consultar("m_compras", "max(id_compra)", $condicion);	
	echo responder($res);
}

if ($funcion=='add_compra'){		
	$valores=$body['valores'];	
	$columnas="id_compra|id_usuario|estado|tiempo|id_proveedor|id_almacen";	
	$res=insertar("m_compras", $columnas, $valores);	
	echo $res;
}	

if ($funcion=='del_compra'){		
	$id_compra=$body['id_compra'];
	$id_usuario=$body['id_usuario'];	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."';";			
	$res=eliminar("m_compras", $condicion);	
	echo $res;
}
      
if ($funcion=='upd_compra'){		
	$id_compra=$body['id_compra'];
	$id_usuario=$body['id_usuario'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."';";	
	$columnas="id_proveedor|id_almacen|productos|total|tipo|estado|metodo_pago|metodo_pago2|transaccion|tiempo|descuentos|pago1|pago2|subtotal|traslados|retenciones|recibido|cambio";	
	$res=actualizar("m_compras", $columnas, $valores, $condicion);	
	echo $res;
}
	   
	   
	   
	   
	   
	   

//***DETALLES DE COMPRA
 
 if ($funcion=='add_detcompra'){		
	$valores=$body['valores'];
	$columnas="id_detalle|id_usuario|id_compra|id_producto|id_proveedor|costo|cantidad|total|id_almacen|tiempo|id_lote|unitario|impuestos|descripcion|unidad|descuento|clave|total_desc|total_simp|fotoprod";	
	$res=insertar("m_detalle_compra", $columnas, $valores);
	echo $res;
}	            

if ($funcion=='get_detallescompra'){
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."' limit 100;";	
	$columnas="id_producto, costo, cantidad, total, id_detalle, descripcion, descuento, unidad, id_almacen, total_simp, impuestos, id_lote, fotoprod";	
	$res=consultar("m_detalle_compra", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_maxdetcompra'){
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."';";		
	$res=consultar("m_detalle_compra", "max(id_detalle)", $condicion);	
	echo responder($res);
}	

if ($funcion=='del_detcompra'){		
	$id_detalle=$body['id_detalle'];
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];	
	$condicion="WHERE id_detalle='".$id_detalle."' and id_usuario='".$id_usuario."' and id_compra='".$id_compra."';";		
	$res=eliminar("m_detalle_compra", $condicion);	
	echo $res;
}

if ($funcion=='upd_detallecompra'){		
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];	
	$valores=$body['valores'];	
	$columnas="id_proveedor|id_almacen";	
	$condicion="WHERE id_compra='".$id_compra."' and id_usuario='".$id_usuario."';";	
	$res=actualizar("m_detalle_compra", $columnas, $valores, $condicion);	
	echo $res;
}   






//***IMPUESTOS DETALLES DE COMPRA
 if ($funcion=='add_impdetcomp'){		
	$valores=$body['valores'];
	$columnas="imd_tipo|imd_base|imd_imd|imd_factor|imd_vfactor|imd_importe|imd_usuario|imd_compra|imd_prod|imd_detalle";	
	$res=insertar("m_impdetalle_comp", $columnas, $valores);
	echo $res;
}	 

if ($funcion=='del_impdetcompra'){		
	$id_detalle=$body['id_detalle'];
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$condicion="WHERE imd_detalle='".$id_detalle."' and imd_usuario='".$id_usuario."' and imd_compra='".$id_compra."';";		
	$res=eliminar("m_impdetalle_comp", $condicion);	
	echo $res;
}



 if ($funcion=='add_impusDetcom'){
	$totalorig=$body['totalorig'];
	$impuestos=$body['impuestos'];
	$id_producto=$body['id_producto'];
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];
	$id_detalle=$body['id_detalle'];
	
	$basesimp= $totalorig-$impuestos;		
	$condicion="WHERE imp_prd='".$id_producto."';";	
	$columnas="imp_id, imp_tipo, imp_imp, imp_factor, imp_val";
	$limpsprod=consultar("m_impuestosprod", $columnas, $condicion);	
	$arrImpuestos= explode (">",$limpsprod);	
	foreach ($arrImpuestos as $linea){
		$arrVals= explode ("|",$linea);
		$impid=$arrVals[0];
		$imptipo=$arrVals[1];
		$impnombre=$arrVals[2];
		$impfactor=$arrVals[3];
		$impvalor=$arrVals[4];		
		$impimporte=$basesimp*$impvalor;
		
		$valores=$imptipo."|".$basesimp."|".$impnombre."|".$impfactor."|".$impvalor."|".$impimporte."|".$id_usuario."|".$id_compra."|".$id_producto."|".$id_detalle;
		$columnas="imd_tipo|imd_base|imd_imd|imd_factor|imd_vfactor|imd_importe|imd_usuario|imd_compra|imd_prod|imd_detalle";	
		$res=insertar("m_impdetalle_comp", $columnas, $valores);
	}
	echo responder("OK");
}





?>