<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** REPORTES

if ($funcion=='get_reportes'){	
	$buscado=$body['buscado'];
	$columnas="id_reporte, descripcion, segmento, activar";
	$condicion="where descripcion like '%".$buscado."%' and activar='SI' ORDER BY segmento DESC;";		
	$res=consultar("m_reportes", $columnas, $condicion);	
	echo responder($res);
}

//lista de ventas
if ($funcion=='get_listaventas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_vendedor=$body['id_vendedor'];
	$id_cliente=$body['id_cliente'];
	$tipo=$body['tipo'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_venta, nombreven, nombrecli, productos, total, nombrefp1, nombrefp2, tipo, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and  id_vendedor like '%".$id_vendedor."%' and id_cliente like '%".$id_cliente."%' and tipo like '%".$tipo."%' and (tiempo between '".$tini."' and '".$tfin."') and estado<>'Incompleta' ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}

//productos vendidos
if ($funcion=='get_productosvendidos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$producto=$body['producto'];
	$id_cliente=$body['id_cliente'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$fpago1=$body['fpago1'];
	$columnas="m_detalle_venta.id_venta, m_detalle_venta.id_cliente, m_detalle_venta.id_producto, m_detalle_venta.descripcion, m_detalle_venta.cantidad, m_detalle_venta.total_desc, m_detalle_venta.descuento, m_detalle_venta.ganancia, m_detalle_venta.tiempo, m_ventas.nombrefp1";
	$condicion="WHERE m_detalle_venta.id_usuario='".$id_usuario."' and (m_detalle_venta.id_producto like '%".$producto."%' or m_detalle_venta.descripcion like '%".$producto."%') and m_detalle_venta.id_cliente like '%".$id_cliente."%' and (m_detalle_venta.tiempo between '".$tini."' and '".$tfin."') and m_detalle_venta.isservicio='NO' and m_ventas.nombrefp1='".$fpago1."' and m_detalle_venta.id_venta=m_ventas.id_venta and m_detalle_venta.id_usuario=m_ventas.id_usuario ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_detalle_venta, m_ventas", $columnas, $condicion);	
	echo responder($res);
}

//lsita de compras
if ($funcion=='get_listacompras'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_proveedor=$body['id_proveedor'];
	$tipo=$body['tipo'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_compra, id_proveedor, productos, total, metodo_pago, tipo, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and  id_proveedor like '%".$id_proveedor."%' and tipo like '%".$tipo."%' and (tiempo between '".$tini."' and '".$tfin."') and estado<>'Incompleta' ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}

//productos comprados con lotes
if ($funcion=='get_productoscompradosLot'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$producto=$body['producto'];
	$id_proveedor=$body['id_proveedor'];
	$id_almacen=$body['id_almacen'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_compra, id_proveedor, m_detalle_compra.id_producto, m_detalle_compra.descripcion, m_detalle_compra.cantidad, total, descuento, m_detalle_compra.id_almacen, lote, caducidad, m_detalle_compra.tiempo";
	$condicion="WHERE m_detalle_compra.id_usuario='".$id_usuario."' and (m_detalle_compra.id_producto like '%".$producto."%' or m_detalle_compra.descripcion like '%".$producto."%') and id_proveedor like '%".$id_proveedor."%' and m_detalle_compra.id_almacen like '%".$id_almacen."%' and (m_detalle_compra.tiempo between '".$tini."' and '".$tfin."') and m_detalle_compra.id_lote= m_lotes.id_lote ORDER BY m_detalle_compra.tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_detalle_compra, m_lotes", $columnas, $condicion);	
	echo responder($res);
}


//productos comprados
if ($funcion=='get_productoscomprados'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$producto=$body['producto'];
	$id_proveedor=$body['id_proveedor'];
	$id_almacen=$body['id_almacen'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_compra, id_proveedor, id_producto, descripcion, cantidad, total, descuento, id_almacen, tiempo";	
	$condicion="WHERE id_usuario='".$id_usuario."' and (id_producto like '%".$producto."%' or descripcion like '%".$producto."%') and id_proveedor like '%".$id_proveedor."%' and id_almacen like '%".$id_almacen."%' and (tiempo between '".$tini."' and '".$tfin."') ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_detalle_compra", $columnas, $condicion);	
	echo responder($res);
}



//productos con existencias y precios
if ($funcion=='get_productosprecios'){	
	$almacen=$body['almacen'];
	$precio=$body['precio'];
	$clasificacion=$body['clasificacion'];
	$descripcion=$body['descripcion'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$tablas = "m_productos, m_preciosprod, m_almacenesprod";
	$columnas="m_productos.id_producto, m_productos.descripcion, m_productos.clasificacion, m_almacenesprod.existencia, m_preciosprod.valor, m_productos.activo";
	$condicion="WHERE (m_productos.id_producto like '%".$descripcion."%' or m_productos.descripcion like '%".$descripcion."%') 
	and (m_productos.clasificacion like '%".$clasificacion."%') and (m_almacenesprod.nombre='".$almacen."' and m_preciosprod.nombre='".$precio."')
	and (m_almacenesprod.id_producto=m_productos.id_producto and m_preciosprod.id_producto=m_productos.id_producto and m_almacenesprod.id_producto=m_preciosprod.id_producto) 
	ORDER BY m_productos.id_producto ASC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar($tablas, $columnas, $condicion);	
	echo responder($res);
}

//producto bajos en stok
if ($funcion=='get_productosStock'){	
	$almacen=$body['almacen'];
	$minimo=$body['minimo'];
	$maximo=$body['maximo'];
	$clasificacion=$body['clasificacion'];
	$descripcion=$body['descripcion'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$tablas = "m_productos, m_almacenesprod";
	$columnas="m_productos.id_producto, m_productos.descripcion, m_productos.clasificacion, m_almacenesprod.existencia, m_productos.activo";
	$condicion="WHERE (m_productos.id_producto like '%".$descripcion."%' or m_productos.descripcion like '%".$descripcion."%') 
	and (m_productos.clasificacion like '%".$clasificacion."%') and (m_almacenesprod.nombre='".$almacen."') and 
	(m_almacenesprod.id_producto=m_productos.id_producto) and (m_almacenesprod.existencia<='".$maximo."') and 
	(m_almacenesprod.existencia>='".$minimo."') and m_productos.id_producto<>'00'
	ORDER BY m_productos.id_producto ASC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar($tablas, $columnas, $condicion);	
	echo responder($res);
}

//lista de cortes
if ($funcion=='get_listacortes'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_corte, inicio, fin, ventas, compras, ingresos, egresos, pagosrec, total_caja";
	$condicion="WHERE id_usuario='".$id_usuario."' and (inicio between '".$tini."' and '".$tfin."') ORDER BY fin DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_cortes", $columnas, $condicion);	
	echo responder($res);
}

//lista de pagos de clientes
if ($funcion=='get_pagosclientes'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_cliente=$body['id_cliente'];
	$motivo=$body['motivo'];
	$formapago=$body['formapago'];		
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_movcli, id_venta, id_cliente, motivo_mov, metodo_pago, transaccion, total, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and (tiempo between '".$tini."' and '".$tfin."') and metodo_pago like '%".$formapago."%' and id_cliente like '%".$id_cliente."%' and motivo_mov like '%".$motivo."%'  ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_detalle_movcli", $columnas, $condicion);	
	echo responder($res);
}

//lista de cargos de cliente
if ($funcion=='get_cargosclientes'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_cliente=$body['id_cliente'];
	$descripcion=$body['descripcion'];
	$estado=$body['estado'];		
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_movcli, id_venta, id_cliente, descripcion, monto_pagado, monto_total, estado, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and (tiempo between '".$tini."' and '".$tfin."') and estado like '%".$estado."%' and id_cliente like '%".$id_cliente."%' and descripcion like '%".$descripcion."%'  ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_movclis", $columnas, $condicion);	
	echo responder($res);
}

//lista de devoluciones en ventas
if ($funcion=='get_devolucionesVentas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_cliente=$body['id_cliente'];
	$id_almacen=$body['id_almacen'];	
	$producto=$body['producto'];
	$estado=$body['estado'];		
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_devolucion, id_venta, id_cliente, id_producto, descripcion, id_almacen, total_desc, metodo_pago, estado, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and id_almacen like '%".$id_almacen."%'  and (tiempo between '".$tini."' and '".$tfin."') and estado like '%".$estado."%' and id_cliente like '%".$id_cliente."%' and descripcion like '%".$producto."%'  ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_devoluciones", $columnas, $condicion);	
	echo responder($res);
}

//lista de servicios vedidos
if ($funcion=='get_serviciosVendidos'){	
	$condicion=$body['condicion'];
	$columnas="id_venta, id_cliente, id_producto, descripcion, cantidad, total_desc, comentario, tiempo_fin";	
	$res=consultar("m_detalle_venta", $columnas, $condicion);	
	echo responder($res);
}

//historial de clientes
if ($funcion=='get_historialCli'){	
	$monto=$body['monto'];
	$tipo=$body['tipo'];	
	$id_cliente=$body['id_cliente'];
	$motivo=$body['motivo'];		
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_cliente, nombre, movimiento, tipo, saldo_inicial, monto, saldo_final, tiempo";
	$condicion="WHERE id_cliente like '%".$id_cliente."%' and tipo like '%".$tipo."%' and movimiento like '%".$motivo."%' and monto>='".$monto."'  ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_historial_cliente", $columnas, $condicion);	
	echo responder($res);
}


//moviemientos de productos
if ($funcion=='get_movprods'){
	$tini=$body['tini'];
	$tfin=$body['tfin'];	
	$alment=$body['alment'];
	$almsal=$body['almsal'];
	$producto=$body['producto'];
	$motivo=$body['motivo'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_producto, descripcion, motivo, al_entrada, al_salida, alm_enttipo, alm_saltipo, cantidad, costo, tiempo";
	$condicion="WHERE (al_entrada like '%".$alment."%' and al_salida like '%".$almsal."%') and (id_producto like '%".$producto."%' or descripcion like '%".$producto."%') and motivo like '%".$motivo."%' and (tiempo between '".$tini."' and '".$tfin."') ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_movprods", $columnas, $condicion);	
	echo responder($res);
}


//moviemientos de dinero en cuentas
if ($funcion=='get_movcuentas'){
	$tini=$body['tini'];
	$tfin=$body['tfin'];	
	$cuenta=$body['cuenta'];
	$tipo=$body['tipo'];
	$concepto=$body['concepto'];
	$monto=$body['monto'];
	$referencia=$body['referencia'];
	$id_usuario=$body['id_usuario'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="tipo, cuenta, concepto, monto, referencia, tiempo";	
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Aplicado' and (tiempo between '".$tini."' and '".$tfin."') and (cuenta like '%".$cuenta."%' and tipo like'%".$tipo."%' and concepto like '%".$concepto."%' and referencia like '%".$referencia."%') or monto='".$monto."' ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";	
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}




//detalles de una venta
if ($funcion=='getDetallesVenta'){
	$id_usuario=$body['id_usuario'];
	$id_venta=$body['id_venta'];	
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_venta, id_cliente, id_producto, descripcion, cantidad, total_desc, descuento, ganancia, tiempo";	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."' LIMIT ".$inicio.", ".$cantidad.";";	
	$res=consultar("m_detalle_venta", $columnas, $condicion);	
	echo responder($res);
}


//detalles de una compra
if ($funcion=='getDetallesCompra'){
	$id_usuario=$body['id_usuario'];
	$id_compra=$body['id_compra'];	
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_compra, id_proveedor, id_producto, descripcion, cantidad, total, descuento, id_almacen, tiempo";	
	$condicion="WHERE id_usuario='".$id_usuario."' and id_compra='".$id_compra."' LIMIT ".$inicio.", ".$cantidad.";";	
	$res=consultar("m_detalle_compra", $columnas, $condicion);	
	echo responder($res);
}


//Detalles de camas
if ($funcion=='get_detallesCamas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];		
	$nombreasis=$body['nombreasis'];
	$producto=$body['producto'];	
	$id_cama=$body['id_cama'];	
	$estado=$body['estado'];	
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];		
	$columnas="id_detalle, id_cama, nombreasis, id_producto, descripcion, cantidad, paciente, doctor, estado, tiempo";
	$condicion="WHERE (id_producto like '%".$producto."%' or descripcion like '%".$producto."%') and estado like '%".$estado."%' and (tiempo between '".$tini."' and '".$tfin."') and nombreasis like '%".$nombreasis."%' ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_detalle_cama", $columnas, $condicion);	
	echo responder($res);
}


//Observaciones de camas
if ($funcion=='get_observCamas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];		
	$nombreasis=$body['nombreasis'];
	$descripcion=$body['descripcion'];	
	$id_cama=$body['id_cama'];	
	$estado=$body['estado'];	
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];		
	$columnas="id_info, id_cama, nombreasis, observacion, paciente, doctor, estado, tiempo";
	$condicion="WHERE (observacion like '%".$descripcion."%') and (estado like '%".$estado."%') and (tiempo between '".$tini."' and '".$tfin."') and nombreasis like '%".$nombreasis."%' ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_infocama", $columnas, $condicion);	
	echo responder($res);
}














// >* DASHBOASRD
//conteo de ventas al contado
if ($funcion=='get_contVentascontado'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_venta)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}

//suma importes de ventas al contado
if ($funcion=='get_sumaVentascontado'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(total)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}

//conteo de compras al contado
if ($funcion=='get_contComprascontado'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_compra)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}

//suma importes de compras al contado
if ($funcion=='get_sumaComprascontado'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(total)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}


//conteo ingresos
if ($funcion=='get_contIngresos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_detalle)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='INGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}

//suma ingresos
if ($funcion=='get_sumaIngresos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(monto)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='INGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}

// Cocnteo de egresos
if ($funcion=='get_contEgresos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_detalle)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='EGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}

//suma egresos
if ($funcion=='get_sumaEgresos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(monto)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='EGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}

// Conteo de devolcuiones de ventas
if ($funcion=='get_contDevventas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_devolucion)";
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Confirmada' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_devoluciones", $columnas, $condicion);	
	echo responder($res);
}

//suma devoluciones de ventas
if ($funcion=='get_sumaDevventas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(total_desc)";
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Confirmada' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_devoluciones", $columnas, $condicion);	
	echo responder($res);
}

// Conteo de pagos de clientes
if ($funcion=='get_contMovclis'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_detalle)";
	$condicion="WHERE id_usuario='".$id_usuario."' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalle_movcli", $columnas, $condicion);	
	echo responder($res);
}

//suma pagos de clientes
if ($funcion=='get_sumaMovclis'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(total)";
	$condicion="WHERE id_usuario='".$id_usuario."' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalle_movcli", $columnas, $condicion);	
	echo responder($res);
}





// >* CORTE DE CAJA
 if ($funcion=='add_cortecaja'){		
	$valores=$body['valores'];	
	$columnas="inicio|fin|id_usuario|ventas|compras|ingresos|egresos|pagosrec|total_caja";	
	$res=insertar("m_cortes", $columnas, $valores);	
	echo $res;
}

?>