<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** MARCAS 

if ($funcion=='get_marcas'){	
	$columnas="id_marca, descripcion, foto, activa";
	$condicion="WHERE activa='SI' order by descripcion asc;";		
	$res=consultar("m_marcas", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='add_marca'){		
	$valores=$body['valores'];	
	$columnas="descripcion|foto|activa";	
	$res=insertar("m_marcas", $columnas, $valores);	
	echo $res;
}	

if ($funcion=='del_marca'){		
	$id_marca=$body['id_marca'];			
	$condicion="WHERE id_marca='".$id_marca."';";		
	$res=eliminar("m_marcas", $condicion);	
	echo $res;
}



//*** SLIDERS 

if ($funcion=='get_sliders'){	
	$columnas="id_slider, descripcion, foto, activo";
	$condicion="WHERE activo='SI' order by descripcion asc;";		
	$res=consultar("m_sliders", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='add_slider'){		
	$valores=$body['valores'];	
	$columnas="descripcion|foto|activo";	
	$res=insertar("m_sliders", $columnas, $valores);	
	echo $res;
}	

if ($funcion=='del_slider'){		
	$id_slider=$body['id_slider'];			
	$condicion="WHERE id_slider='".$id_slider."';";		
	$res=eliminar("m_sliders", $condicion);	
	echo $res;
}




//*** CATEGORIAS 

if ($funcion=='get_categorias'){	
	$columnas="id_categoria, descripcion, foto, activa, etiquetas";
	$condicion="WHERE activa='SI' order by descripcion asc;";		
	$res=consultar("m_categorias", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='add_categoria'){		
	$valores=$body['valores'];	
	$columnas="descripcion|foto|activa|etiquetas";	
	$res=insertar("m_categorias", $columnas, $valores);	
	echo $res;
}	

if ($funcion=='del_categoria'){		
	$id_categoria=$body['id_categoria'];			
	$condicion="WHERE id_categoria='".$id_categoria."';";		
	$res=eliminar("m_categorias", $condicion);	
	echo $res;
}


if ($funcion=='upd_categoria'){		
	$id_categoria=$body['id_categoria'];
	$valores=$body['valores'];		
	$columnas="descripcion|foto|activa|etiquetas";	
	$condicion="WHERE id_categoria='".$id_categoria."';";		
	$res=actualizar("m_categorias", $columnas, $valores, $condicion);	
	echo $res;
}



//*** CONFIGURACION

if ($funcion=='upd_ajusteweb'){		
	$id_ajustew=$body['id_ajustew'];
	$valor=$body['valor'];	
	$condicion="WHERE id_ajustew='".$id_ajustew."';";		
	$res=actualizar("m_ajustesweb", "valor", $valor, $condicion);	
	echo $res;
}

if ($funcion=='get_ajustesweb'){	
	$columnas="id_ajustew, descripcion, valor";
	$res=consultar("m_ajustesweb", $columnas, ";");	
	echo responder($res);
}


 
?>