<?php
require "MConsultas.php";
require "MInit.php";
require "MDeleter.php";
require "MActualizer.php";
require "MInserter.php";
require_once 'SDK2/sdk2.php';

date_default_timezone_set('America/Mexico_City');
$body = json_decode(file_get_contents("php://input"), true);
//Se desactivan los mensajes de debug
error_reporting(~(E_WARNING|E_NOTICE));
$funcion=$body['funcion'];

	// Timbra una factura CFDI
 if ($funcion=='TimbrarCFDI'){	
 
	//CONSULTAS DB
	$folio=$body['folio'];
	$ctim= new CTimbrado();	
	$arrcert=$ctim->getDatosCert();
	$arrfact=$ctim->getDatosFact($folio);
	$id_usuario=$arrfact[18];
	$id_venta=$arrfact[19];
	$modofact=$ctim->getAjuste(27);
	$arrdet=$ctim->getDetalleVenta($id_usuario, $id_venta);
	$venta=$ctim->getVenta($id_usuario, $id_venta);
	
 
	
	 //INICIALES	
	 $datos['version_cfdi'] = '3.3';
	 $datos['cfdi']='mrecursos/facturas/Mfact1.xml'; 
	 $datos['xml_debug']='mrecursos/facturas/ST_Mfact1.xml';
	 
	 
	//CREDENCIALES MULTIFACTURAS
	$datos['PAC']['usuario'] = $arrcert[4];
	$datos['PAC']['pass'] = $arrcert[5];
	$datos['PAC']['produccion'] = $modofact;
	
	
	// Rutas y clave de los CSD
	$datos['conf']['cer'] = $arrcert[0];
	$datos['conf']['key'] = $arrcert[1];
	$datos['conf']['pass'] = $arrcert[2];


	// DATOS DE LA FACTURA	
	$arrventa = explode('|',$venta);	
	$datos['factura']['condicionesDePago'] = $arrfact[0];
	$datos['factura']['descuento'] =  $arrfact[1];
	$datos['factura']['fecha_expedicion'] = date('Y-m-d\TH:i:s', time() - 120);
	$datos['factura']['folio'] =  $arrfact[2];
	$datos['factura']['forma_pago'] =  $arrfact[3];
	$datos['factura']['LugarExpedicion'] =  $arrfact[4];
	$datos['factura']['metodo_pago'] =  $arrfact[5];
	$datos['factura']['moneda'] =  $arrfact[6];
	$datos['factura']['serie'] =  $arrfact[7];
	$datos['factura']['subtotal'] =  $arrventa[0];//
	$datos['factura']['tipocambio'] =  $arrfact[9];
	$datos['factura']['tipocomprobante'] =  $arrfact[10];
	$datos['factura']['total'] =  $arrventa[1];//
	$datos['factura']['RegimenFiscal'] = $arrfact[12];	
	
	
	//DATOS DEL EMISOR
	$datos['emisor']['rfc'] = $arrfact[13]; 
	$datos['emisor']['nombre'] = $arrfact[14]; 


	//DATOS DEL RECEPTOR
	$datos['receptor']['rfc'] = $arrfact[15]; 
	$datos['receptor']['nombre'] = $arrfact[16]; 
	$datos['receptor']['UsoCFDI'] =  $arrfact[17];

	
	
	//DETALLE DE PRODUCTOS E IMPUESTOS DE PRODUCTOS
	$arrde = explode('>',$arrdet);
	$co=0;
	foreach($arrde as $lindet){		
		$arrd=explode('|',$lindet);		
		$datos['conceptos'][$co]['cantidad'] = $arrd[0];
		$datos['conceptos'][$co]['unidad'] = $arrd[1];
		$datos['conceptos'][$co]['ID'] = $arrd[2];
		$datos['conceptos'][$co]['descripcion'] = $arrd[3];
		$datos['conceptos'][$co]['valorunitario'] = $arrd[4];
		$datos['conceptos'][$co]['importe'] = $arrd[5];
		$datos['conceptos'][$co]['ClaveProdServ'] = $arrd[6];
		$datos['conceptos'][$co]['ClaveUnidad'] = $arrd[7];
	
		$arrimp=$ctim->getImpsDetalle($id_usuario, $id_venta, $arrd[8]);
		$arrim=explode('>',$arrimp);
		$cu=0;
		foreach ($arrim as $limp){
			$arri=explode('|',$limp);			
			$datos['conceptos'][$co]['Impuestos']['Traslados'][$cu]['Base'] = $arri[0];
			$datos['conceptos'][$co]['Impuestos']['Traslados'][$cu]['Impuesto'] = $ctim->convertImp($arri[1]);
			$datos['conceptos'][$co]['Impuestos']['Traslados'][$cu]['TipoFactor'] = $arri[2];
			$datos['conceptos'][$co]['Impuestos']['Traslados'][$cu]['TasaOCuota'] = number_format($arri[3],6);
			$datos['conceptos'][$co]['Impuestos']['Traslados'][$cu]['Importe'] = $arri[4];	
			$cu++;
		}	
		$co++;
	}
	
	// RESUMEN DE IMPUESTOS
	$arrimpgr=$ctim->getSumImpTrasGroup($id_usuario, $id_venta);
	$arrimg=explode('>',$arrimpgr);
	$cg=0;
	foreach ($arrimg as $limpg){
		$arrig=explode('|',$limpg);
		$datos['impuestos']['translados'][$cg]['impuesto'] = $ctim->convertImp($arrig[0]);
		$datos['impuestos']['translados'][$cg]['tasa'] = number_format($arrig[3],6);
		$datos['impuestos']['translados'][$cg]['importe'] = $arrig[1];
		$datos['impuestos']['translados'][$cg]['TipoFactor'] = $arrig[4];
		$cg++;
	}
		
	//TOTAL DE IMPUESTOS TRASLADADOS
	$datos['impuestos']['TotalImpuestosTrasladados'] = $ctim->getSumImpTras($id_usuario, $id_venta);

	//print_r($datos); //Debug datos
	
	
	//EJECUTAR TIMBRADOR
	$ret = mf_genera_cfdi($datos);
	
	/*echo "<h1>Respuesta Generar XML y Timbrado</h1>";
	foreach ($ret AS $variable => $valor) {
		$valor = htmlentities($valor);
		$valor = str_replace('&lt;br/&gt;', '<br/>', $valor);
		echo "<b>[$variable]=</b>$valor<hr>";
	}*/
	
	//GUARDAR TIMBRADO
	if ($ret[codigo_mf_numero]==0){
		$folFisc=$ret[uuid];
		$fecCert=$ret[representacion_impresa_fecha_timbrado];
		$certNo=$ret[representacion_impresa_certificado_no];		
		$certSAT=$ret[representacion_impresa_certificadoSAT];		
		$selloSAT=$ret[representacion_impresa_selloSAT];
		$sello=$ret[representacion_impresa_sello];
		$cadena=$ret[representacion_impresa_cadena];
		$saldo=$ret[saldo];
		
		$estado='Timbrada';		
		$retenciones=0;
		$subtotal=$datos['factura']['subtotal'];
		$traslados=$datos['impuestos']['TotalImpuestosTrasladados'];		
		$descuentos=$datos['factura']['descuento'];
		$total=$datos['factura']['total'];
		$resg=$ctim->guardarTimbre($folio, $cadena, $folFisc, $fecCert, $sello, $certNo, $certSAT, $selloSAT, $subtotal, $traslados, $retenciones, $descuentos, $total, $estado, $saldo);		
		echo $resg;	
	}else{
		echo responder($ret[codigo_mf_texto]);
	}
	
}





class CTimbrado{	
	
	public function getDatosFact($folio){
		$condicion="where folio='".$folio."';";	
		$columnas="condiciones, descuentos, folio, forma_pago, cp_emisor, metodo_pago, moneda, serie, subtotal, tipo_cambio, tipo_factura,  total, regimen_fiscal, rfc_emisor, nombre_emisor, rfc_receptor, nombrecli, uso_factura, id_usuario, id_venta, id_cliente, fecha, nombrefp, nombremp, nombre_regimen, traslados, retenciones, folio_fiscal, fecha_certificacion, cert_sello_digital, cert_sello_sat, sello_digital_cfdi, sello_digital_sat, cadena_original";
		$res=consultar("m_facturas", $columnas, $condicion);	
		$arr=explode('|',$res);
		return $arr;
	}
	
	public function getDatosCert(){
		$condicion="where id_certificado='1' and activo='SI';";	
		$columnas="ruta_cer, ruta_key, pass, ruta_sdk, us_portal, pas_portal";
		$res=consultar("m_certifact", $columnas, $condicion);	
		$arr=explode('|',$res);
		return $arr;		
	}
	
	public function getAjuste($id_ajuste){
		$condicion="where id_ajuste='".$id_ajuste."';";	
		$columnas="valor_ajuste";
		$res=consultar("m_ajustes", $columnas, $condicion);			
		return $res;		
	}
	
	public function getDetalleVenta($id_usuario, $id_venta){
		$condicion="where id_usuario='".$id_usuario."' and id_venta='".$id_venta."';";	
		$columnas="cantidad, unidad, id_producto, descripcion, precio_venta, total_desc, clave, claveunidad, id_detalle, descuento";
		$res=consultar("m_detalle_venta", $columnas, $condicion);			
		return $res;		
	}
	
	public function getImpsDetalle($id_usuario, $id_venta, $id_detalle){
		$condicion="where imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."' and imd_detalle='".$id_detalle."';";	
		$columnas="imd_base, imd_imd, imd_factor, imd_vfactor, imd_importe";
		$res=consultar("m_impdetalle", $columnas, $condicion);		
		return $res;		
	}
		
		
	public function getSumImpTras($id_usuario, $id_venta){
		$condicion="where imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."' and imd_tipo='Traslado';";	
		$columnas="sum(imd_importe)";
		$res=consultar("m_impdetalle", $columnas, $condicion);		
		return $res;		
	}	
	
	
	public function getSumImpTrasGroup($id_usuario, $id_venta){
		$condicion="WHERE imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."' and imd_tipo='Traslado' group by imd_imd, imd_factor;";	
		$columnas="imd_imd, sum(imd_importe), imd_base, imd_vfactor, imd_factor";	
		$res=consultar("m_impdetalle", $columnas, $condicion);		
		return $res;		
	}	
	
	public function getVenta($id_usuario, $id_venta){
		$condicion="WHERE id_usuario='".$id_usuario."' and id_venta='".$id_venta."' and estado='Completa';";	
		$columnas="subtotal, total";	
		$res=consultar("m_ventas", $columnas, $condicion);		
		return $res;		
	}
	
	
	public function guardarTimbre($folio, $cadena, $folFisc, $fecCert, $sello, $certNo, $certSAT, $selloSAT, $subtotal, $traslados, $retenciones, $descuentos, $total, $estado, $saldo){		
		$valores=str_replace("|","!",$cadena)."|".$folFisc."|".$fecCert."|".$sello."|".$certNo."|".$certSAT."|".$selloSAT."|".$subtotal."|".$traslados."|".$retenciones."|".$descuentos."|".$total."|".$estado."|".$saldo;	
		$condicion="WHERE folio='".$folio."';";	
		$columnas="cadena_original|folio_fiscal|fecha_certificacion|sello_digital_cfdi|cert_sello_digital|cert_sello_sat|sello_digital_sat|subtotal|traslados|retenciones|descuentos|total|estado|saldo";					
		$res=actualizar("m_facturas", $columnas, $valores, $condicion);	
		return $res;
	}
		
	public function convertImp($imp){
		$res='002';
		if ($imp=='IVA'){$res='002';}
		if ($imp=='ISR'){$res='001';}
		if ($imp=='IEPS'){$res='003';}
		return $res;
	}
	
	
	public function getDatosEmpresa($id){
		$condicion="where id_empresa='".$id."';";	
		$columnas="nombre, rfc, calle, num_ext, colonia, municipio, estado, pais, cp";
		$res=consultar("m_empresa", $columnas, $condicion);	
		$arr=explode('|',$res);
		return $arr;
	}
	
	public function getDatosCliente($id){
		$condicion="where id_cliente='".$id."';";	
		$columnas="nombre, rfc, calle, numext, colonia, municipio, estado, pais, codpos";
		$res=consultar("m_clientes", $columnas, $condicion);	
		$arr=explode('|',$res);
		return $arr;
	}
	
	public function getImpsVenta($id_usuario, $id_venta){
		$condicion="where imd_usuario='".$id_usuario."' and imd_venta='".$id_venta."';";	
		$columnas="imd_base, imd_imd, imd_factor, imd_vfactor, imd_importe";
		$res=consultar("m_impdetalle", $columnas, $condicion);		
		return $res;		
	}
	
	
	
}








?>