<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];


//*** DETALLE VENTA 

if ($funcion=='get_memactivas'){	
	$columnas="tiempo_fin, id_cliente, comentario";
	$condicion="WHERE now()>= tiempo_ini and now() <= tiempo_fin and estado='Activo';";		
	$res=consultar("m_detalle_venta", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_memacticli'){
	$id_cliente=$body['id_cliente'];	
	$columnas="id_venta, id_usuario, id_producto, descripcion, total, tiempo_ini, tiempo_fin, id_cliente, comentario";
	$condicion="WHERE now()>= tiempo_ini and now() <= tiempo_fin and estado='Activo' and id_cliente='".$id_cliente."';";		
	$res=consultar("m_detalle_venta", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_mempasada'){	
	$id_cliente=$body['id_cliente'];
	$columnas="MAX(tiempo_fin)";	
	$condicion="WHERE id_cliente='".$id_cliente."' and now()>tiempo_fin;";	
	$res=consultar("m_detalle_venta", $columnas, $condicion);	
	echo responder($res);
}

//** VISITAS GIMNASIO

//visitas del cliente del ultimo mes
if ($funcion=='get_visitasgymcli'){	
	$id_cliente=$body['id_cliente'];
	$columnas="id_visita, tiempo_entrada, tiempo_salida, estado";	
	$condicion="WHERE id_cliente='".$id_cliente."' and tiempo_entrada >= date_sub(curdate(), interval 1 month) order by tiempo_entrada desc;";	
	$res=consultar("m_visitasgym", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_ultimavisitacli'){	
	$id_cliente=$body['id_cliente'];
	$columnas="MAX(tiempo_entrada), id_visita";	
	$condicion="WHERE id_cliente='".$id_cliente."' and tipo='E';";	
	$res=consultar("m_visitasgym", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_tiempovisita'){	
	$id_cliente=$body['id_cliente'];
	$tipo_tiempo="max(".$body['tipo_tiempo'].")";
	$condicion="WHERE id_cliente='".$id_cliente."';";	
	$res=consultar("m_visitasgym", $tipo_tiempo, $condicion);	
	echo responder($res);
}

if ($funcion=='add_visita'){		
	$valores=$body['valores'];	
	$columnas="id_cliente|id_usuario|tiempo_entrada|estado|tipo";	
	$res=insertar("m_visitasgym", $columnas, $valores);	
	echo $res;
}	


if ($funcion=='upd_visita'){		
	$id_visita=$body['id_visita'];	
	$valores=$body['valores'];	
	$condicion="WHERE id_visita='".$id_visita."';";	
	$columnas="tiempo_salida|estado|tipo";	
	$res=actualizar("m_visitasgym", $columnas, $valores, $condicion);	
	echo $res;
}

//** PUERTA GIMNASIO

if ($funcion=='add_regpuerta'){		
	$valores=$body['valores'];	
	$columnas="id_usuario|id_cliente|motivo|tiempo";	
	$res=insertar("m_puertagym", $columnas, $valores);	
	echo $res;
}	

?>