<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** verificar desconteo de productos de almacen detalles venta 
if ($funcion=='verificar_ventaProds'){
	$id_venta=$body['id_venta'];
	$id_usuario=$body['id_usuario'];	
	$descontar=$body['descontar'];
	
	$columnas="id_producto, sum(cantidad), almacen";
	$condicion="WHERE id_venta='".$id_venta."' and id_usuario='".$id_usuario."' group by id_producto, almacen;";
	$listaprods=consultar("m_detalle_venta", $columnas, $condicion);
	
	$arrProds= explode (">",$listaprods);	
	$cinv= new Cinventario();
		
	
	$respuesta="";
	foreach ($arrProds as $linprod){	
		$arrVals= explode ("|",$linprod);	
		$id_producto=$arrVals[0];
		$cantidad=$arrVals[1];
		$almacen=$arrVals[2];
		$res=$cinv->solicitar_salida_almacen($id_producto, $almacen, $cantidad, $descontar);	
				
		if ($res=="NO")
		{
			$descripcion=consultar("m_productos", "descripcion", "WHERE id_producto='".$id_producto."';");
			$respuesta=$respuesta.$id_producto."|".$descripcion.">";
		}		
	}	
	echo responder($respuesta);
}



//*** Incrementador del inventario por detalles de compra
if ($funcion=='add_invprodDetcom'){
	$id_compra=$body['id_compra'];
	$id_usuario=$body['id_usuario'];	
	
	$columnas="id_producto, sum(cantidad), id_almacen, id_lote";
	$condicion="WHERE id_compra='".$id_compra."' and id_usuario='".$id_usuario."' group by id_producto, id_almacen;";
	$listaprods=consultar("m_detalle_compra", $columnas, $condicion);
	
	$arrProds= explode (">",$listaprods);	
	$cinv= new Cinventario();		
	
	$respuesta="";
	foreach ($arrProds as $linprod){	
		$arrVals= explode ("|",$linprod);	
		$id_producto=$arrVals[0];
		$cantidad=$arrVals[1];
		$almacen=$arrVals[2];
		$id_lote=$arrVals[3];
		$res=$cinv->solicitar_entrada_almacen($id_producto, $almacen, $cantidad);
		if ($id_lote>0){
			$resl=actualizar("m_lotes", "estado", "Confirmado", "WHERE id_lote='".$id_lote."' and id_almacen='".$almacen."';");	
		}
	}	
	echo responder("OK");
}




//solicita o verifica salida de inventario
if ($funcion=='extraccion_inventario'){
	$id_producto=$body['id_producto'];
	$almacen=$body['almacen'];	
	$cantidad=$body['cantidad'];
	$descontar=$body['descontar'];
	$cinv= new Cinventario();
	$res=$cinv->solicitar_salida_almacen($id_producto, $almacen, $cantidad, $descontar);
	return $res;
}


//solicita entrada de almacen
if ($funcion=='ingreso_inventario'){
	$id_producto=$body['id_producto'];
	$almacen=$body['almacen'];	
	$cantidad=$body['cantidad'];	
	$cinv= new Cinventario();
	$res=$cinv->solicitar_entrada_almacen($id_producto, $almacen, $cantidad);
	return $res;
}










//****MOTORES DEL INVENTARIO
//****MOTORES DEL INVENTARIO

class Cinventario{
	
	//*** motor controlador de extracciones de inventario
	public function solicitar_salida_almacen($id_producto, $almacen, $cantidad, $descontar){
		$res="NO";
		$invnegativo=consultar("m_ajustes", "valor_ajuste", "WHERE id_ajuste='13';");		
		$prodcompuesto=consultar("m_productos", "compuesto", "WHERE id_producto='".$id_producto."';");
		$isservicio=consultar("m_productos", "isservicio", "WHERE id_producto='".$id_producto."';");
		$existencia=consultar("m_almacenesprod", "existencia", "WHERE id_producto='".$id_producto."' and nombre='".$almacen."';");
		
		if ($prodcompuesto=="SI"){
			$res= "NO";			
		}else{			
			if ($cantidad<=$existencia or $invnegativo=="SI"){
				$nvacantidad= $existencia-$cantidad;
				if($descontar==1){
					$this->actualizar_almacenprod($id_producto, $almacen, $nvacantidad);
				}else{
					$res= "SI";
				}
			}else{
				if ($isservicio=="SI"){
					$res= "SI";
				}else{
					$res="NO";
				}
				if($id_producto=="00"){
					$res= "SI";
				}
			}				
		}
		return $res;		
	}	
	
	
	//*** descontador del inventario
	public function actualizar_almacenprod($id_producto, $almacen, $nvacantidad){	
		$condicion="WHERE id_producto='".$id_producto."' and nombre='".$almacen."';";			
		$res=actualizar("m_almacenesprod", "existencia", $nvacantidad, $condicion);
		return $res;
	}
	
	
	
	
	//*** motor controlador de ingresos de inventario
	public function solicitar_entrada_almacen($id_producto, $almacen, $cantidad){
		$res="NO";
		$prodcompuesto=consultar("m_productos", "compuesto", "WHERE id_producto='".$id_producto."';");
		$existencia=consultar("m_almacenesprod", "existencia", "WHERE id_producto='".$id_producto."' and nombre='".$almacen."';");
		
		if ($prodcompuesto=="SI"){
			$res= "NO";			
		}else{
			$nvacantidad= $existencia+$cantidad;
			$ret=$this->actualizar_almacenprod($id_producto, $almacen, $nvacantidad);
			if ($ret="OK"){
				$res= "SI";	
			}
		}
		return $res;
	}
	
	
	
	
}
	
	
	
	
	



?>