<?php
require "MConsultas.php";
require "MInserter.php";
require "MActualizer.php";
require "MDeleter.php";
require "MInit.php";

$body = json_decode(file_get_contents("php://input"), true);
$funcion=$body['funcion'];

//*** REPORTES

if ($funcion=='get_reportes'){	
	$buscado=$body['buscado'];
	$columnas="id_reporte, descripcion, segmento, activar";
	$condicion="where descripcion like '%".$buscado."%' and activar='SI' ORDER BY segmento DESC;";		
	$res=consultar("m_reportes", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_listaventas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_vendedor=$body['id_vendedor'];
	$id_cliente=$body['id_cliente'];
	$tipo=$body['tipo'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_venta, nombreven, nombrecli, productos, total, nombrefp1, nombrefp2, tipo, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and  id_vendedor like '%".$id_vendedor."%' and id_cliente like '%".$id_cliente."%' and tipo like '%".$tipo."%' and (tiempo between '".$tini."' and '".$tfin."') and estado<>'Incompleta' ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_productosvendidos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$producto=$body['producto'];
	$id_cliente=$body['id_cliente'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_venta, id_cliente, id_producto, descripcion, cantidad, total_desc, descuento, ganancia, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and (id_producto like '%".$producto."%' or descripcion like '%".$producto."%') and id_cliente like '%".$id_cliente."%' and (tiempo between '".$tini."' and '".$tfin."') ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_detalle_venta", $columnas, $condicion);	
	echo responder($res);
}

if ($funcion=='get_listacompras'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_proveedor=$body['id_proveedor'];
	$tipo=$body['tipo'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_compra, id_proveedor, productos, total, metodo_pago, tipo, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and  id_proveedor like '%".$id_proveedor."%' and tipo like '%".$tipo."%' and (tiempo between '".$tini."' and '".$tfin."') and estado<>'Incompleta' ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}


if ($funcion=='get_productoscomprados'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$producto=$body['producto'];
	$id_proveedor=$body['id_proveedor'];
	$id_almacen=$body['id_almacen'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_compra, id_proveedor, id_producto, descripcion, cantidad, total, descuento, id_almacen, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and (id_producto like '%".$producto."%' or descripcion like '%".$producto."%') and id_proveedor like '%".$id_proveedor."%' and id_almacen like '%".$id_almacen."%' and (tiempo between '".$tini."' and '".$tfin."') ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_detalle_compra", $columnas, $condicion);	
	echo responder($res);
}


if ($funcion=='get_cancelacionesRest'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$producto=$body['producto'];
	$id_mesero=$body['id_mesero'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_producto, descripcion, id_mesero, id_mesa, cantidad, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and (id_producto like '%".$producto."%' or descripcion like '%".$producto."%') and id_mesero like '%".$id_mesero."%'  and (tiempo between '".$tini."' and '".$tfin."') ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_cancelrest", $columnas, $condicion);	
	echo responder($res);
}

//visirtas del gym
if ($funcion=='get_visitasgym'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_cliente=$body['id_cliente'];
	$estado=$body['estado'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];
	$columnas="id_visita, id_cliente, tiempo_entrada, tiempo_salida, estado";
	$condicion="WHERE id_usuario='".$id_usuario."' and id_cliente like '%".$id_cliente."%' and estado like '%".$estado."%' and (tiempo_entrada between '".$tini."' and '".$tfin."')  ORDER BY tiempo_entrada DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_visitasgym", $columnas, $condicion);	
	echo responder($res);
}

//lista de cortes
if ($funcion=='get_listacortes'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_corte, inicio, fin, ventas, compras, ingresos, egresos, pagosrec, total_caja";
	$condicion="WHERE id_usuario='".$id_usuario."' and (inicio between '".$tini."' and '".$tfin."') ORDER BY fin DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_cortes", $columnas, $condicion);	
	echo responder($res);
}

//lista de pagos de clientes
if ($funcion=='get_pagosclientes'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_cliente=$body['id_cliente'];
	$motivo=$body['motivo'];
	$formapago=$body['formapago'];		
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_movcli, id_venta, id_cliente, motivo_mov, metodo_pago, transaccion, total, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and (tiempo between '".$tini."' and '".$tfin."') and metodo_pago like '%".$formapago."%' and id_cliente like '%".$id_cliente."%' and motivo_mov like '%".$motivo."%'  ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_detalle_movcli", $columnas, $condicion);	
	echo responder($res);
}

//lista de cargos de cliente
if ($funcion=='get_cargosclientes'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_cliente=$body['id_cliente'];
	$descripcion=$body['descripcion'];
	$estado=$body['estado'];		
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_movcli, id_venta, id_cliente, descripcion, monto_pagado, monto_total, estado, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and (tiempo between '".$tini."' and '".$tfin."') and estado like '%".$estado."%' and id_cliente like '%".$id_cliente."%' and descripcion like '%".$descripcion."%'  ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_movclis", $columnas, $condicion);	
	echo responder($res);
}

//lista de devoluciones en ventas
if ($funcion=='get_devolucionesVentas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];
	$id_cliente=$body['id_cliente'];
	$id_almacen=$body['id_almacen'];	
	$producto=$body['producto'];
	$estado=$body['estado'];		
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="id_devolucion, id_venta, id_cliente, id_producto, descripcion, id_almacen, total_desc, metodo_pago, estado, tiempo";
	$condicion="WHERE id_usuario='".$id_usuario."' and id_almacen like '%".$id_almacen."%'  and (tiempo between '".$tini."' and '".$tfin."') and estado like '%".$estado."%' and id_cliente like '%".$id_cliente."%' and descripcion like '%".$producto."%'  ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";		
	$res=consultar("m_devoluciones", $columnas, $condicion);	
	echo responder($res);
}

//lista de servicios vedidos
if ($funcion=='get_serviciosVendidos'){	
	$condicion=$body['condicion'];
	$columnas="id_venta, id_cliente, id_producto, descripcion, cantidad, total_desc, comentario, tiempo_fin";	
	$res=consultar("m_detalle_venta", $columnas, $condicion);	
	echo responder($res);
}



//moviemientos de dinero en cuentas
if ($funcion=='get_movcuentas'){
	$tini=$body['tini'];
	$tfin=$body['tfin'];	
	$cuenta=$body['cuenta'];
	$tipo=$body['tipo'];
	$concepto=$body['concepto'];
	$monto=$body['monto'];
	$referencia=$body['referencia'];
	$id_usuario=$body['id_usuario'];
	$inicio=$body['inicio'];
	$cantidad=$body['cantidad'];	
	$columnas="tipo, cuenta, concepto, monto, referencia, tiempo";	
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Aplicado' and (tiempo between '".$tini."' and '".$tfin."') and (cuenta like '%".$cuenta."%' and tipo like'%".$tipo."%' and concepto like '%".$concepto."%' and referencia like '%".$referencia."%') or monto='".$monto."' ORDER BY tiempo DESC LIMIT ".$inicio.", ".$cantidad.";";	
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}







// >* DASHBOASRD
//conteo de ventas al contado
if ($funcion=='get_contVentascontado'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_venta)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}

//suma importes de ventas al contado
if ($funcion=='get_sumaVentascontado'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(total)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_ventas", $columnas, $condicion);	
	echo responder($res);
}

//conteo de compras al contado
if ($funcion=='get_contComprascontado'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_compra)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}

//suma importes de compras al contado
if ($funcion=='get_sumaComprascontado'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(total)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='Contado' and estado<>'Incompleta' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_compras", $columnas, $condicion);	
	echo responder($res);
}


//conteo ingresos
if ($funcion=='get_contIngresos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_detalle)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='INGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}

//suma ingresos
if ($funcion=='get_sumaIngresos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(monto)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='INGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}

// Cocnteo de egresos
if ($funcion=='get_contEgresos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_detalle)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='EGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}

//suma egresos
if ($funcion=='get_sumaEgresos'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(monto)";
	$condicion="WHERE id_usuario='".$id_usuario."' and tipo='EGRESO' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalletranscue", $columnas, $condicion);	
	echo responder($res);
}

// Conteo de devolcuiones de ventas
if ($funcion=='get_contDevventas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_devolucion)";
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Confirmada' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_devoluciones", $columnas, $condicion);	
	echo responder($res);
}

//suma devoluciones de ventas
if ($funcion=='get_sumaDevventas'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(total_desc)";
	$condicion="WHERE id_usuario='".$id_usuario."' and estado='Confirmada' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_devoluciones", $columnas, $condicion);	
	echo responder($res);
}

// Conteo de pagos de clientes
if ($funcion=='get_contMovclis'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="count(id_detalle)";
	$condicion="WHERE id_usuario='".$id_usuario."' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalle_movcli", $columnas, $condicion);	
	echo responder($res);
}

//suma pagos de clientes
if ($funcion=='get_sumaMovclis'){	
	$tini=$body['tini'];
	$tfin=$body['tfin'];
	$id_usuario=$body['id_usuario'];	
	$columnas="sum(total)";
	$condicion="WHERE id_usuario='".$id_usuario."' and (tiempo between '".$tini."' and '".$tfin."');";		
	$res=consultar("m_detalle_movcli", $columnas, $condicion);	
	echo responder($res);
}





// >* CORTE DE CAJA
 if ($funcion=='add_cortecaja'){		
	$valores=$body['valores'];	
	$columnas="inicio|fin|id_usuario|ventas|compras|ingresos|egresos|pagosrec|total_caja";	
	$res=insertar("m_cortes", $columnas, $valores);	
	echo $res;
}

?>