<?php 
	include_once 'csesion.php';
	$cs= new Csesion();
	$id_cliente= $cs->getCliente();		
?> 
<!DOCTYPE html>
<!--
	ustora by freshdesignweb.com
	Twitter: https://twitter.com/freshdesignweb
	URL: https://www.freshdesignweb.com/ustora/
-->
<html lang="esMX">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
	 <?php
		include_once 'ccomponentes.php';
		$cc = new Ccomponentes();
		$nombreSitio=$cc->getNombreSitio();		
		echo " <title>..:: ".$nombreSitio." ::..</title>";
	?>
    
    <!-- Google Fonts -->
    <link href='http://fonts.googleapis.com/css?family=Titillium+Web:400,200,300,700,600' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700,300' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Raleway:400,100' rel='stylesheet' type='text/css'>
    
    <!-- Bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    
    <!-- Font Awesome -->
    <link rel="stylesheet" href="css/font-awesome.min.css">
    
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/owl.carousel.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
   
   
   
   
   
   <!--ICONOS Y VISOR DE CUENTA -->
    <div class="header-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="user-menu">
                        <ul>
                            <li><a href="acuenta.php"><i class="fa fa-user"></i> Mi Cuenta</a></li>
                            <li><a href="#"><i class="fa fa-heart"></i> Favoritos</a></li>
                            <li><a href="carrito.php"><i class="fa fa-user"></i> Carrito</a></li>
                            <li><a href="contacto.php"><i class="fa fa-user"></i> Contacto</a></li>
                             <?php 
								$cs->mostrar_acceso();		
							 ?> 	
                        </ul>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="header-right">
                        <ul class="list-unstyled list-inline">
                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Moneda :</span><span class="value">MXN </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">USD</a></li>
                                    <li><a href="#">MXN</a></li>                                  
                                </ul>
                            </li>

                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Lenguaje :</span><span class="value">Español </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">English</a></li>
                                    <li><a href="#">Español</a></li>                                    
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
	
	
	
	
	
	
	
	<!--ENCABEZADO Y VISOR DEL CARRITO-->
    <div class="site-branding-area">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="logo">
                       
					   <?php
							$logoSitio=$cc->getLogoSitio();	
							echo "<h1><a href='#'><img src='mrecursos/imagenes/".$logoSitio."'></a></h1>";
						?> 
					   
                    </div>
                </div>
                
                <div class="col-sm-6">
                    <div class="shopping-item">
                     <?php
						include_once 'ccarrito.php';						
						$car= new Carrito();
						$car->mostrar_carrito($id_cliente);
					?>
					 </div>
                </div>
            </div>
        </div>
    </div> 
    
	
	
	
	
	<!--BARRA SUPERIOR DE MENUS -->
    <div class="mainmenu-area">
        <div class="container">
            <div class="row">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div> 
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li><a href="index.php">Inicio</a></li>
                        <li><a href="tienda.php">Tienda</a></li>
                        <li><a href="tienda.php">Producto</a></li>
                        <li class="active"><a href="carrito.php">Carrito</a></li>
                        <li><a href="pedidos.php">Pedidos</a></li>
                        <li><a href="categorias.php">Categorias</a></li>                       
                        <li><a href="contacto.php">Contacto</a></li>
                    </ul>
                </div>  
            </div>
        </div>
    </div> 
    
	
	
	
	<!--TITULO DE LA PAIGNA-->
    <div class="product-big-title-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="product-bit-title text-center">
                        <h2>Carrito de compras</h2>
                    </div>
                </div>
            </div>
        </div>
    </div> 
    
    
	
	
	
	
	
	
	
	
	
	
	
	
	<!--AREA DE MOSTRAR CARRITO METODO DE ENTREGA Y TOTALES-->
	
    <div class="single-product-area">        
        <div class="container">
            <div class="row">
			
			
                    <div class="product-content-right">
                        <div class="woocommerce">
                            <form method="post" action="checkout.php">
                                
								<table cellspacing="0" class="shop_table cart">
                                    <thead>
                                        <tr>
                                            <th class="product-remove"></th>
                                            <th class="product-thumbnail">Foto</th>
                                            <th class="product-name">Producto</th>
                                            <th class="product-price">Precio</th>
                                            <th class="product-quantity">Cantidad</th>
                                            <th class="product-subtotal">Total</th>
                                        </tr>
                                    </thead>
									
                                    <tbody>									
									<?php
									$filasDet=$car->getDetallesPed($id_cliente);									
									$sumtotal=0;
									$sumcant=0;
									$decrip1prod="";
									if ($filasDet[0]!=""){
										foreach($filasDet as $fila=>$valor)
										{
											$arrCols= explode("|",$valor);
											$id_producto=$arrCols[0];
											$descripcion=$arrCols[1];
											$cantidad=$arrCols[2];
											$precio=$arrCols[3];
											$total=$arrCols[4];
											$id_detalle=$arrCols[5];
											$sumtotal= $sumtotal +$total;
											$sumcant= $sumcant +$cantidad;
											$decrip1prod=$descripcion;
											
											echo "<tr class='cart_item'>";
											echo "<td class='product-remove'> <a title='Quitar este producto' class='remove' href='ccarrito.php?id_detalle=".$id_detalle."&accion=Quitar'>×</a></td>";
											echo "<td class='product-thumbnail'><a href='producto.php'><img width='145' height='145' alt='poster_1_up'
											class='shop_thumbnail' src='mrecursos/productos/".$id_producto."_1.jpg'></a></td>";
											echo "<td class='product-name'><a href='producto.php?id_producto=".$id_producto."'>".$descripcion."</a></td>";
											echo "<td class='product-price'><span class='amount'>$".$precio."</span></td>";
											echo "<td class='product-quantity'>";	
											echo "<div class='quantity buttons_added'>";											
											echo "<span class='amount'>".$cantidad."</span> &nbsp;";										
											echo "<a href='ccarrito.php?id_detalle=".$id_detalle."&accion=Aumentar&id_producto=".$id_producto."&cantidad=".$cantidad."'> + </a> &nbsp;";
											echo "<a href='ccarrito.php?id_detalle=".$id_detalle."&accion=Disminuir&id_producto=".$id_producto."&cantidad=".$cantidad."'> -  </a>";
											echo "</div>";
											echo "</td>";
											
											echo "<td class='product-subtotal'><span class='amount'>$".$total."</span></td>";
											echo "</tr>";
										}
									}else{
									echo "<h3>Parece que el carrito esta vacio </h3>";
									}										
									?>
                                    </tbody>	
                                </table>


								
								
								
								
								
								
								
								<!--Elegir metodo de entrega -->
								<div class="product-content-right">
									<div class="cart_totals">
										<h2 style='color:#1B91CF'>Elige tu forma de entrega</h2>
										
											
											
											 <?php
											 $entDom=$cc->getEntDomicilio();
											 $entTienda=$cc->getEntTienda();									
											 
											 //Entrega en tienda
											 if ($entTienda=="SI"){
												 echo 
												 "<li class='entrega_tienda'>
													<img alt='Envio tienda' src='img/tienda.png'>
													<input type='radio' data-order_button_text='' checked='checked' value='Recoger en tienda' name='tipoentr' class='input-radio' id='entrega_tienda'>
													<label for='entrega_tienda'>Recoger en tienda</label>
													<div class='entrega_tienda'>
														<p>Una vez aceptado tu pedido puedes recogerlo en tienda.</p>
													</div>
												</li>";		
											 }
											 
											 //Entrega a domicilio
											  if ($entDom=="SI"){										  
												  echo 
												  "<li class='entrega_domicilio'>
													<img alt='Envio domicilio' src='img/enviar.png'>
													<input type='radio' data-order_button_text=''  value='Enviar a domicilio' name='tipoentr' class='input-radio' id='entrega_domicilio'>												
													<label for='entrega_domicilio'>Envio a domicilio</label>
													<div class='payment_box entrega_domicilio'>
														<p>Una vez recibido tu pago recibiras tu producto a domicilio.</p>
													</div>												
												</li>";		
											  }
											 ?>	
											</br>	
										
											
											<?php
											
											if ($id_cliente!="")
											{
												if ($sumtotal>0)
												{
													echo "
														<input id='desc1p' name='desc1p' type='hidden' value='".$decrip1prod."'>
														<input id='totcar' name='totcar' type='hidden' value='".$sumtotal."'>
														<input id='sumcant' name='sumcant' type='hidden' value='".$sumcant."'>
														<input type='submit' value='Continuar compra' name='proceed' class='checkout-button button alt wc-forward'>
														</form></br>";	
												}
												echo "
												</form></br>
												<form enctype='multipart/form-data' action='tienda.php' class='volver' method='post'>
												
													<input type='submit' value='Volver a  la tienda' name='proceed' onClick='tienda.php'>
											
												</form></br>";									
											}
											else
											{
												echo 
												"	
												</form></br>
												<form enctype='multipart/form-data' action='login.php' class='login' method='post'>
												
													<input type='submit' value='Accede para comrpar' name='proceed' onClick='tienda.php'>
													
												</form></br>
												
												
												<form enctype='multipart/form-data' action='tienda.php' class='volver' method='post'>
												
													<input type='submit' value='Volver a la tienda' name='proceed' onClick='tienda.php' >
													
												</form></br>";	
											}
										?>	
									</div>
								</div>
								
								
								
								</br></br>
								<div style='margin-right:200px;' class="cart_totals">						
									<h2 style='color:#1B91CF'>Total del carrito</h2>
									<table cellspacing="0">
										<tbody>
											<tr class="cart-subtotal">
												<th><h3>Total carrito:</h3></th>
												<?php
													echo "<td><h3><span class='amount'>$".$sumtotal."</span></h3></td>";
												?>                                            
											</tr>
										</tbody>
									</table>
								</div>



						</div> 
                    </div>
							

						
					
					
					
				
			</div>
		</div>
	</div>	
				
				
				
				
				
				
				
            
        
    


    <div class="footer-top-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <div class="footer-about-us">
                        <?
							$nombreSitio=$cc->getNombreSitio();
							$descripcionSitio=$cc->getDescripcionSitio();
							$facebook=$cc->getVinculoFacebook();
							$youtube=$cc->getVinculoYoutube();
							echo "<h2><span>".$nombreSitio."</span></h2>";
							echo "<p>".$descripcionSitio."</p>";	

							echo 
							"<div class='footer-social'>
								<a href='".$facebook."' target='_blank'><i class='fa fa-facebook'></i></a>
								<a href='#' target='_blank'><i class='fa fa-twitter'></i></a>
								<a href='".$youtube."' target='_blank'><i class='fa fa-youtube'></i></a>
								<a href='#' target='_blank'><i class='fa fa-linkedin'></i></a>
							</div>";							
						?>
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Navegacion </h2>
                        <ul>
                            <li><a href="acuenta.php">Mi cuenta</a></li>
                            <li><a href="pedidos.php">Mis pedidos</a></li>
                            <li><a href="carrito.php">Ver Carrito</a></li>
                            <li><a href="contacto.php">Contacto</a></li>
                            <li><a href="index.php">Inicio</a></li>
                        </ul>                          
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Categorias</h2>
                        <ul>
							<?php								
								$arrCategorias=$cc->getCategorias();
								foreach($arrCategorias as $fila=>$valor){
									$arrCategoria= explode("|",$valor);
									$descripcion=$arrCategoria[1];
									$foto=$arrCategoria[2];		
									$etiquetas=$arrCategoria[3];
									echo "<li><a href='ctienda.php?orden=destac&buscado=".$etiquetas."&op=2'>".$descripcion."</a></li>";
								}
							?>	
                        </ul>                         
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-newsletter">
                        <h2 class="footer-wid-title">Promociones</h2>
                        <p>Registrate y suscribete a nuestras promociones para que te enteres de todo lo nuevo que tenemos para ti</p>
                        <div class="newsletter-form">
                            <form action="#">
                                <input type="email" placeholder="Ingresa tu correo">
                                <input type="submit" value="Subscribir">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End footer top area -->
    
    <div class="footer-bottom-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="copyright">
                       <p>&copy; 2021 Sitiseg eCommerce. All Rights Reserved. <a href="https://www.sitisegtecnologias.com" target="_blank">Sitisegtecnologias.com</a></p>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="footer-card-icon">
                        <i class="fa fa-cc-discover"></i>
                        <i class="fa fa-cc-mastercard"></i>
                        <i class="fa fa-cc-paypal"></i>
                        <i class="fa fa-cc-visa"></i>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End footer bottom area -->
   
    <!-- Latest jQuery form server -->
    <script src="https://code.jquery.com/jquery.min.js"></script>
    
    <!-- Bootstrap JS form CDN -->
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    
    <!-- jQuery sticky menu -->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/jquery.sticky.js"></script>
    
    <!-- jQuery easing -->
    <script src="js/jquery.easing.1.3.min.js"></script>
    
    <!-- Main Script -->
    <script src="js/main.js"></script>
  </body>
</html>