<?php 
	include_once 'csesion.php';
	$cs= new Csesion();
	$id_cliente= $cs->getCliente();		
?> 

<!DOCTYPE html>
<!--
	ustora by freshdesignweb.com
	Twitter: https://twitter.com/freshdesignweb
	URL: https://www.freshdesignweb.com/ustora/
-->
<html lang="esMX">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
	 <?php
		include_once 'ccomponentes.php';
		$cc = new Ccomponentes();
		$nombreSitio=$cc->getNombreSitio();		
		echo " <title>..:: ".$nombreSitio." ::..</title>";
	?>
    
    <!-- Google Fonts -->
    <link href='http://fonts.googleapis.com/css?family=Titillium+Web:400,200,300,700,600' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700,300' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Raleway:400,100' rel='stylesheet' type='text/css'>
    
    <!-- Bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    
    <!-- Font Awesome -->
    <link rel="stylesheet" href="css/font-awesome.min.css">
    
    <!-- Custom CSS -->
    <link rel="stylesheet" href="css/owl.carousel.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="css/responsive.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
   
    <div class="header-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="user-menu">
                        <ul>
                            <li><a href="acuenta.php"><i class="fa fa-user"></i> Mi Cuenta</a></li>
                            <li><a href="#"><i class="fa fa-heart"></i> Favoritos</a></li>
                            <li><a href="carrito.php"><i class="fa fa-user"></i> Carrito</a></li>
                            <li><a href="contacto.php"><i class="fa fa-user"></i> Contacto</a></li>
                             <?php 
								$cs->mostrar_acceso();		
							?> 		
                        </ul>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="header-right">
                        <ul class="list-unstyled list-inline">
                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Moneda :</span><span class="value">MXN </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">USD</a></li>
                                    <li><a href="#">MXN</a></li>                                  
                                </ul>
                            </li>

                            <li class="dropdown dropdown-small">
                                <a data-toggle="dropdown" data-hover="dropdown" class="dropdown-toggle" href="#"><span class="key">Lenguaje :</span><span class="value">Español </span><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="#">English</a></li>
                                    <li><a href="#">Español</a></li>                                    
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End header area -->
	
	
	
	
	
	
	
	
	
	
    
    <div class="site-branding-area">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="logo">
                        
						<?php
							$logoSitio=$cc->getLogoSitio();	
							echo "<h1><a href='#'><img src='mrecursos/imagenes/".$logoSitio."'></a></h1>";
						?> 
						
                    </div>
                </div>
                
                <div class="col-sm-6">
                    <div class="shopping-item">
                     <?php
						include_once 'ccarrito.php';						
						$car= new Carrito();
						$car->mostrar_carrito($id_cliente);
					?>
					 </div>
                </div>
            </div>
        </div>
    </div> <!-- End site branding area -->
	
	
	
	
	
	
	
    
    <div class="mainmenu-area">
        <div class="container">
            <div class="row">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div> 
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li><a href="index.php">Inicio</a></li>
                        <li><a href="tienda.php">Tienda</a></li>
                        <li><a href="tienda.php">Producto</a></li>
                        <li class="active"><a href="carrito.php">Pagar</a></li>
                        <li><a href="pedidos.php">Pedidos</a></li>
                        <li><a href="categorias.php">Categorias</a></li>                       
                        <li><a href="contacto.php">Contacto</a></li>
                    </ul>
                </div>  
            </div>
        </div>
    </div> <!-- End mainmenu area -->
    
	
	
	
	
	
	
	
	
    <div class="product-big-title-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="product-bit-title text-center">
                        <h2>Resumen de tu compra</h2>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End Page title area -->
	
	
	
	
	
	
	
	
	
    
    
    <div class="single-product-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
			
					<!--Detalle de productos-->					
					<h3 id="order_review_heading">Detalles de productos</h3>
					 <?php
					 
							echo "<table cellspacing='0' class='shop_table cart'>
									<thead>
										<tr>													
											<th class='product-thumbnail'>Foto</th>
											<th class='product-name'>Producto</th>
											<th class='product-price'>Precio</th>
											<th class='product-quantity'>Cantidad</th>
											<th class='product-subtotal'>Total</th>
										</tr>
									</thead>
							<tbody>";
								
							$folioPedido=$car->getfolioPedPendCli($id_cliente);
							$id_pedido=$car->getidPedCli($folioPedido, $id_cliente);
							$filasDet=$car->getDetallesIdPedCli($id_pedido, $id_cliente);	

							
							$sumtotal=0;
							if ($filasDet[0]!=""){
								
								foreach($filasDet as $fila=>$valor)
								{
									$arrCols= explode("|",$valor);
									$id_producto=$arrCols[0];
									$descripcion=$arrCols[1];
									$cantidad=$arrCols[2];
									$precio=$arrCols[3];
									$total=$arrCols[4];
									$id_detalle=$arrCols[5];
									$sumtotal= $sumtotal +$total;
									
									echo "<tr class='cart_item'>";											
									
									echo "<td class='product-thumbnail'>
									<img width='145' height='145' alt='poster_1_up'
									class='shop_thumbnail' src='mrecursos/productos/".$id_producto."_1.jpg'> </td>";
									echo "<td class='product-name'>".$descripcion." </td>";
									echo "<td class='product-price'><span class='amount'>$".$precio."</span></td>";
									
									echo "<td class='product-quantity'>";		
									echo "<span class='amount'>".$cantidad."</span> &nbsp;";			
									echo "</td>";
									
									echo "<td class='product-subtotal'><span class='amount'>$".$total."</span></td>";
									echo "</tr>";
								}
							}	
							echo "</tbody>";	
							echo "</table>";
					 ?>
									
			
			
			
				
				
				
                    <div class="product-content-right">
                        <div class="woocommerce">                              
												
                            <form enctype="multipart/form-data" action="Cpago.php" class="checkout" method="post" name="checkout">
                                <h3 id="order_review_heading">Detalles de tu compra</h3>
                                <div id="order_review" style="position: relative;">
                                    <table class="shop_table">                                       
										    <tfoot>
											
											<?php
											//Mostrar tipo de entrega
											$tipoEntrega="Envio a domicilio";
											if (isset($_POST['tipoentr'])){
												$tipoEntrega=$_POST['tipoentr'];
											}

											
											
											if ($tipoEntrega=="Envio a domicilio"){
												echo "<tr class='cart-subtotal'> <th>Forma de entrega</th><td>
												<img alt='Envio a domicilio' src='img/enviar.png'>
												<span class='amount'>".$tipoEntrega."</span></td></tr>";
											}else{
												echo "<tr class='cart-subtotal'> <th>Forma de entrega</th><td>
												<img alt='Envio tienda' src='img/tienda.png'>
												<span class='amount'>".$tipoEntrega."</span></td></tr>";
											}
											
											
											
											
											
											//Mostrar tiempo de entrega
											$tiempoEnvio=$cc->getTiempoEnvio();	
											if ($tipoEntrega!="Recoger en tienda"){												
												echo "<tr class='cart-subtotal'><th>Entrega estimada</th><td>
												<span class='amount'>".$tiempoEnvio." Dias</span></td></tr>";
											}
											
											
											
											
											//Mostrar total carrito
											$tcar=0;
											if (isset($_POST['totcar'])){
												$tcar= $_POST['totcar'];
											};
											echo "<tr class='cart-subtotal'><th>Total del carrito</th><td><span class='amount'>$".$tcar."</span></td></tr>";
												
												
											
											//Mostrar precio del envio
											$prEnvio=$cc->getPrecioEnvio();											
											if ($tipoEntrega!="Recoger en tienda"){
												if ($prEnvio==0){
													echo "<tr class='shipping'><th>Cargo por envio</th><td>Envio gratis</td></tr>";
												}else{
													echo "<tr class='shipping'><th>Cargo por envio</th><td>$".$prEnvio."</td></tr>";
												}
											}
												

											//Mostrar total 
											if ($tipoEntrega=="Recoger en tienda"){$prEnvio=0;}
											$totalfin= $tcar +$prEnvio;
											echo "<tr class='order-total'><th>Total de la orden</th><td>
											<strong><h3 class='amount'>$".$totalfin."</h3></strong></td></tr>";
											?>    


                                        </tfoot>
                                    </table>





									<h3 id="order_review_heading">Forma de pago</h3>
                                    <div id="payment">
                                        <ul class="payment_methods methods">
										
											<?php
											$pagoTrans=$cc->getPagoTransfer();
											$pagoDomicilio=$cc->getPagoEfeEntregar();
											$pagoTienda=$cc->getPagoEfeRecoger();
											$pagoPaypal=$cc->getPagoPaypal();
											
											
											//Pago con transfer
											if ($pagoTrans=="SI"){
												echo 
												"<li class='payment_method_bacs'>
													<input type='radio' data-order_button_text='' checked='checked' value='transfer' name='metpag' class='input-radio' id='payment_method_bacs'>
													<label for='payment_method_bacs'>Transferencia Bancaria</label>
													<div class='payment_box payment_method_bacs'>
														<p>Te enviaremos un correo con la cuenta CLABE para tranferencia, una vez hecha la transfer por favor envia un Whatsaap al 427 122 6148 con una foto de tu comprobante de transferencia y folio.</p>
													</div>
												</li>";												
											}
											
											//Pago en tienda
											if ($pagoTienda=="SI"){
												if ($tipoEntrega!="Enviar a domicilio"){
													echo
													"<li class='payment_method_tienda'>
														<input type='radio' data-order_button_text='' value='tienda' name='metpag' class='input-radio' id='payment_method_tienda'>
														<label for='payment_method_tienda'>Pago en efectivo en tienda</label>
														<div class='payment_box payment_method_tienda'>
															<p>Si vas a recoger tu producto en tienda, podras pagarlo en ese momento con efectivo o tarjeta</p>
														</div>
													</li>";
												}
											}
											
											//Pago en domicilio
											if ($pagoDomicilio=="SI"){
												if ($tipoEntrega!="Recoger en tienda"){
													echo
													"<li class='payment_method_domicilio'>
														<input type='radio' data-order_button_text='' value='domicilio' name='metpag' class='input-radio' id='payment_method_domicilio'>
														<label for='payment_method_domicilio'>Pago en efectivo al recibir en domicilio</label>
														<div class='payment_box payment_method_domicilio'>
															<p>Puedes pagar en tu domicilio al recibir el producto solo en efectivo y solo aplica para pedidos no mayores a 500 pesos</p>
														</div>
													</li>";
												}
											}
											
											//Pago con Paypal											
											if ($pagoPaypal=="SI"){
												echo 
												"<li class='payment_method_paypal'>
													<input type='radio' data-order_button_text='Proceed to PayPal' value='paypal' name='metpag' class='input-radio' id='payment_method_paypal'>
													<label for='payment_method_paypal'>PayPal <img alt='PayPal Acceptance Mark' src='https://www.paypalobjects.com/webstatic/mktg/Logo/AM_mc_vs_ms_ae_UK.png'>
													<a title='Que es PayPal?' onclick='javascript:window.open('https://www.paypal.com','WIPaypal','toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1060, height=700'); return false;' class='about_paypal' href='https://www.paypal.com/mx/webapps/mpp/what-is-paypal'>Que es PayPal?</a>
													</label>
													<div class='payment_box payment_method_paypal'>
														<p>Puedes usar tus tarjetas de debito o credito si tienes una cuenta de Paypal.</p>
													</div>
												</li>";
											}
											
											$cantProds=$_POST['sumcant'];
											$desc1prod=$_POST['desc1p'];
											echo "<input type='hidden' name='cantprods' value='".$cantProds."'>";
											echo "<input type='hidden' name='desc1prod' value='".$desc1prod."'>";
											echo "<input type='hidden' name='tEntrega' value='".$tipoEntrega."'>";
											echo "<input type='hidden' name='totPed' value=".$tcar.">";
											echo "<input type='hidden' name='totenvio' value=".$prEnvio.">";									
											?>
                                           
                                        </ul>

                                        <div class="form-row place-order">										
											</br>
											<b style="color:#CD2D14";>Al presionar el boton "Realizar pedido", tu pedido quedara registrado y pasaras
											a otra pagina donde podras ver el folio y los detalles de tu pedido para imprimir, tendras un plazo de 24 horas para pagar tu pedido, de lo contrario se cancelara automaticamente.</b>
											</br>
											</br>
											<b style="color:#CD2D14";>Los pedidos de pago en tienda tambien se cancelan si no se recoge el producto en 24 horas.</b>
											</br>
											</br>
											
											
                                            <input type="submit" data-value="Realizar pedido" value="Realizar pedido" id="place_order" name="woocommerce_checkout_place_order" class="button alt">
											
											
                                        </div>
										</br>										
                                        <div class="clear"></div>
                                    </div>
                                </div>
                            </form>
							
							
							<form enctype="multipart/form-data" action="carrito.php" class="volver" method="post">
								<input type="submit" value="Regresar atras" name="proceed">
							</form>
							
							
							

                        </div>                       
                    </div>                    
               
                
				
				
								
				
            </div>
        </div>
    </div>


















    <div class="footer-top-area">
        <div class="zigzag-bottom"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <div class="footer-about-us">
                        <?
							$nombreSitio=$cc->getNombreSitio();
							$descripcionSitio=$cc->getDescripcionSitio();
							$facebook=$cc->getVinculoFacebook();
							$youtube=$cc->getVinculoYoutube();
							echo "<h2><span>".$nombreSitio."</span></h2>";
							echo "<p>".$descripcionSitio."</p>";	

							echo 
							"<div class='footer-social'>
								<a href='".$facebook."' target='_blank'><i class='fa fa-facebook'></i></a>
								<a href='#' target='_blank'><i class='fa fa-twitter'></i></a>
								<a href='".$youtube."' target='_blank'><i class='fa fa-youtube'></i></a>
								<a href='#' target='_blank'><i class='fa fa-linkedin'></i></a>
							</div>";							
						?>
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Navegacion </h2>
                        <ul>
                            <li><a href="acuenta.php">Mi cuenta</a></li>
                            <li><a href="pedidos.php">Mis pedidos</a></li>
                            <li><a href="carrito.php">Ver Carrito</a></li>
                            <li><a href="contacto.php">Contacto</a></li>
                            <li><a href="index.php">Inicio</a></li>
                        </ul>                         
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-menu">
                        <h2 class="footer-wid-title">Categorias</h2>
                        <ul>
							<?php								
								$arrCategorias=$cc->getCategorias();
								foreach($arrCategorias as $fila=>$valor){
									$arrCategoria= explode("|",$valor);
									$descripcion=$arrCategoria[1];
									$foto=$arrCategoria[2];		
									$etiquetas=$arrCategoria[3];
									echo "<li><a href='ctienda.php?orden=destac&buscado=".$etiquetas."&op=2'>".$descripcion."</a></li>";
								}
							?>	
                        </ul>                          
                    </div>
                </div>
                
                <div class="col-md-3 col-sm-6">
                    <div class="footer-newsletter">
                       <h2 class="footer-wid-title">Promociones</h2>
                        <p>Registrate y suscribete a nuestras promociones para que te enteres de todo lo nuevo que tenemos para ti</p>
                        <div class="newsletter-form">
                            <form action="#">
                                <input type="email" placeholder="Ingresa tu correo">
                                <input type="submit" value="Subscribir">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End footer top area -->
    
    <div class="footer-bottom-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="copyright">
                       <p>&copy; 2021 Sitiseg eCommerce. All Rights Reserved. <a href="https://www.sitisegtecnologias.com" target="_blank">Sitisegtecnologias.com</a></p>
                    </div>
                </div>
                
                <div class="col-md-4">
                    <div class="footer-card-icon">
                        <i class="fa fa-cc-discover"></i>
                        <i class="fa fa-cc-mastercard"></i>
                        <i class="fa fa-cc-paypal"></i>
                        <i class="fa fa-cc-visa"></i>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End footer bottom area -->
   
    <!-- Latest jQuery form server -->
    <script src="https://code.jquery.com/jquery.min.js"></script>
    
    <!-- Bootstrap JS form CDN -->
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    
    <!-- jQuery sticky menu -->
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/jquery.sticky.js"></script>
    
    <!-- jQuery easing -->
    <script src="js/jquery.easing.1.3.min.js"></script>
    
    <!-- Main Script -->
    <script src="js/main.js"></script>
  </body>
</html>