<?php

$acccion=$_GET['accion'];
$id_detalle=$_GET['id_detalle'];


if ($acccion=="Quitar"){
	if (isset($id_detalle)){
		$car= new Carrito();
		$car->delDetallePed($id_detalle);
		header('Location: carrito.php');
	}			
}		


if ($acccion=="Aumentar"){
	if (isset($id_detalle)){
		$id_producto=$_GET['id_producto'];
		$cantidad=$_GET['cantidad'];			
		$car= new Carrito();		
		if ($acccion=="Aumentar"){
			$precio=$car->getPrecio("Precio1", $id_producto);
			$cantidad=$cantidad +1;
			$descuento=0;
			$total= $cantidad*$precio;
			$total_cdesc=$total -($total *($descuento/100));
			$res=$car->updDetallePed($id_detalle, $precio, $cantidad, $total, $descuento, $total_cdesc);
			header('Location: carrito.php');
		}		
	}	
}


if ($acccion=="Disminuir"){
	if (isset($_GET['id_detalle'])){
		$id_producto=$_GET['id_producto'];
		$cantidad=$_GET['cantidad'];			
		$car= new Carrito();		
		if ($acccion=="Disminuir"){
			if ($cantidad>1){
				$precio=$car->getPrecio("Precio1", $id_producto);
				$cantidad= $cantidad -1;
				$descuento=0;
				$total= $cantidad*$precio;
				$total_cdesc=$total -($total *($descuento/100));
				$res=$car->updDetallePed($id_detalle, $precio, $cantidad, $total, $descuento, $total_cdesc);				
			}else{
				$car->delDetallePed($id_detalle);
			}				
			header('Location: carrito.php');
		}		
	}	
}




class Carrito{
	
	public function mostrar_carrito($id_cliente){
		$cantidad=$this->getCantidad($id_cliente);
		$total=$this->getTotal($id_cliente);
		echo  "<a href='carrito.php'>Carrito - <span class='cart-amunt'>$".$total."</span> <i class='fa fa-shopping-cart'></i> <span class='product-count'>".$cantidad."</span></a>";
	}
	
	
	public function getCantidad($id_cliente){	
		$id_pedido=(int)$this->getPedidoPendiente($id_cliente);
		$res=0;
		if ($id_pedido>0){
			$condicion="WHERE id_cliente='".$id_cliente."' and id_pedido='".$id_pedido."';";	
			$res=consultar("m_detalle_pedido", "sum(cantidad)", $condicion);
		}		
		return $res;
	}	
	
	
	public function getTotal($id_cliente){	
		$id_pedido=$this->getPedidoPendiente($id_cliente);	
		$res=0;
		if ($id_pedido>0){
			$condicion="WHERE id_cliente='".$id_cliente."' and id_pedido='".$id_pedido."';";	
			$res=consultar("m_detalle_pedido", "sum(total_cdesc)", $condicion);
		}
		return $res;
	}	
	
	
	public function getPedidoPendiente($id_cliente){		
		$condicion="WHERE id_cliente='".$id_cliente."' and estado='Pendiente';";	
		$res=consultar("m_pedidos", "max(id_pedido)", $condicion);	
		return $res;
	}	
	
	
	public function getidPedCli($folio, $id_cliente){		
		$condicion="WHERE id_cliente='".$id_cliente."' and folio='".$folio."';";	
		$res=consultar("m_pedidos", "id_pedido", $condicion);	
		return $res;
	}	
	
	public function getfolioPedPendCli($id_cliente){		
		$condicion="WHERE id_cliente='".$id_cliente."' and estado='Pendiente';";	
		$res=consultar("m_pedidos", "folio", $condicion);	
		return $res;
	}	
	
	
	public function getDetallesPed($id_cliente){	
		$id_pedido=(int)$this->getPedidoPendiente($id_cliente);
		$columnas="id_producto, descripcion, cantidad, precio, total, id_detalle";
		$condicion="WHERE id_pedido='".$id_pedido."' and id_cliente='".$id_cliente."';";	
		$res=consultar("m_detalle_pedido", $columnas, $condicion);
		$arrFilas= explode(">",$res);
		return $arrFilas;
	}	
	
	
	public function getDetallesIdPedCli($id_pedido, $id_cliente){			
		$columnas="id_producto, descripcion, cantidad, precio, total, id_detalle";
		$condicion="WHERE id_pedido='".$id_pedido."' and id_cliente='".$id_cliente."';";	
		$res=consultar("m_detalle_pedido", $columnas, $condicion);
		$arrFilas= explode(">",$res);
		return $arrFilas;
	}	
	
	
	//quitar producto
	public function delDetallePed($id_detalle){		
		include_once "deleter.php";
		$condicion="WHERE id_detalle='".$id_detalle."'";
		$res=eliminar("m_detalle_pedido",$condicion);
		return $res;
	}
	
	
	//actualizar detalle 
	public function updDetallePed($id_detalle, $precio, $cantidad, $total, $descuento, $total_cdesc){
		include_once "actualizer.php";
		$columnas="precio|cantidad|total|descuento|total_cdesc";
		$valores="".$precio."|".$cantidad."|".$total."|".$descuento."|".$total_cdesc;
		$condicion="WHERE id_detalle='".$id_detalle."'";
		$res=actualizar("m_detalle_pedido",$columnas, $valores, $condicion);
		return $res;
	}
	
	//obtener precio producto
	public function getPrecio($nprecio, $id_producto){
		include_once "Consultas.php";
		$condicion="WHERE nombre='".$nprecio."' and id_producto='".$id_producto."';";	
		$res=consultar("m_preciosprod", "valor", $condicion);	
		return $res;
	}	
	
	
	
}


?>